Package org.eclipse.m2m.atl.emftvm

# Interface EmftvmPackage

All Superinterfaces:
  `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `EmftvmPackageImpl`

public interface EmftvmPackage extends org.eclipse.emf.ecore.EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  - `EmftvmFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`EmftvmPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ADD`
The meta object id for the '`Add`' class.
`static final int`
`ADD__FIELDNAME`
The feature id for the 'Fieldname' attribute.
`static final int`
`ADD__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`ADD__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`ADD__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`ADD__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`ADD__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`ADD__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`ADD_FEATURE_COUNT`
The number of structural features of the 'Add' class.
`static final int`
`ALLINST`
The meta object id for the '`Allinst`' class.
`static final int`
`ALLINST__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`ALLINST__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`ALLINST__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`ALLINST__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`ALLINST__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`ALLINST__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`ALLINST_FEATURE_COUNT`
The number of structural features of the 'Allinst' class.
`static final int`
`ALLINST_IN`
The meta object id for the '`Allinst In`' class.
`static final int`
`ALLINST_IN__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`ALLINST_IN__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`ALLINST_IN__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`ALLINST_IN__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`ALLINST_IN__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`ALLINST_IN__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`ALLINST_IN_FEATURE_COUNT`
The number of structural features of the 'Allinst In' class.
`static final int`
`AND`
The meta object id for the '`And`' class.
`static final int`
`AND__CB_INDEX`
The feature id for the 'Cb Index' attribute.
`static final int`
`AND__CODE_BLOCK`
The feature id for the 'Code Block' reference.
`static final int`
`AND__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`AND__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`AND__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`AND__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`AND__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`AND__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`AND_FEATURE_COUNT`
The number of structural features of the 'And' class.
`static final int`
`BRANCH_INSTRUCTION`
The meta object id for the '`Branch Instruction`' class.
`static final int`
`BRANCH_INSTRUCTION__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`BRANCH_INSTRUCTION__OFFSET`
The feature id for the 'Offset' attribute.
`static final int`
`BRANCH_INSTRUCTION__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`BRANCH_INSTRUCTION__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`BRANCH_INSTRUCTION__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`BRANCH_INSTRUCTION__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`BRANCH_INSTRUCTION__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`BRANCH_INSTRUCTION__TARGET`
The feature id for the 'Target' reference.
`static final int`
`BRANCH_INSTRUCTION_FEATURE_COUNT`
The number of structural features of the 'Branch Instruction' class.
`static final int`
`CLASS_NOT_FOUND_EXCEPTION`
The meta object id for the 'Class Not Found Exception' data type.
`static final int`
`CODE_BLOCK`
The meta object id for the '`Code Block`' class.
`static final int`
`CODE_BLOCK__APPLIER_FOR`
The feature id for the 'Applier For' container reference.
`static final int`
`CODE_BLOCK__BINDING_FOR`
The feature id for the 'Binding For' container reference.
`static final int`
`CODE_BLOCK__BODY_FOR`
The feature id for the 'Body For' container reference.
`static final int`
`CODE_BLOCK__CODE`
The feature id for the 'Code' containment reference list.
`static final int`
`CODE_BLOCK__INITIALISER_FOR`
The feature id for the 'Initialiser For' container reference.
`static final int`
`CODE_BLOCK__LINE_NUMBERS`
The feature id for the 'Line Numbers' containment reference list.
`static final int`
`CODE_BLOCK__LOCAL_VARIABLES`
The feature id for the 'Local Variables' containment reference list.
`static final int`
`CODE_BLOCK__MATCHER_FOR`
The feature id for the 'Matcher For' container reference.
`static final int`
`CODE_BLOCK__MAX_LOCALS`
The feature id for the 'Max Locals' attribute.
`static final int`
`CODE_BLOCK__MAX_STACK`
The feature id for the 'Max Stack' attribute.
`static final int`
`CODE_BLOCK__NESTED`
The feature id for the 'Nested' containment reference list.
`static final int`
`CODE_BLOCK__NESTED_FOR`
The feature id for the 'Nested For' container reference.
`static final int`
`CODE_BLOCK__PARENT_FRAME`
The feature id for the 'Parent Frame' attribute.
`static final int`
`CODE_BLOCK__POST_APPLY_FOR`
The feature id for the 'Post Apply For' container reference.
`static final int`
`CODE_BLOCK_FEATURE_COUNT`
The number of structural features of the 'Code Block' class.
`static final int`
`CODE_BLOCK_INSTRUCTION`
The meta object id for the '`Code Block Instruction`' class.
`static final int`
`CODE_BLOCK_INSTRUCTION__CB_INDEX`
The feature id for the 'Cb Index' attribute.
`static final int`
`CODE_BLOCK_INSTRUCTION__CODE_BLOCK`
The feature id for the 'Code Block' reference.
`static final int`
`CODE_BLOCK_INSTRUCTION__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`CODE_BLOCK_INSTRUCTION__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`CODE_BLOCK_INSTRUCTION__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`CODE_BLOCK_INSTRUCTION__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`CODE_BLOCK_INSTRUCTION__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`CODE_BLOCK_INSTRUCTION__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`CODE_BLOCK_INSTRUCTION_FEATURE_COUNT`
The number of structural features of the 'Code Block Instruction' class.
`static final int`
`CONSTANT_TAG`
The meta object id for the '`Constant Tag`' enum.
`static final int`
`DELETE`
The meta object id for the '`Delete`' class.
`static final int`
`DELETE__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`DELETE__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`DELETE__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`DELETE__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`DELETE__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`DELETE__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`DELETE_FEATURE_COUNT`
The number of structural features of the 'Delete' class.
`static final int`
`DUP`
The meta object id for the '`Dup`' class.
`static final int`
`DUP__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`DUP__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`DUP__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`DUP__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`DUP__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`DUP__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`DUP_FEATURE_COUNT`
The number of structural features of the 'Dup' class.
`static final int`
`DUP_X1`
The meta object id for the '`Dup X1`' class.
`static final int`
`DUP_X1__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`DUP_X1__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`DUP_X1__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`DUP_X1__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`DUP_X1__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`DUP_X1__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`DUP_X1_FEATURE_COUNT`
The number of structural features of the 'Dup X1' class.
`static final int`
`EBOOLEAN_ARRAY`
The meta object id for the 'EBoolean Array' data type.
`static final EmftvmPackage`
`eINSTANCE`
The singleton instance of the package.
`static final int`
`EJAVA_ITERABLE`
The meta object id for the 'EJava Iterable' data type.
`static final int`
`EJAVA_OBJECT_ARRAY`
The meta object id for the 'EJava Object Array' data type.
`static final int`
`EJAVA_SET`
The meta object id for the 'EJava Set' data type.
`static final String`
`eNAME`
The package name.
`static final int`
`ENDITERATE`
The meta object id for the '`Enditerate`' class.
`static final int`
`ENDITERATE__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`ENDITERATE__OFFSET`
The feature id for the 'Offset' attribute.
`static final int`
`ENDITERATE__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`ENDITERATE__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`ENDITERATE__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`ENDITERATE__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`ENDITERATE__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`ENDITERATE__TARGET`
The feature id for the 'Target' reference.
`static final int`
`ENDITERATE_FEATURE_COUNT`
The number of structural features of the 'Enditerate' class.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`ENUM_LITERAL`
The meta object id for the 'Enum Literal' data type.
`static final int`
`EOBJECT_ARRAY`
The meta object id for the 'EObject Array' data type.
`static final int`
`EXEC_ENV`
The meta object id for the '`Exec Env`' class.
`static final int`
`EXEC_ENV__CURRENT_PHASE`
The feature id for the 'Current Phase' attribute.
`static final int`
`EXEC_ENV__INOUT_MODELS`
The feature id for the 'Inout Models' attribute.
`static final int`
`EXEC_ENV__INPUT_MODELS`
The feature id for the 'Input Models' attribute.
`static final int`
`EXEC_ENV__JIT_DISABLED`
The feature id for the 'Jit Disabled' attribute.
`static final int`
`EXEC_ENV__MATCHES`
The feature id for the 'Matches' reference.
`static final int`
`EXEC_ENV__META_MODELS`
The feature id for the 'Meta Models' attribute.
`static final int`
`EXEC_ENV__MODULES`
The feature id for the 'Modules' attribute.
`static final int`
`EXEC_ENV__OUTPUT_MODELS`
The feature id for the 'Output Models' attribute.
`static final int`
`EXEC_ENV__TRACES`
The feature id for the 'Traces' reference.
`static final int`
`EXEC_ENV__UNIQUE_RESULTS`
The feature id for the 'Unique Results' attribute.
`static final int`
`EXEC_ENV_FEATURE_COUNT`
The number of structural features of the 'Exec Env' class.
`static final int`
`FEATURE`
The meta object id for the '`Feature`' class.
`static final int`
`FEATURE__CONTEXT`
The feature id for the 'Context' attribute.
`static final int`
`FEATURE__CONTEXT_MODEL`
The feature id for the 'Context Model' attribute.
`static final int`
`FEATURE__ECONTEXT`
The feature id for the 'EContext' reference.
`static final int`
`FEATURE__ETYPE`
The feature id for the 'EType' reference.
`static final int`
`FEATURE__MODULE`
The feature id for the 'Module' container reference.
`static final int`
`FEATURE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`FEATURE__STATIC`
The feature id for the 'Static' attribute.
`static final int`
`FEATURE__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`FEATURE__TYPE_MODEL`
The feature id for the 'Type Model' attribute.
`static final int`
`FEATURE_FEATURE_COUNT`
The number of structural features of the 'Feature' class.
`static final int`
`FEATURE_TAG`
The meta object id for the '`Feature Tag`' enum.
`static final int`
`FIELD`
The meta object id for the '`Field`' class.
`static final int`
`FIELD__CONTEXT`
The feature id for the 'Context' attribute.
`static final int`
`FIELD__CONTEXT_MODEL`
The feature id for the 'Context Model' attribute.
`static final int`
`FIELD__ECONTEXT`
The feature id for the 'EContext' reference.
`static final int`
`FIELD__ETYPE`
The feature id for the 'EType' reference.
`static final int`
`FIELD__INITIALISER`
The feature id for the 'Initialiser' containment reference.
`static final int`
`FIELD__MODULE`
The feature id for the 'Module' container reference.
`static final int`
`FIELD__NAME`
The feature id for the 'Name' attribute.
`static final int`
`FIELD__RULE`
The feature id for the 'Rule' container reference.
`static final int`
`FIELD__STATIC`
The feature id for the 'Static' attribute.
`static final int`
`FIELD__STATIC_VALUE`
The feature id for the 'Static Value' attribute.
`static final int`
`FIELD__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`FIELD__TYPE_MODEL`
The feature id for the 'Type Model' attribute.
`static final int`
`FIELD_FEATURE_COUNT`
The number of structural features of the 'Field' class.
`static final int`
`FIELD_INSTRUCTION`
The meta object id for the '`Field Instruction`' class.
`static final int`
`FIELD_INSTRUCTION__FIELDNAME`
The feature id for the 'Fieldname' attribute.
`static final int`
`FIELD_INSTRUCTION__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`FIELD_INSTRUCTION__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`FIELD_INSTRUCTION__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`FIELD_INSTRUCTION__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`FIELD_INSTRUCTION__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`FIELD_INSTRUCTION__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`FIELD_INSTRUCTION_FEATURE_COUNT`
The number of structural features of the 'Field Instruction' class.
`static final int`
`FINDTYPE`
The meta object id for the '`Findtype`' class.
`static final int`
`FINDTYPE__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`FINDTYPE__MODELNAME`
The feature id for the 'Modelname' attribute.
`static final int`
`FINDTYPE__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`FINDTYPE__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`FINDTYPE__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`FINDTYPE__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`FINDTYPE__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`FINDTYPE__TYPENAME`
The feature id for the 'Typename' attribute.
`static final int`
`FINDTYPE_FEATURE_COUNT`
The number of structural features of the 'Findtype' class.
`static final int`
`FINDTYPE_S`
The meta object id for the '`Findtype S`' class.
`static final int`
`FINDTYPE_S__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`FINDTYPE_S__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`FINDTYPE_S__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`FINDTYPE_S__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`FINDTYPE_S__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`FINDTYPE_S__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`FINDTYPE_S_FEATURE_COUNT`
The number of structural features of the 'Findtype S' class.
`static final int`
`GET`
The meta object id for the '`Get`' class.
`static final int`
`GET__FIELDNAME`
The feature id for the 'Fieldname' attribute.
`static final int`
`GET__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`GET__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`GET__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`GET__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`GET__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`GET__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`GET_FEATURE_COUNT`
The number of structural features of the 'Get' class.
`static final int`
`GET_STATIC`
The meta object id for the '`Get Static`' class.
`static final int`
`GET_STATIC__FIELDNAME`
The feature id for the 'Fieldname' attribute.
`static final int`
`GET_STATIC__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`GET_STATIC__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`GET_STATIC__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`GET_STATIC__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`GET_STATIC__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`GET_STATIC__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`GET_STATIC_FEATURE_COUNT`
The number of structural features of the 'Get Static' class.
`static final int`
`GET_SUPER`
The meta object id for the '`Get Super`' class.
`static final int`
`GET_SUPER__FIELDNAME`
The feature id for the 'Fieldname' attribute.
`static final int`
`GET_SUPER__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`GET_SUPER__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`GET_SUPER__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`GET_SUPER__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`GET_SUPER__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`GET_SUPER__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`GET_SUPER_FEATURE_COUNT`
The number of structural features of the 'Get Super' class.
`static final int`
`GET_TRANS`
The meta object id for the '`Get Trans`' class.
`static final int`
`GET_TRANS__FIELDNAME`
The feature id for the 'Fieldname' attribute.
`static final int`
`GET_TRANS__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`GET_TRANS__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`GET_TRANS__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`GET_TRANS__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`GET_TRANS__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`GET_TRANS__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`GET_TRANS_FEATURE_COUNT`
The number of structural features of the 'Get Trans' class.
`static final int`
`GETCB`
The meta object id for the '`Getcb`' class.
`static final int`
`GETCB__CB_INDEX`
The feature id for the 'Cb Index' attribute.
`static final int`
`GETCB__CODE_BLOCK`
The feature id for the 'Code Block' reference.
`static final int`
`GETCB__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`GETCB__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`GETCB__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`GETCB__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`GETCB__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`GETCB__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`GETCB_FEATURE_COUNT`
The number of structural features of the 'Getcb' class.
`static final int`
`GETENV`
The meta object id for the '`Getenv`' class.
`static final int`
`GETENV__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`GETENV__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`GETENV__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`GETENV__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`GETENV__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`GETENV__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`GETENV_FEATURE_COUNT`
The number of structural features of the 'Getenv' class.
`static final int`
`GETENVTYPE`
The meta object id for the '`Getenvtype`' class.
`static final int`
`GETENVTYPE__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`GETENVTYPE__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`GETENVTYPE__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`GETENVTYPE__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`GETENVTYPE__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`GETENVTYPE__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`GETENVTYPE_FEATURE_COUNT`
The number of structural features of the 'Getenvtype' class.
`static final int`
`GOTO`
The meta object id for the '`Goto`' class.
`static final int`
`GOTO__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`GOTO__OFFSET`
The feature id for the 'Offset' attribute.
`static final int`
`GOTO__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`GOTO__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`GOTO__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`GOTO__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`GOTO__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`GOTO__TARGET`
The feature id for the 'Target' reference.
`static final int`
`GOTO_FEATURE_COUNT`
The number of structural features of the 'Goto' class.
`static final int`
`IF`
The meta object id for the '`If`' class.
`static final int`
`IF__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`IF__OFFSET`
The feature id for the 'Offset' attribute.
`static final int`
`IF__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`IF__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`IF__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`IF__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`IF__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`IF__TARGET`
The feature id for the 'Target' reference.
`static final int`
`IF_FEATURE_COUNT`
The number of structural features of the 'If' class.
`static final int`
`IFN`
The meta object id for the '`Ifn`' class.
`static final int`
`IFN__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`IFN__OFFSET`
The feature id for the 'Offset' attribute.
`static final int`
`IFN__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`IFN__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`IFN__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`IFN__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`IFN__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`IFN__TARGET`
The feature id for the 'Target' reference.
`static final int`
`IFN_FEATURE_COUNT`
The number of structural features of the 'Ifn' class.
`static final int`
`IFTE`
The meta object id for the '`Ifte`' class.
`static final int`
`IFTE__ELSE_CB`
The feature id for the 'Else Cb' reference.
`static final int`
`IFTE__ELSE_CB_INDEX`
The feature id for the 'Else Cb Index' attribute.
`static final int`
`IFTE__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`IFTE__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`IFTE__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`IFTE__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`IFTE__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`IFTE__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`IFTE__THEN_CB`
The feature id for the 'Then Cb' reference.
`static final int`
`IFTE__THEN_CB_INDEX`
The feature id for the 'Then Cb Index' attribute.
`static final int`
`IFTE_FEATURE_COUNT`
The number of structural features of the 'Ifte' class.
`static final int`
`IMPLIES`
The meta object id for the '`Implies`' class.
`static final int`
`IMPLIES__CB_INDEX`
The feature id for the 'Cb Index' attribute.
`static final int`
`IMPLIES__CODE_BLOCK`
The feature id for the 'Code Block' reference.
`static final int`
`IMPLIES__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`IMPLIES__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`IMPLIES__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`IMPLIES__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`IMPLIES__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`IMPLIES__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`IMPLIES_FEATURE_COUNT`
The number of structural features of the 'Implies' class.
`static final int`
`INPUT_RULE_ELEMENT`
The meta object id for the '`Input Rule Element`' class.
`static final int`
`INPUT_RULE_ELEMENT__BINDING`
The feature id for the 'Binding' containment reference.
`static final int`
`INPUT_RULE_ELEMENT__EMODELS`
The feature id for the 'EModels' reference list.
`static final int`
`INPUT_RULE_ELEMENT__ETYPE`
The feature id for the 'EType' reference.
`static final int`
`INPUT_RULE_ELEMENT__INPUT_FOR`
The feature id for the 'Input For' container reference.
`static final int`
`INPUT_RULE_ELEMENT__MAPS_TO_SELF`
The feature id for the 'Maps To Self' attribute.
`static final int`
`INPUT_RULE_ELEMENT__MODELS`
The feature id for the 'Models' attribute list.
`static final int`
`INPUT_RULE_ELEMENT__NAME`
The feature id for the 'Name' attribute.
`static final int`
`INPUT_RULE_ELEMENT__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`INPUT_RULE_ELEMENT__TYPE_MODEL`
The feature id for the 'Type Model' attribute.
`static final int`
`INPUT_RULE_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Input Rule Element' class.
`static final int`
`INSERT`
The meta object id for the '`Insert`' class.
`static final int`
`INSERT__FIELDNAME`
The feature id for the 'Fieldname' attribute.
`static final int`
`INSERT__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`INSERT__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`INSERT__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`INSERT__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`INSERT__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`INSERT__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`INSERT_FEATURE_COUNT`
The number of structural features of the 'Insert' class.
`static final int`
`INSTRUCTION`
The meta object id for the '`Instruction`' class.
`static final int`
`INSTRUCTION__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`INSTRUCTION__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`INSTRUCTION__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`INSTRUCTION__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`INSTRUCTION__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`INSTRUCTION__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`INSTRUCTION_FEATURE_COUNT`
The number of structural features of the 'Instruction' class.
`static final int`
`INVOKE`
The meta object id for the '`Invoke`' class.
`static final int`
`INVOKE__ARGCOUNT`
The feature id for the 'Argcount' attribute.
`static final int`
`INVOKE__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`INVOKE__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`INVOKE__OPNAME`
The feature id for the 'Opname' attribute.
`static final int`
`INVOKE__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`INVOKE__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`INVOKE__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`INVOKE__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`INVOKE_ALL_CBS`
The meta object id for the '`Invoke All Cbs`' class.
`static final int`
`INVOKE_ALL_CBS__ARGCOUNT`
The feature id for the 'Argcount' attribute.
`static final int`
`INVOKE_ALL_CBS__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`INVOKE_ALL_CBS__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`INVOKE_ALL_CBS__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`INVOKE_ALL_CBS__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`INVOKE_ALL_CBS__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`INVOKE_ALL_CBS__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`INVOKE_ALL_CBS_FEATURE_COUNT`
The number of structural features of the 'Invoke All Cbs' class.
`static final int`
`INVOKE_CB`
The meta object id for the '`Invoke Cb`' class.
`static final int`
`INVOKE_CB__ARGCOUNT`
The feature id for the 'Argcount' attribute.
`static final int`
`INVOKE_CB__CB_INDEX`
The feature id for the 'Cb Index' attribute.
`static final int`
`INVOKE_CB__CODE_BLOCK`
The feature id for the 'Code Block' reference.
`static final int`
`INVOKE_CB__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`INVOKE_CB__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`INVOKE_CB__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`INVOKE_CB__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`INVOKE_CB__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`INVOKE_CB__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`INVOKE_CB_FEATURE_COUNT`
The number of structural features of the 'Invoke Cb' class.
`static final int`
`INVOKE_CB_S`
The meta object id for the '`Invoke Cb S`' class.
`static final int`
`INVOKE_CB_S__ARGCOUNT`
The feature id for the 'Argcount' attribute.
`static final int`
`INVOKE_CB_S__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`INVOKE_CB_S__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`INVOKE_CB_S__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`INVOKE_CB_S__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`INVOKE_CB_S__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`INVOKE_CB_S__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`INVOKE_CB_S_FEATURE_COUNT`
The number of structural features of the 'Invoke Cb S' class.
`static final int`
`INVOKE_FEATURE_COUNT`
The number of structural features of the 'Invoke' class.
`static final int`
`INVOKE_INSTRUCTION`
The meta object id for the '`Invoke Instruction`' class.
`static final int`
`INVOKE_INSTRUCTION__ARGCOUNT`
The feature id for the 'Argcount' attribute.
`static final int`
`INVOKE_INSTRUCTION__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`INVOKE_INSTRUCTION__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`INVOKE_INSTRUCTION__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`INVOKE_INSTRUCTION__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`INVOKE_INSTRUCTION__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`INVOKE_INSTRUCTION__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`INVOKE_INSTRUCTION_FEATURE_COUNT`
The number of structural features of the 'Invoke Instruction' class.
`static final int`
`INVOKE_OPERATION_INSTRUCTION`
The meta object id for the '`Invoke Operation Instruction`' class.
`static final int`
`INVOKE_OPERATION_INSTRUCTION__ARGCOUNT`
The feature id for the 'Argcount' attribute.
`static final int`
`INVOKE_OPERATION_INSTRUCTION__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`INVOKE_OPERATION_INSTRUCTION__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`INVOKE_OPERATION_INSTRUCTION__OPNAME`
The feature id for the 'Opname' attribute.
`static final int`
`INVOKE_OPERATION_INSTRUCTION__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`INVOKE_OPERATION_INSTRUCTION__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`INVOKE_OPERATION_INSTRUCTION__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`INVOKE_OPERATION_INSTRUCTION__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`INVOKE_OPERATION_INSTRUCTION_FEATURE_COUNT`
The number of structural features of the 'Invoke Operation Instruction' class.
`static final int`
`INVOKE_STATIC`
The meta object id for the '`Invoke Static`' class.
`static final int`
`INVOKE_STATIC__ARGCOUNT`
The feature id for the 'Argcount' attribute.
`static final int`
`INVOKE_STATIC__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`INVOKE_STATIC__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`INVOKE_STATIC__OPNAME`
The feature id for the 'Opname' attribute.
`static final int`
`INVOKE_STATIC__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`INVOKE_STATIC__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`INVOKE_STATIC__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`INVOKE_STATIC__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`INVOKE_STATIC_FEATURE_COUNT`
The number of structural features of the 'Invoke Static' class.
`static final int`
`INVOKE_SUPER`
The meta object id for the '`Invoke Super`' class.
`static final int`
`INVOKE_SUPER__ARGCOUNT`
The feature id for the 'Argcount' attribute.
`static final int`
`INVOKE_SUPER__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`INVOKE_SUPER__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`INVOKE_SUPER__OPNAME`
The feature id for the 'Opname' attribute.
`static final int`
`INVOKE_SUPER__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`INVOKE_SUPER__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`INVOKE_SUPER__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`INVOKE_SUPER__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`INVOKE_SUPER_FEATURE_COUNT`
The number of structural features of the 'Invoke Super' class.
`static final int`
`ISNULL`
The meta object id for the '`Isnull`' class.
`static final int`
`ISNULL__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`ISNULL__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`ISNULL__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`ISNULL__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`ISNULL__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`ISNULL__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`ISNULL_FEATURE_COUNT`
The number of structural features of the 'Isnull' class.
`static final int`
`ITERATE`
The meta object id for the '`Iterate`' class.
`static final int`
`ITERATE__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`ITERATE__OFFSET`
The feature id for the 'Offset' attribute.
`static final int`
`ITERATE__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`ITERATE__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`ITERATE__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`ITERATE__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`ITERATE__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`ITERATE__TARGET`
The feature id for the 'Target' reference.
`static final int`
`ITERATE_FEATURE_COUNT`
The number of structural features of the 'Iterate' class.
`static final int`
`LAZY_BAG`
The meta object id for the 'Lazy Bag' data type.
`static final int`
`LAZY_COLLECTION`
The meta object id for the 'Lazy Collection' data type.
`static final int`
`LAZY_LIST`
The meta object id for the 'Lazy List' data type.
`static final int`
`LAZY_ORDERED_SET`
The meta object id for the 'Lazy Ordered Set' data type.
`static final int`
`LAZY_SET`
The meta object id for the 'Lazy Set' data type.
`static final int`
`LINE_NUMBER`
The meta object id for the '`Line Number`' class.
`static final int`
`LINE_NUMBER__END_CHAR`
The feature id for the 'End Char' attribute.
`static final int`
`LINE_NUMBER__END_COLUMN`
The feature id for the 'End Column' attribute.
`static final int`
`LINE_NUMBER__END_LINE`
The feature id for the 'End Line' attribute.
`static final int`
`LINE_NUMBER__INSTRUCTIONS`
The feature id for the 'Instructions' reference list.
`static final int`
`LINE_NUMBER__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`LINE_NUMBER__START_CHAR`
The feature id for the 'Start Char' attribute.
`static final int`
`LINE_NUMBER__START_COLUMN`
The feature id for the 'Start Column' attribute.
`static final int`
`LINE_NUMBER__START_LINE`
The feature id for the 'Start Line' attribute.
`static final int`
`LINE_NUMBER_FEATURE_COUNT`
The number of structural features of the 'Line Number' class.
`static final int`
`LOAD`
The meta object id for the '`Load`' class.
`static final int`
`LOAD__CB_OFFSET`
The feature id for the 'Cb Offset' attribute.
`static final int`
`LOAD__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`LOAD__LOCAL_VARIABLE`
The feature id for the 'Local Variable' reference.
`static final int`
`LOAD__LOCAL_VARIABLE_INDEX`
The feature id for the 'Local Variable Index' attribute.
`static final int`
`LOAD__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`LOAD__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`LOAD__SLOT`
The feature id for the 'Slot' attribute.
`static final int`
`LOAD__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`LOAD__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`LOAD__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`LOAD_FEATURE_COUNT`
The number of structural features of the 'Load' class.
`static final int`
`LOCAL_VARIABLE`
The meta object id for the '`Local Variable`' class.
`static final int`
`LOCAL_VARIABLE__END_INSTRUCTION`
The feature id for the 'End Instruction' reference.
`static final int`
`LOCAL_VARIABLE__END_INSTRUCTION_INDEX`
The feature id for the 'End Instruction Index' attribute.
`static final int`
`LOCAL_VARIABLE__ETYPE`
The feature id for the 'EType' reference.
`static final int`
`LOCAL_VARIABLE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`LOCAL_VARIABLE__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`LOCAL_VARIABLE__SLOT`
The feature id for the 'Slot' attribute.
`static final int`
`LOCAL_VARIABLE__START_INSTRUCTION`
The feature id for the 'Start Instruction' reference.
`static final int`
`LOCAL_VARIABLE__START_INSTRUCTION_INDEX`
The feature id for the 'Start Instruction Index' attribute.
`static final int`
`LOCAL_VARIABLE__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`LOCAL_VARIABLE__TYPE_MODEL`
The feature id for the 'Type Model' attribute.
`static final int`
`LOCAL_VARIABLE_FEATURE_COUNT`
The number of structural features of the 'Local Variable' class.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION`
The meta object id for the '`Local Variable Instruction`' class.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION__CB_OFFSET`
The feature id for the 'Cb Offset' attribute.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE`
The feature id for the 'Local Variable' reference.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE_INDEX`
The feature id for the 'Local Variable Index' attribute.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION__SLOT`
The feature id for the 'Slot' attribute.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`LOCAL_VARIABLE_INSTRUCTION_FEATURE_COUNT`
The number of structural features of the 'Local Variable Instruction' class.
`static final int`
`MATCH`
The meta object id for the '`Match`' class.
`static final int`
`MATCH__ARGCOUNT`
The feature id for the 'Argcount' attribute.
`static final int`
`MATCH__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`MATCH__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`MATCH__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`MATCH__RULENAME`
The feature id for the 'Rulename' attribute.
`static final int`
`MATCH__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`MATCH__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`MATCH__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`MATCH_FEATURE_COUNT`
The number of structural features of the 'Match' class.
`static final int`
`MATCH_S`
The meta object id for the '`Match S`' class.
`static final int`
`MATCH_S__ARGCOUNT`
The feature id for the 'Argcount' attribute.
`static final int`
`MATCH_S__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`MATCH_S__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`MATCH_S__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`MATCH_S__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`MATCH_S__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`MATCH_S__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`MATCH_S_FEATURE_COUNT`
The number of structural features of the 'Match S' class.
`static final int`
`METAMODEL`
The meta object id for the '`Metamodel`' class.
`static final int`
`METAMODEL__ALLOW_INTER_MODEL_REFERENCES`
The feature id for the 'Allow Inter Model References' attribute.
`static final int`
`METAMODEL__RESOURCE`
The feature id for the 'Resource' attribute.
`static final int`
`METAMODEL_FEATURE_COUNT`
The number of structural features of the 'Metamodel' class.
`static final int`
`METHOD`
The meta object id for the 'Method' data type.
`static final int`
`MODEL`
The meta object id for the '`Model`' class.
`static final int`
`MODEL__ALLOW_INTER_MODEL_REFERENCES`
The feature id for the 'Allow Inter Model References' attribute.
`static final int`
`MODEL__RESOURCE`
The feature id for the 'Resource' attribute.
`static final int`
`MODEL_DECLARATION`
The meta object id for the '`Model Declaration`' class.
`static final int`
`MODEL_DECLARATION__INOUT_MODEL_FOR`
The feature id for the 'Inout Model For' container reference.
`static final int`
`MODEL_DECLARATION__INPUT_MODEL_FOR`
The feature id for the 'Input Model For' container reference.
`static final int`
`MODEL_DECLARATION__META_MODEL_NAME`
The feature id for the 'Meta Model Name' attribute.
`static final int`
`MODEL_DECLARATION__MODEL_NAME`
The feature id for the 'Model Name' attribute.
`static final int`
`MODEL_DECLARATION__OUTPUT_MODEL_FOR`
The feature id for the 'Output Model For' container reference.
`static final int`
`MODEL_DECLARATION_FEATURE_COUNT`
The number of structural features of the 'Model Declaration' class.
`static final int`
`MODEL_DECLARATION_TAG`
The meta object id for the '`Model Declaration Tag`' enum.
`static final int`
`MODEL_FEATURE_COUNT`
The number of structural features of the 'Model' class.
`static final int`
`MODULE`
The meta object id for the '`Module`' class.
`static final int`
`MODULE__EIMPORTS`
The feature id for the 'EImports' reference list.
`static final int`
`MODULE__FEATURES`
The feature id for the 'Features' containment reference list.
`static final int`
`MODULE__IMPORTS`
The feature id for the 'Imports' attribute list.
`static final int`
`MODULE__INOUT_MODELS`
The feature id for the 'Inout Models' containment reference list.
`static final int`
`MODULE__INPUT_MODELS`
The feature id for the 'Input Models' containment reference list.
`static final int`
`MODULE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`MODULE__OUTPUT_MODELS`
The feature id for the 'Output Models' containment reference list.
`static final int`
`MODULE__RULES`
The feature id for the 'Rules' containment reference list.
`static final int`
`MODULE__SOURCE_NAME`
The feature id for the 'Source Name' attribute.
`static final int`
`MODULE_FEATURE_COUNT`
The number of structural features of the 'Module' class.
`static final int`
`MODULE_RESOLVER`
The meta object id for the 'Module Resolver' data type.
`static final int`
`NAMED_ELEMENT`
The meta object id for the '`Named Element`' class.
`static final int`
`NAMED_ELEMENT__NAME`
The feature id for the 'Name' attribute.
`static final int`
`NAMED_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Named Element' class.
`static final int`
`NEW`
The meta object id for the '`New`' class.
`static final int`
`NEW__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`NEW__MODELNAME`
The feature id for the 'Modelname' attribute.
`static final int`
`NEW__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`NEW__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`NEW__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`NEW__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`NEW__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`NEW_FEATURE_COUNT`
The number of structural features of the 'New' class.
`static final int`
`NEW_S`
The meta object id for the '`New S`' class.
`static final int`
`NEW_S__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`NEW_S__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`NEW_S__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`NEW_S__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`NEW_S__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`NEW_S__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`NEW_S_FEATURE_COUNT`
The number of structural features of the 'New S' class.
`static final int`
`NOT`
The meta object id for the '`Not`' class.
`static final int`
`NOT__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`NOT__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`NOT__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`NOT__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`NOT__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`NOT__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`NOT_FEATURE_COUNT`
The number of structural features of the 'Not' class.
`static final int`
`OPCODE`
The meta object id for the '`Opcode`' enum.
`static final int`
`OPERATION`
The meta object id for the '`Operation`' class.
`static final int`
`OPERATION__BODY`
The feature id for the 'Body' containment reference.
`static final int`
`OPERATION__CONTEXT`
The feature id for the 'Context' attribute.
`static final int`
`OPERATION__CONTEXT_MODEL`
The feature id for the 'Context Model' attribute.
`static final int`
`OPERATION__ECONTEXT`
The feature id for the 'EContext' reference.
`static final int`
`OPERATION__ETYPE`
The feature id for the 'EType' reference.
`static final int`
`OPERATION__MODULE`
The feature id for the 'Module' container reference.
`static final int`
`OPERATION__NAME`
The feature id for the 'Name' attribute.
`static final int`
`OPERATION__PARAMETERS`
The feature id for the 'Parameters' containment reference list.
`static final int`
`OPERATION__QUERY`
The feature id for the 'Query' attribute.
`static final int`
`OPERATION__STATIC`
The feature id for the 'Static' attribute.
`static final int`
`OPERATION__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`OPERATION__TYPE_MODEL`
The feature id for the 'Type Model' attribute.
`static final int`
`OPERATION_FEATURE_COUNT`
The number of structural features of the 'Operation' class.
`static final int`
`OR`
The meta object id for the '`Or`' class.
`static final int`
`OR__CB_INDEX`
The feature id for the 'Cb Index' attribute.
`static final int`
`OR__CODE_BLOCK`
The feature id for the 'Code Block' reference.
`static final int`
`OR__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`OR__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`OR__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`OR__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`OR__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`OR__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`OR_FEATURE_COUNT`
The number of structural features of the 'Or' class.
`static final int`
`OUTPUT_RULE_ELEMENT`
The meta object id for the '`Output Rule Element`' class.
`static final int`
`OUTPUT_RULE_ELEMENT__EMODELS`
The feature id for the 'EModels' reference list.
`static final int`
`OUTPUT_RULE_ELEMENT__ETYPE`
The feature id for the 'EType' reference.
`static final int`
`OUTPUT_RULE_ELEMENT__MAPS_TO`
The feature id for the 'Maps To' reference list.
`static final int`
`OUTPUT_RULE_ELEMENT__MODELS`
The feature id for the 'Models' attribute list.
`static final int`
`OUTPUT_RULE_ELEMENT__NAME`
The feature id for the 'Name' attribute.
`static final int`
`OUTPUT_RULE_ELEMENT__OUTPUT_FOR`
The feature id for the 'Output For' container reference.
`static final int`
`OUTPUT_RULE_ELEMENT__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`OUTPUT_RULE_ELEMENT__TYPE_MODEL`
The feature id for the 'Type Model' attribute.
`static final int`
`OUTPUT_RULE_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Output Rule Element' class.
`static final int`
`PARAMETER`
The meta object id for the '`Parameter`' class.
`static final int`
`PARAMETER__ETYPE`
The feature id for the 'EType' reference.
`static final int`
`PARAMETER__NAME`
The feature id for the 'Name' attribute.
`static final int`
`PARAMETER__OPERATION`
The feature id for the 'Operation' container reference.
`static final int`
`PARAMETER__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`PARAMETER__TYPE_MODEL`
The feature id for the 'Type Model' attribute.
`static final int`
`PARAMETER_FEATURE_COUNT`
The number of structural features of the 'Parameter' class.
`static final int`
`POP`
The meta object id for the '`Pop`' class.
`static final int`
`POP__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`POP__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`POP__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`POP__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`POP__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`POP__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`POP_FEATURE_COUNT`
The number of structural features of the 'Pop' class.
`static final int`
`PUSH`
The meta object id for the '`Push`' class.
`static final int`
`PUSH__BYTE_VALUE`
The feature id for the 'Byte Value' attribute.
`static final int`
`PUSH__CHAR_VALUE`
The feature id for the 'Char Value' attribute.
`static final int`
`PUSH__DOUBLE_VALUE`
The feature id for the 'Double Value' attribute.
`static final int`
`PUSH__ENUM_VALUE`
The feature id for the 'Enum Value' attribute.
`static final int`
`PUSH__FLOAT_VALUE`
The feature id for the 'Float Value' attribute.
`static final int`
`PUSH__INT_VALUE`
The feature id for the 'Int Value' attribute.
`static final int`
`PUSH__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`PUSH__LONG_VALUE`
The feature id for the 'Long Value' attribute.
`static final int`
`PUSH__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`PUSH__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`PUSH__SHORT_VALUE`
The feature id for the 'Short Value' attribute.
`static final int`
`PUSH__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`PUSH__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`PUSH__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`PUSH__STRING_VALUE`
The feature id for the 'String Value' attribute.
`static final int`
`PUSH__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`PUSH_FEATURE_COUNT`
The number of structural features of the 'Push' class.
`static final int`
`PUSHF`
The meta object id for the '`Pushf`' class.
`static final int`
`PUSHF__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`PUSHF__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`PUSHF__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`PUSHF__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`PUSHF__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`PUSHF__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`PUSHF_FEATURE_COUNT`
The number of structural features of the 'Pushf' class.
`static final int`
`PUSHT`
The meta object id for the '`Pusht`' class.
`static final int`
`PUSHT__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`PUSHT__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`PUSHT__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`PUSHT__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`PUSHT__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`PUSHT__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`PUSHT_FEATURE_COUNT`
The number of structural features of the 'Pusht' class.
`static final int`
`REMOVE`
The meta object id for the '`Remove`' class.
`static final int`
`REMOVE__FIELDNAME`
The feature id for the 'Fieldname' attribute.
`static final int`
`REMOVE__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`REMOVE__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`REMOVE__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`REMOVE__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`REMOVE__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`REMOVE__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`REMOVE_FEATURE_COUNT`
The number of structural features of the 'Remove' class.
`static final int`
`RETURN`
The meta object id for the '`Return`' class.
`static final int`
`RETURN__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`RETURN__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`RETURN__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`RETURN__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`RETURN__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`RETURN__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`RETURN_FEATURE_COUNT`
The number of structural features of the 'Return' class.
`static final int`
`RULE`
The meta object id for the '`Rule`' class.
`static final int`
`RULE__ABSTRACT`
The feature id for the 'Abstract' attribute.
`static final int`
`RULE__APPLIER`
The feature id for the 'Applier' containment reference.
`static final int`
`RULE__DEFAULT`
The feature id for the 'Default' attribute.
`static final int`
`RULE__DISTINCT_ELEMENTS`
The feature id for the 'Distinct Elements' attribute.
`static final int`
`RULE__ESUB_RULES`
The feature id for the 'ESub Rules' reference list.
`static final int`
`RULE__ESUPER_RULES`
The feature id for the 'ESuper Rules' reference list.
`static final int`
`RULE__FIELDS`
The feature id for the 'Fields' containment reference list.
`static final int`
`RULE__INPUT_ELEMENTS`
The feature id for the 'Input Elements' containment reference list.
`static final int`
`RULE__LEAF`
The feature id for the 'Leaf' attribute.
`static final int`
`RULE__MATCHER`
The feature id for the 'Matcher' containment reference.
`static final int`
`RULE__MODE`
The feature id for the 'Mode' attribute.
`static final int`
`RULE__MODULE`
The feature id for the 'Module' container reference.
`static final int`
`RULE__NAME`
The feature id for the 'Name' attribute.
`static final int`
`RULE__OUTPUT_ELEMENTS`
The feature id for the 'Output Elements' containment reference list.
`static final int`
`RULE__POST_APPLY`
The feature id for the 'Post Apply' containment reference.
`static final int`
`RULE__SUPER_RULES`
The feature id for the 'Super Rules' attribute list.
`static final int`
`RULE__UNIQUE`
The feature id for the 'Unique' attribute.
`static final int`
`RULE__WITH_LEAVES`
The feature id for the 'With Leaves' attribute.
`static final int`
`RULE_ELEMENT`
The meta object id for the '`Rule Element`' class.
`static final int`
`RULE_ELEMENT__EMODELS`
The feature id for the 'EModels' reference list.
`static final int`
`RULE_ELEMENT__ETYPE`
The feature id for the 'EType' reference.
`static final int`
`RULE_ELEMENT__MODELS`
The feature id for the 'Models' attribute list.
`static final int`
`RULE_ELEMENT__NAME`
The feature id for the 'Name' attribute.
`static final int`
`RULE_ELEMENT__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`RULE_ELEMENT__TYPE_MODEL`
The feature id for the 'Type Model' attribute.
`static final int`
`RULE_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Rule Element' class.
`static final int`
`RULE_FEATURE_COUNT`
The number of structural features of the 'Rule' class.
`static final int`
`RULE_MODE`
The meta object id for the '`Rule Mode`' enum.
`static final int`
`SET`
The meta object id for the '`Set`' class.
`static final int`
`SET__FIELDNAME`
The feature id for the 'Fieldname' attribute.
`static final int`
`SET__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`SET__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`SET__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`SET__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`SET__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`SET__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`SET_FEATURE_COUNT`
The number of structural features of the 'Set' class.
`static final int`
`SET_STATIC`
The meta object id for the '`Set Static`' class.
`static final int`
`SET_STATIC__FIELDNAME`
The feature id for the 'Fieldname' attribute.
`static final int`
`SET_STATIC__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`SET_STATIC__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`SET_STATIC__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`SET_STATIC__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`SET_STATIC__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`SET_STATIC__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`SET_STATIC_FEATURE_COUNT`
The number of structural features of the 'Set Static' class.
`static final int`
`STACK_FRAME`
The meta object id for the 'Stack Frame' data type.
`static final int`
`STORE`
The meta object id for the '`Store`' class.
`static final int`
`STORE__CB_OFFSET`
The feature id for the 'Cb Offset' attribute.
`static final int`
`STORE__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`STORE__LOCAL_VARIABLE`
The feature id for the 'Local Variable' reference.
`static final int`
`STORE__LOCAL_VARIABLE_INDEX`
The feature id for the 'Local Variable Index' attribute.
`static final int`
`STORE__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`STORE__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`STORE__SLOT`
The feature id for the 'Slot' attribute.
`static final int`
`STORE__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`STORE__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`STORE__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`STORE_FEATURE_COUNT`
The number of structural features of the 'Store' class.
`static final int`
`SWAP`
The meta object id for the '`Swap`' class.
`static final int`
`SWAP__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`SWAP__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`SWAP__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`SWAP__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`SWAP__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`SWAP__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`SWAP_FEATURE_COUNT`
The number of structural features of the 'Swap' class.
`static final int`
`SWAP_X1`
The meta object id for the '`Swap X1`' class.
`static final int`
`SWAP_X1__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`SWAP_X1__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`SWAP_X1__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`SWAP_X1__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`SWAP_X1__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`SWAP_X1__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`SWAP_X1_FEATURE_COUNT`
The number of structural features of the 'Swap X1' class.
`static final int`
`TIMING_DATA`
The meta object id for the 'Timing Data' data type.
`static final int`
`TYPED_ELEMENT`
The meta object id for the '`Typed Element`' class.
`static final int`
`TYPED_ELEMENT__ETYPE`
The feature id for the 'EType' reference.
`static final int`
`TYPED_ELEMENT__NAME`
The feature id for the 'Name' attribute.
`static final int`
`TYPED_ELEMENT__TYPE`
The feature id for the 'Type' attribute.
`static final int`
`TYPED_ELEMENT__TYPE_MODEL`
The feature id for the 'Type Model' attribute.
`static final int`
`TYPED_ELEMENT_FEATURE_COUNT`
The number of structural features of the 'Typed Element' class.
`static final int`
`VM_MONITOR`
The meta object id for the 'VM Monitor' data type.
`static final int`
`XOR`
The meta object id for the '`Xor`' class.
`static final int`
`XOR__LINE_NUMBER`
The feature id for the 'Line Number' reference.
`static final int`
`XOR__OPCODE`
The feature id for the 'Opcode' attribute.
`static final int`
`XOR__OWNING_BLOCK`
The feature id for the 'Owning Block' container reference.
`static final int`
`XOR__STACK_CONSUMPTION`
The feature id for the 'Stack Consumption' attribute.
`static final int`
`XOR__STACK_LEVEL`
The feature id for the 'Stack Level' attribute.
`static final int`
`XOR__STACK_PRODUCTION`
The feature id for the 'Stack Production' attribute.
`static final int`
`XOR_FEATURE_COUNT`
The number of structural features of the 'Xor' class.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.EClass`
`getAdd()`
Returns the meta object for class '`Add`'.
`org.eclipse.emf.ecore.EClass`
`getAllinst()`
Returns the meta object for class '`Allinst`'.
`org.eclipse.emf.ecore.EClass`
`getAllinstIn()`
Returns the meta object for class '`Allinst In`'.
`org.eclipse.emf.ecore.EClass`
`getAnd()`
Returns the meta object for class '`And`'.
`org.eclipse.emf.ecore.EClass`
`getBranchInstruction()`
Returns the meta object for class '`Branch Instruction`'.
`org.eclipse.emf.ecore.EAttribute`
`getBranchInstruction_Offset()`
Returns the meta object for the attribute '`Offset`'.
`org.eclipse.emf.ecore.EReference`
`getBranchInstruction_Target()`
Returns the meta object for the reference '`Target`'.
`org.eclipse.emf.ecore.EDataType`
`getClassNotFoundException()`
Returns the meta object for data type '`Class Not Found Exception`'.
`org.eclipse.emf.ecore.EClass`
`getCodeBlock()`
Returns the meta object for class '`Code Block`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_ApplierFor()`
Returns the meta object for the container reference '`Applier For`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_BindingFor()`
Returns the meta object for the container reference '`Binding For`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_BodyFor()`
Returns the meta object for the container reference '`Body For`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_Code()`
Returns the meta object for the containment reference list '`Code`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_InitialiserFor()`
Returns the meta object for the container reference '`Initialiser For`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_LineNumbers()`
Returns the meta object for the containment reference list '`Line Numbers`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_LocalVariables()`
Returns the meta object for the containment reference list '`Local Variables`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_MatcherFor()`
Returns the meta object for the container reference '`Matcher For`'.
`org.eclipse.emf.ecore.EAttribute`
`getCodeBlock_MaxLocals()`
Returns the meta object for the attribute '`Max Locals`'.
`org.eclipse.emf.ecore.EAttribute`
`getCodeBlock_MaxStack()`
Returns the meta object for the attribute '`Max Stack`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_Nested()`
Returns the meta object for the containment reference list '`Nested`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_NestedFor()`
Returns the meta object for the container reference '`Nested For`'.
`org.eclipse.emf.ecore.EAttribute`
`getCodeBlock_ParentFrame()`
Returns the meta object for the attribute '`Parent Frame`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlock_PostApplyFor()`
Returns the meta object for the container reference '`Post Apply For`'.
`org.eclipse.emf.ecore.EClass`
`getCodeBlockInstruction()`
Returns the meta object for class '`Code Block Instruction`'.
`org.eclipse.emf.ecore.EAttribute`
`getCodeBlockInstruction_CbIndex()`
Returns the meta object for the attribute '`Cb Index`'.
`org.eclipse.emf.ecore.EReference`
`getCodeBlockInstruction_CodeBlock()`
Returns the meta object for the reference '`Code Block`'.
`org.eclipse.emf.ecore.EEnum`
`getConstantTag()`
Returns the meta object for enum '`Constant Tag`'.
`org.eclipse.emf.ecore.EClass`
`getDelete()`
Returns the meta object for class '`Delete`'.
`org.eclipse.emf.ecore.EClass`
`getDup()`
Returns the meta object for class '`Dup`'.
`org.eclipse.emf.ecore.EClass`
`getDupX1()`
Returns the meta object for class '`Dup X1`'.
`org.eclipse.emf.ecore.EDataType`
`getEBooleanArray()`
Returns the meta object for data type 'EBoolean Array'.
`org.eclipse.emf.ecore.EDataType`
`getEJavaIterable()`
Returns the meta object for data type '`EJava Iterable`'.
`org.eclipse.emf.ecore.EDataType`
`getEJavaObjectArray()`
Returns the meta object for data type 'EJava Object Array'.
`org.eclipse.emf.ecore.EDataType`
`getEJavaSet()`
Returns the meta object for data type '`EJava Set`'.
`EmftvmFactory`
`getEmftvmFactory()`
Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass`
`getEnditerate()`
Returns the meta object for class '`Enditerate`'.
`org.eclipse.emf.ecore.EDataType`
`getEnumLiteral()`
Returns the meta object for data type '`Enum Literal`'.
`org.eclipse.emf.ecore.EDataType`
`getEObjectArray()`
Returns the meta object for data type 'EObject Array'.
`org.eclipse.emf.ecore.EClass`
`getExecEnv()`
Returns the meta object for class '`Exec Env`'.
`org.eclipse.emf.ecore.EAttribute`
`getExecEnv_CurrentPhase()`
Returns the meta object for the attribute '`Current Phase`'.
`org.eclipse.emf.ecore.EAttribute`
`getExecEnv_InoutModels()`
Returns the meta object for the attribute '`Inout Models`'.
`org.eclipse.emf.ecore.EAttribute`
`getExecEnv_InputModels()`
Returns the meta object for the attribute '`Input Models`'.
`org.eclipse.emf.ecore.EAttribute`
`getExecEnv_JitDisabled()`
Returns the meta object for the attribute '`Jit Disabled`'.
`org.eclipse.emf.ecore.EReference`
`getExecEnv_Matches()`
Returns the meta object for the reference '`Matches`'.
`org.eclipse.emf.ecore.EAttribute`
`getExecEnv_MetaModels()`
Returns the meta object for the attribute '`Meta Models`'.
`org.eclipse.emf.ecore.EAttribute`
`getExecEnv_Modules()`
Returns the meta object for the attribute '`Modules`'.
`org.eclipse.emf.ecore.EAttribute`
`getExecEnv_OutputModels()`
Returns the meta object for the attribute '`Output Models`'.
`org.eclipse.emf.ecore.EReference`
`getExecEnv_Traces()`
Returns the meta object for the reference '`Traces`'.
`org.eclipse.emf.ecore.EAttribute`
`getExecEnv_UniqueResults()`
Returns the meta object for the attribute '`Unique Results`'.
`org.eclipse.emf.ecore.EClass`
`getFeature()`
Returns the meta object for class '`Feature`'.
`org.eclipse.emf.ecore.EAttribute`
`getFeature_Context()`
Returns the meta object for the attribute '`Context`'.
`org.eclipse.emf.ecore.EAttribute`
`getFeature_ContextModel()`
Returns the meta object for the attribute '`Context Model`'.
`org.eclipse.emf.ecore.EReference`
`getFeature_EContext()`
Returns the meta object for the reference '`EContext`'.
`org.eclipse.emf.ecore.EReference`
`getFeature_Module()`
Returns the meta object for the container reference '`Module`'.
`org.eclipse.emf.ecore.EAttribute`
`getFeature_Static()`
Returns the meta object for the attribute '`Static`'.
`org.eclipse.emf.ecore.EEnum`
`getFeatureTag()`
Returns the meta object for enum '`Feature Tag`'.
`org.eclipse.emf.ecore.EClass`
`getField()`
Returns the meta object for class '`Field`'.
`org.eclipse.emf.ecore.EReference`
`getField_Initialiser()`
Returns the meta object for the containment reference '`Initialiser`'.
`org.eclipse.emf.ecore.EReference`
`getField_Rule()`
Returns the meta object for the container reference '`Rule`'.
`org.eclipse.emf.ecore.EAttribute`
`getField_StaticValue()`
Returns the meta object for the attribute '`Static Value`'.
`org.eclipse.emf.ecore.EClass`
`getFieldInstruction()`
Returns the meta object for class '`Field Instruction`'.
`org.eclipse.emf.ecore.EAttribute`
`getFieldInstruction_Fieldname()`
Returns the meta object for the attribute '`Fieldname`'.
`org.eclipse.emf.ecore.EClass`
`getFindtype()`
Returns the meta object for class '`Findtype`'.
`org.eclipse.emf.ecore.EAttribute`
`getFindtype_Modelname()`
Returns the meta object for the attribute '`Modelname`'.
`org.eclipse.emf.ecore.EAttribute`
`getFindtype_Typename()`
Returns the meta object for the attribute '`Typename`'.
`org.eclipse.emf.ecore.EClass`
`getFindtypeS()`
Returns the meta object for class '`Findtype S`'.
`org.eclipse.emf.ecore.EClass`
`getGet()`
Returns the meta object for class '`Get`'.
`org.eclipse.emf.ecore.EClass`
`getGetcb()`
Returns the meta object for class '`Getcb`'.
`org.eclipse.emf.ecore.EClass`
`getGetenv()`
Returns the meta object for class '`Getenv`'.
`org.eclipse.emf.ecore.EClass`
`getGetenvtype()`
Returns the meta object for class '`Getenvtype`'.
`org.eclipse.emf.ecore.EClass`
`getGetStatic()`
Returns the meta object for class '`Get Static`'.
`org.eclipse.emf.ecore.EClass`
`getGetSuper()`
Returns the meta object for class '`Get Super`'.
`org.eclipse.emf.ecore.EClass`
`getGetTrans()`
Returns the meta object for class '`Get Trans`'.
`org.eclipse.emf.ecore.EClass`
`getGoto()`
Returns the meta object for class '`Goto`'.
`org.eclipse.emf.ecore.EClass`
`getIf()`
Returns the meta object for class '`If`'.
`org.eclipse.emf.ecore.EClass`
`getIfn()`
Returns the meta object for class '`Ifn`'.
`org.eclipse.emf.ecore.EClass`
`getIfte()`
Returns the meta object for class '`Ifte`'.
`org.eclipse.emf.ecore.EReference`
`getIfte_ElseCb()`
Returns the meta object for the reference '`Else Cb`'.
`org.eclipse.emf.ecore.EAttribute`
`getIfte_ElseCbIndex()`
Returns the meta object for the attribute '`Else Cb Index`'.
`org.eclipse.emf.ecore.EReference`
`getIfte_ThenCb()`
Returns the meta object for the reference '`Then Cb`'.
`org.eclipse.emf.ecore.EAttribute`
`getIfte_ThenCbIndex()`
Returns the meta object for the attribute '`Then Cb Index`'.
`org.eclipse.emf.ecore.EClass`
`getImplies()`
Returns the meta object for class '`Implies`'.
`org.eclipse.emf.ecore.EClass`
`getInputRuleElement()`
Returns the meta object for class '`Input Rule Element`'.
`org.eclipse.emf.ecore.EReference`
`getInputRuleElement_Binding()`
Returns the meta object for the containment reference '`Binding`'.
`org.eclipse.emf.ecore.EReference`
`getInputRuleElement_InputFor()`
Returns the meta object for the container reference '`Input For`'.
`org.eclipse.emf.ecore.EAttribute`
`getInputRuleElement_MapsToSelf()`
Returns the meta object for the attribute '`Maps To Self`'.
`org.eclipse.emf.ecore.EClass`
`getInsert()`
Returns the meta object for class '`Insert`'.
`org.eclipse.emf.ecore.EClass`
`getInstruction()`
Returns the meta object for class '`Instruction`'.
`org.eclipse.emf.ecore.EReference`
`getInstruction_LineNumber()`
Returns the meta object for the reference '`Line Number`'.
`org.eclipse.emf.ecore.EAttribute`
`getInstruction_Opcode()`
Returns the meta object for the attribute '`Opcode`'.
`org.eclipse.emf.ecore.EReference`
`getInstruction_OwningBlock()`
Returns the meta object for the container reference '`Owning Block`'.
`org.eclipse.emf.ecore.EAttribute`
`getInstruction_StackConsumption()`
Returns the meta object for the attribute '`Stack Consumption`'.
`org.eclipse.emf.ecore.EAttribute`
`getInstruction_StackLevel()`
Returns the meta object for the attribute '`Stack Level`'.
`org.eclipse.emf.ecore.EAttribute`
`getInstruction_StackProduction()`
Returns the meta object for the attribute '`Stack Production`'.
`org.eclipse.emf.ecore.EClass`
`getInvoke()`
Returns the meta object for class '`Invoke`'.
`org.eclipse.emf.ecore.EClass`
`getInvokeAllCbs()`
Returns the meta object for class '`Invoke All Cbs`'.
`org.eclipse.emf.ecore.EClass`
`getInvokeCb()`
Returns the meta object for class '`Invoke Cb`'.
`org.eclipse.emf.ecore.EClass`
`getInvokeCbS()`
Returns the meta object for class '`Invoke Cb S`'.
`org.eclipse.emf.ecore.EClass`
`getInvokeInstruction()`
Returns the meta object for class '`Invoke Instruction`'.
`org.eclipse.emf.ecore.EAttribute`
`getInvokeInstruction_Argcount()`
Returns the meta object for the attribute '`Argcount`'.
`org.eclipse.emf.ecore.EClass`
`getInvokeOperationInstruction()`
Returns the meta object for class '`Invoke Operation Instruction`'.
`org.eclipse.emf.ecore.EAttribute`
`getInvokeOperationInstruction_Opname()`
Returns the meta object for the attribute '`Opname`'.
`org.eclipse.emf.ecore.EClass`
`getInvokeStatic()`
Returns the meta object for class '`Invoke Static`'.
`org.eclipse.emf.ecore.EClass`
`getInvokeSuper()`
Returns the meta object for class '`Invoke Super`'.
`org.eclipse.emf.ecore.EClass`
`getIsnull()`
Returns the meta object for class '`Isnull`'.
`org.eclipse.emf.ecore.EClass`
`getIterate()`
Returns the meta object for class '`Iterate`'.
`org.eclipse.emf.ecore.EDataType`
`getLazyBag()`
Returns the meta object for data type '`Lazy Bag`'.
`org.eclipse.emf.ecore.EDataType`
`getLazyCollection()`
Returns the meta object for data type '`Lazy Collection`'.
`org.eclipse.emf.ecore.EDataType`
`getLazyList()`
Returns the meta object for data type '`Lazy List`'.
`org.eclipse.emf.ecore.EDataType`
`getLazyOrderedSet()`
Returns the meta object for data type '`Lazy Ordered Set`'.
`org.eclipse.emf.ecore.EDataType`
`getLazySet()`
Returns the meta object for data type '`Lazy Set`'.
`org.eclipse.emf.ecore.EClass`
`getLineNumber()`
Returns the meta object for class '`Line Number`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineNumber_EndChar()`
Returns the meta object for the attribute '`End Char`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineNumber_EndColumn()`
Returns the meta object for the attribute '`End Column`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineNumber_EndLine()`
Returns the meta object for the attribute '`End Line`'.
`org.eclipse.emf.ecore.EReference`
`getLineNumber_Instructions()`
Returns the meta object for the reference list '`Instructions`'.
`org.eclipse.emf.ecore.EReference`
`getLineNumber_OwningBlock()`
Returns the meta object for the container reference '`Owning Block`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineNumber_StartChar()`
Returns the meta object for the attribute '`Start Char`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineNumber_StartColumn()`
Returns the meta object for the attribute '`Start Column`'.
`org.eclipse.emf.ecore.EAttribute`
`getLineNumber_StartLine()`
Returns the meta object for the attribute '`Start Line`'.
`org.eclipse.emf.ecore.EClass`
`getLoad()`
Returns the meta object for class '`Load`'.
`org.eclipse.emf.ecore.EClass`
`getLocalVariable()`
Returns the meta object for class '`Local Variable`'.
`org.eclipse.emf.ecore.EReference`
`getLocalVariable_EndInstruction()`
Returns the meta object for the reference '`End Instruction`'.
`org.eclipse.emf.ecore.EAttribute`
`getLocalVariable_EndInstructionIndex()`
Returns the meta object for the attribute '`End Instruction Index`'.
`org.eclipse.emf.ecore.EReference`
`getLocalVariable_OwningBlock()`
Returns the meta object for the container reference '`Owning Block`'.
`org.eclipse.emf.ecore.EAttribute`
`getLocalVariable_Slot()`
Returns the meta object for the attribute '`Slot`'.
`org.eclipse.emf.ecore.EReference`
`getLocalVariable_StartInstruction()`
Returns the meta object for the reference '`Start Instruction`'.
`org.eclipse.emf.ecore.EAttribute`
`getLocalVariable_StartInstructionIndex()`
Returns the meta object for the attribute '`Start Instruction Index`'.
`org.eclipse.emf.ecore.EClass`
`getLocalVariableInstruction()`
Returns the meta object for class '`Local Variable Instruction`'.
`org.eclipse.emf.ecore.EAttribute`
`getLocalVariableInstruction_CbOffset()`
Returns the meta object for the attribute '`Cb Offset`'.
`org.eclipse.emf.ecore.EReference`
`getLocalVariableInstruction_LocalVariable()`
Returns the meta object for the reference '`Local Variable`'.
`org.eclipse.emf.ecore.EAttribute`
`getLocalVariableInstruction_LocalVariableIndex()`
Returns the meta object for the attribute '`Local Variable Index`'.
`org.eclipse.emf.ecore.EAttribute`
`getLocalVariableInstruction_Slot()`
Returns the meta object for the attribute '`Slot`'.
`org.eclipse.emf.ecore.EClass`
`getMatch()`
Returns the meta object for class '`Match`'.
`org.eclipse.emf.ecore.EAttribute`
`getMatch_Rulename()`
Returns the meta object for the attribute '`Rulename`'.
`org.eclipse.emf.ecore.EClass`
`getMatchS()`
Returns the meta object for class '`Match S`'.
`org.eclipse.emf.ecore.EClass`
`getMetamodel()`
Returns the meta object for class '`Metamodel`'.
`org.eclipse.emf.ecore.EDataType`
`getMethod()`
Returns the meta object for data type '`Method`'.
`org.eclipse.emf.ecore.EClass`
`getModel()`
Returns the meta object for class '`Model`'.
`org.eclipse.emf.ecore.EAttribute`
`getModel_AllowInterModelReferences()`
Returns the meta object for the attribute '`Allow Inter Model References`'.
`org.eclipse.emf.ecore.EAttribute`
`getModel_Resource()`
Returns the meta object for the attribute '`Resource`'.
`org.eclipse.emf.ecore.EClass`
`getModelDeclaration()`
Returns the meta object for class '`Model Declaration`'.
`org.eclipse.emf.ecore.EReference`
`getModelDeclaration_InoutModelFor()`
Returns the meta object for the container reference '`Inout Model For`'.
`org.eclipse.emf.ecore.EReference`
`getModelDeclaration_InputModelFor()`
Returns the meta object for the container reference '`Input Model For`'.
`org.eclipse.emf.ecore.EAttribute`
`getModelDeclaration_MetaModelName()`
Returns the meta object for the attribute '`Meta Model Name`'.
`org.eclipse.emf.ecore.EAttribute`
`getModelDeclaration_ModelName()`
Returns the meta object for the attribute '`Model Name`'.
`org.eclipse.emf.ecore.EReference`
`getModelDeclaration_OutputModelFor()`
Returns the meta object for the container reference '`Output Model For`'.
`org.eclipse.emf.ecore.EEnum`
`getModelDeclarationTag()`
Returns the meta object for enum '`Model Declaration Tag`'.
`org.eclipse.emf.ecore.EClass`
`getModule()`
Returns the meta object for class '`Module`'.
`org.eclipse.emf.ecore.EReference`
`getModule_EImports()`
Returns the meta object for the reference list '`EImports`'.
`org.eclipse.emf.ecore.EReference`
`getModule_Features()`
Returns the meta object for the containment reference list '`Features`'.
`org.eclipse.emf.ecore.EAttribute`
`getModule_Imports()`
Returns the meta object for the attribute list '`Imports`'.
`org.eclipse.emf.ecore.EReference`
`getModule_InoutModels()`
Returns the meta object for the containment reference list '`Inout Models`'.
`org.eclipse.emf.ecore.EReference`
`getModule_InputModels()`
Returns the meta object for the containment reference list '`Input Models`'.
`org.eclipse.emf.ecore.EReference`
`getModule_OutputModels()`
Returns the meta object for the containment reference list '`Output Models`'.
`org.eclipse.emf.ecore.EReference`
`getModule_Rules()`
Returns the meta object for the containment reference list '`Rules`'.
`org.eclipse.emf.ecore.EAttribute`
`getModule_SourceName()`
Returns the meta object for the attribute '`Source Name`'.
`org.eclipse.emf.ecore.EDataType`
`getModuleResolver()`
Returns the meta object for data type '`Module Resolver`'.
`org.eclipse.emf.ecore.EClass`
`getNamedElement()`
Returns the meta object for class '`Named Element`'.
`org.eclipse.emf.ecore.EAttribute`
`getNamedElement_Name()`
Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EClass`
`getNew()`
Returns the meta object for class '`New`'.
`org.eclipse.emf.ecore.EAttribute`
`getNew_Modelname()`
Returns the meta object for the attribute '`Modelname`'.
`org.eclipse.emf.ecore.EClass`
`getNewS()`
Returns the meta object for class '`New S`'.
`org.eclipse.emf.ecore.EClass`
`getNot()`
Returns the meta object for class '`Not`'.
`org.eclipse.emf.ecore.EEnum`
`getOpcode()`
Returns the meta object for enum '`Opcode`'.
`org.eclipse.emf.ecore.EClass`
`getOperation()`
Returns the meta object for class '`Operation`'.
`org.eclipse.emf.ecore.EReference`
`getOperation_Body()`
Returns the meta object for the containment reference '`Body`'.
`org.eclipse.emf.ecore.EReference`
`getOperation_Parameters()`
Returns the meta object for the containment reference list '`Parameters`'.
`org.eclipse.emf.ecore.EAttribute`
`getOperation_Query()`
Returns the meta object for the attribute '`Query`'.
`org.eclipse.emf.ecore.EClass`
`getOr()`
Returns the meta object for class '`Or`'.
`org.eclipse.emf.ecore.EClass`
`getOutputRuleElement()`
Returns the meta object for class '`Output Rule Element`'.
`org.eclipse.emf.ecore.EReference`
`getOutputRuleElement_MapsTo()`
Returns the meta object for the reference list '`Maps To`'.
`org.eclipse.emf.ecore.EReference`
`getOutputRuleElement_OutputFor()`
Returns the meta object for the container reference '`Output For`'.
`org.eclipse.emf.ecore.EClass`
`getParameter()`
Returns the meta object for class '`Parameter`'.
`org.eclipse.emf.ecore.EReference`
`getParameter_Operation()`
Returns the meta object for the container reference '`Operation`'.
`org.eclipse.emf.ecore.EClass`
`getPop()`
Returns the meta object for class '`Pop`'.
`org.eclipse.emf.ecore.EClass`
`getPush()`
Returns the meta object for class '`Push`'.
`org.eclipse.emf.ecore.EAttribute`
`getPush_ByteValue()`
Returns the meta object for the attribute '`Byte Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getPush_CharValue()`
Returns the meta object for the attribute '`Char Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getPush_DoubleValue()`
Returns the meta object for the attribute '`Double Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getPush_EnumValue()`
Returns the meta object for the attribute '`Enum Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getPush_FloatValue()`
Returns the meta object for the attribute '`Float Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getPush_IntValue()`
Returns the meta object for the attribute '`Int Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getPush_LongValue()`
Returns the meta object for the attribute '`Long Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getPush_ShortValue()`
Returns the meta object for the attribute '`Short Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getPush_StringValue()`
Returns the meta object for the attribute '`String Value`'.
`org.eclipse.emf.ecore.EAttribute`
`getPush_Value()`
Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass`
`getPushf()`
Returns the meta object for class '`Pushf`'.
`org.eclipse.emf.ecore.EClass`
`getPusht()`
Returns the meta object for class '`Pusht`'.
`org.eclipse.emf.ecore.EClass`
`getRemove()`
Returns the meta object for class '`Remove`'.
`org.eclipse.emf.ecore.EClass`
`getReturn()`
Returns the meta object for class '`Return`'.
`org.eclipse.emf.ecore.EClass`
`getRule()`
Returns the meta object for class '`Rule`'.
`org.eclipse.emf.ecore.EAttribute`
`getRule_Abstract()`
Returns the meta object for the attribute '`Abstract`'.
`org.eclipse.emf.ecore.EReference`
`getRule_Applier()`
Returns the meta object for the containment reference '`Applier`'.
`org.eclipse.emf.ecore.EAttribute`
`getRule_Default()`
Returns the meta object for the attribute '`Default`'.
`org.eclipse.emf.ecore.EAttribute`
`getRule_DistinctElements()`
Returns the meta object for the attribute '`Distinct Elements`'.
`org.eclipse.emf.ecore.EReference`
`getRule_ESubRules()`
Returns the meta object for the reference list '`ESub Rules`'.
`org.eclipse.emf.ecore.EReference`
`getRule_ESuperRules()`
Returns the meta object for the reference list '`ESuper Rules`'.
`org.eclipse.emf.ecore.EReference`
`getRule_Fields()`
Returns the meta object for the containment reference list '`Fields`'.
`org.eclipse.emf.ecore.EReference`
`getRule_InputElements()`
Returns the meta object for the containment reference list '`Input Elements`'.
`org.eclipse.emf.ecore.EAttribute`
`getRule_Leaf()`
Returns the meta object for the attribute '`Leaf`'.
`org.eclipse.emf.ecore.EReference`
`getRule_Matcher()`
Returns the meta object for the containment reference '`Matcher`'.
`org.eclipse.emf.ecore.EAttribute`
`getRule_Mode()`
Returns the meta object for the attribute '`Mode`'.
`org.eclipse.emf.ecore.EReference`
`getRule_Module()`
Returns the meta object for the container reference '`Module`'.
`org.eclipse.emf.ecore.EReference`
`getRule_OutputElements()`
Returns the meta object for the containment reference list '`Output Elements`'.
`org.eclipse.emf.ecore.EReference`
`getRule_PostApply()`
Returns the meta object for the containment reference '`Post Apply`'.
`org.eclipse.emf.ecore.EAttribute`
`getRule_SuperRules()`
Returns the meta object for the attribute list '`Super Rules`'.
`org.eclipse.emf.ecore.EAttribute`
`getRule_Unique()`
Returns the meta object for the attribute '`Unique`'.
`org.eclipse.emf.ecore.EAttribute`
`getRule_WithLeaves()`
Returns the meta object for the attribute '`With Leaves`'.
`org.eclipse.emf.ecore.EClass`
`getRuleElement()`
Returns the meta object for class '`Rule Element`'.
`org.eclipse.emf.ecore.EReference`
`getRuleElement_EModels()`
Returns the meta object for the reference list '`EModels`'.
`org.eclipse.emf.ecore.EAttribute`
`getRuleElement_Models()`
Returns the meta object for the attribute list '`Models`'.
`org.eclipse.emf.ecore.EEnum`
`getRuleMode()`
Returns the meta object for enum '`Rule Mode`'.
`org.eclipse.emf.ecore.EClass`
`getSet()`
Returns the meta object for class '`Set`'.
`org.eclipse.emf.ecore.EClass`
`getSetStatic()`
Returns the meta object for class '`Set Static`'.
`org.eclipse.emf.ecore.EDataType`
`getStackFrame()`
Returns the meta object for data type '`Stack Frame`'.
`org.eclipse.emf.ecore.EClass`
`getStore()`
Returns the meta object for class '`Store`'.
`org.eclipse.emf.ecore.EClass`
`getSwap()`
Returns the meta object for class '`Swap`'.
`org.eclipse.emf.ecore.EClass`
`getSwapX1()`
Returns the meta object for class '`Swap X1`'.
`org.eclipse.emf.ecore.EDataType`
`getTimingData()`
Returns the meta object for data type '`Timing Data`'.
`org.eclipse.emf.ecore.EClass`
`getTypedElement()`
Returns the meta object for class '`Typed Element`'.
`org.eclipse.emf.ecore.EReference`
`getTypedElement_EType()`
Returns the meta object for the reference '`EType`'.
`org.eclipse.emf.ecore.EAttribute`
`getTypedElement_Type()`
Returns the meta object for the attribute '`Type`'.
`org.eclipse.emf.ecore.EAttribute`
`getTypedElement_TypeModel()`
Returns the meta object for the attribute '`Type Model`'.
`org.eclipse.emf.ecore.EDataType`
`getVMMonitor()`
Returns the meta object for data type '`VM Monitor`'.
`org.eclipse.emf.ecore.EClass`
`getXor()`
Returns the meta object for class '`Xor`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values

### eINSTANCE

static final EmftvmPackage eINSTANCE
The singleton instance of the package.

### NAMED_ELEMENT

static final int NAMED_ELEMENT
The meta object id for the '`Named Element`' class.

See Also:
  - `NamedElementImpl`
  - `EmftvmPackageImpl.getNamedElement()`
  - Constant Field Values

### MODULE

static final int MODULE
The meta object id for the '`Module`' class.

See Also:
  - `ModuleImpl`
  - `EmftvmPackageImpl.getModule()`
  - Constant Field Values

### TYPED_ELEMENT

static final int TYPED_ELEMENT
The meta object id for the '`Typed Element`' class.

See Also:
  - `TypedElementImpl`
  - `EmftvmPackageImpl.getTypedElement()`
  - Constant Field Values

### FEATURE

static final int FEATURE
The meta object id for the '`Feature`' class.

See Also:
  - `FeatureImpl`
  - `EmftvmPackageImpl.getFeature()`
  - Constant Field Values

### FIELD

static final int FIELD
The meta object id for the '`Field`' class.

See Also:
  - `FieldImpl`
  - `EmftvmPackageImpl.getField()`
  - Constant Field Values

### OPERATION

static final int OPERATION
The meta object id for the '`Operation`' class.

See Also:
  - `OperationImpl`
  - `EmftvmPackageImpl.getOperation()`
  - Constant Field Values

### PARAMETER

static final int PARAMETER
The meta object id for the '`Parameter`' class.

See Also:
  - `ParameterImpl`
  - `EmftvmPackageImpl.getParameter()`
  - Constant Field Values

### INSTRUCTION

static final int INSTRUCTION
The meta object id for the '`Instruction`' class.

See Also:
  - `InstructionImpl`
  - `EmftvmPackageImpl.getInstruction()`
  - Constant Field Values

### LINE_NUMBER

static final int LINE_NUMBER
The meta object id for the '`Line Number`' class.

See Also:
  - `LineNumberImpl`
  - `EmftvmPackageImpl.getLineNumber()`
  - Constant Field Values

### LOCAL_VARIABLE

static final int LOCAL_VARIABLE
The meta object id for the '`Local Variable`' class.

See Also:
  - `LocalVariableImpl`
  - `EmftvmPackageImpl.getLocalVariable()`
  - Constant Field Values

### RULE

static final int RULE
The meta object id for the '`Rule`' class.

See Also:
  - `RuleImpl`
  - `EmftvmPackageImpl.getRule()`
  - Constant Field Values

### RULE_ELEMENT

static final int RULE_ELEMENT
The meta object id for the '`Rule Element`' class.

See Also:
  - `RuleElementImpl`
  - `EmftvmPackageImpl.getRuleElement()`
  - Constant Field Values

### CODE_BLOCK

static final int CODE_BLOCK
The meta object id for the '`Code Block`' class.

See Also:
  - `CodeBlockImpl`
  - `EmftvmPackageImpl.getCodeBlock()`
  - Constant Field Values

### PUSH

static final int PUSH
The meta object id for the '`Push`' class.

See Also:
  - `PushImpl`
  - `EmftvmPackageImpl.getPush()`
  - Constant Field Values

### PUSHT

static final int PUSHT
The meta object id for the '`Pusht`' class.

See Also:
  - `PushtImpl`
  - `EmftvmPackageImpl.getPusht()`
  - Constant Field Values

### PUSHF

static final int PUSHF
The meta object id for the '`Pushf`' class.

See Also:
  - `PushfImpl`
  - `EmftvmPackageImpl.getPushf()`
  - Constant Field Values

### POP

static final int POP
The meta object id for the '`Pop`' class.

See Also:
  - `PopImpl`
  - `EmftvmPackageImpl.getPop()`
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION

static final int LOCAL_VARIABLE_INSTRUCTION
The meta object id for the '`Local Variable Instruction`' class.

See Also:
  - `LocalVariableInstructionImpl`
  - `EmftvmPackageImpl.getLocalVariableInstruction()`
  - Constant Field Values

### LOAD

static final int LOAD
The meta object id for the '`Load`' class.

See Also:
  - `LoadImpl`
  - `EmftvmPackageImpl.getLoad()`
  - Constant Field Values

### STORE

static final int STORE
The meta object id for the '`Store`' class.

See Also:
  - `StoreImpl`
  - `EmftvmPackageImpl.getStore()`
  - Constant Field Values

### FIELD_INSTRUCTION

static final int FIELD_INSTRUCTION
The meta object id for the '`Field Instruction`' class.

See Also:
  - `FieldInstructionImpl`
  - `EmftvmPackageImpl.getFieldInstruction()`
  - Constant Field Values

### SET

static final int SET
The meta object id for the '`Set`' class.

See Also:
  - `SetImpl`
  - `EmftvmPackageImpl.getSet()`
  - Constant Field Values

### GET

static final int GET
The meta object id for the '`Get`' class.

See Also:
  - `GetImpl`
  - `EmftvmPackageImpl.getGet()`
  - Constant Field Values

### GET_TRANS

static final int GET_TRANS
The meta object id for the '`Get Trans`' class.

See Also:
  - `GetTransImpl`
  - `EmftvmPackageImpl.getGetTrans()`
  - Constant Field Values

### SET_STATIC

static final int SET_STATIC
The meta object id for the '`Set Static`' class.

See Also:
  - `SetStaticImpl`
  - `EmftvmPackageImpl.getSetStatic()`
  - Constant Field Values

### GET_STATIC

static final int GET_STATIC
The meta object id for the '`Get Static`' class.

See Also:
  - `GetStaticImpl`
  - `EmftvmPackageImpl.getGetStatic()`
  - Constant Field Values

### FINDTYPE

static final int FINDTYPE
The meta object id for the '`Findtype`' class.

See Also:
  - `FindtypeImpl`
  - `EmftvmPackageImpl.getFindtype()`
  - Constant Field Values

### FINDTYPE_S

static final int FINDTYPE_S
The meta object id for the '`Findtype S`' class.

See Also:
  - `FindtypeSImpl`
  - `EmftvmPackageImpl.getFindtypeS()`
  - Constant Field Values

### NEW

static final int NEW
The meta object id for the '`New`' class.

See Also:
  - `NewImpl`
  - `EmftvmPackageImpl.getNew()`
  - Constant Field Values

### NEW_S

static final int NEW_S
The meta object id for the '`New S`' class.

See Also:
  - `NewSImpl`
  - `EmftvmPackageImpl.getNewS()`
  - Constant Field Values

### DELETE

static final int DELETE
The meta object id for the '`Delete`' class.

See Also:
  - `DeleteImpl`
  - `EmftvmPackageImpl.getDelete()`
  - Constant Field Values

### DUP

static final int DUP
The meta object id for the '`Dup`' class.

See Also:
  - `DupImpl`
  - `EmftvmPackageImpl.getDup()`
  - Constant Field Values

### DUP_X1

static final int DUP_X1
The meta object id for the '`Dup X1`' class.

See Also:
  - `DupX1Impl`
  - `EmftvmPackageImpl.getDupX1()`
  - Constant Field Values

### SWAP

static final int SWAP
The meta object id for the '`Swap`' class.

See Also:
  - `SwapImpl`
  - `EmftvmPackageImpl.getSwap()`
  - Constant Field Values

### BRANCH_INSTRUCTION

static final int BRANCH_INSTRUCTION
The meta object id for the '`Branch Instruction`' class.

See Also:
  - `BranchInstructionImpl`
  - `EmftvmPackageImpl.getBranchInstruction()`
  - Constant Field Values

### IF

static final int IF
The meta object id for the '`If`' class.

See Also:
  - `IfImpl`
  - `EmftvmPackageImpl.getIf()`
  - Constant Field Values

### IFN

static final int IFN
The meta object id for the '`Ifn`' class.

See Also:
  - `IfnImpl`
  - `EmftvmPackageImpl.getIfn()`
  - Constant Field Values

### GOTO

static final int GOTO
The meta object id for the '`Goto`' class.

See Also:
  - `GotoImpl`
  - `EmftvmPackageImpl.getGoto()`
  - Constant Field Values

### ITERATE

static final int ITERATE
The meta object id for the '`Iterate`' class.

See Also:
  - `IterateImpl`
  - `EmftvmPackageImpl.getIterate()`
  - Constant Field Values

### ENDITERATE

static final int ENDITERATE
The meta object id for the '`Enditerate`' class.

See Also:
  - `EnditerateImpl`
  - `EmftvmPackageImpl.getEnditerate()`
  - Constant Field Values

### INVOKE_INSTRUCTION

static final int INVOKE_INSTRUCTION
The meta object id for the '`Invoke Instruction`' class.

See Also:
  - `InvokeInstructionImpl`
  - `EmftvmPackageImpl.getInvokeInstruction()`
  - Constant Field Values

### INVOKE

static final int INVOKE
The meta object id for the '`Invoke`' class.

See Also:
  - `InvokeImpl`
  - `EmftvmPackageImpl.getInvoke()`
  - Constant Field Values

### INVOKE_SUPER

static final int INVOKE_SUPER
The meta object id for the '`Invoke Super`' class.

See Also:
  - `InvokeSuperImpl`
  - `EmftvmPackageImpl.getInvokeSuper()`
  - Constant Field Values

### INVOKE_STATIC

static final int INVOKE_STATIC
The meta object id for the '`Invoke Static`' class.

See Also:
  - `InvokeStaticImpl`
  - `EmftvmPackageImpl.getInvokeStatic()`
  - Constant Field Values

### ALLINST

static final int ALLINST
The meta object id for the '`Allinst`' class.

See Also:
  - `AllinstImpl`
  - `EmftvmPackageImpl.getAllinst()`
  - Constant Field Values

### ALLINST_IN

static final int ALLINST_IN
The meta object id for the '`Allinst In`' class.

See Also:
  - `AllinstInImpl`
  - `EmftvmPackageImpl.getAllinstIn()`
  - Constant Field Values

### MATCH

static final int MATCH
The meta object id for the '`Match`' class.

See Also:
  - `MatchImpl`
  - `EmftvmPackageImpl.getMatch()`
  - Constant Field Values

### NOT

static final int NOT
The meta object id for the '`Not`' class.

See Also:
  - `NotImpl`
  - `EmftvmPackageImpl.getNot()`
  - Constant Field Values

### ISNULL

static final int ISNULL
The meta object id for the '`Isnull`' class.

See Also:
  - `IsnullImpl`
  - `EmftvmPackageImpl.getIsnull()`
  - Constant Field Values

### EXEC_ENV

static final int EXEC_ENV
The meta object id for the '`Exec Env`' class.

See Also:
  - `ExecEnvImpl`
  - `EmftvmPackageImpl.getExecEnv()`
  - Constant Field Values

### EXEC_ENV__META_MODELS

static final int EXEC_ENV__META_MODELS
The feature id for the 'Meta Models' attribute.

See Also:
  - Constant Field Values

### EXEC_ENV__INPUT_MODELS

static final int EXEC_ENV__INPUT_MODELS
The feature id for the 'Input Models' attribute.

See Also:
  - Constant Field Values

### EXEC_ENV__INOUT_MODELS

static final int EXEC_ENV__INOUT_MODELS
The feature id for the 'Inout Models' attribute.

See Also:
  - Constant Field Values

### EXEC_ENV__OUTPUT_MODELS

static final int EXEC_ENV__OUTPUT_MODELS
The feature id for the 'Output Models' attribute.

See Also:
  - Constant Field Values

### EXEC_ENV__MODULES

static final int EXEC_ENV__MODULES
The feature id for the 'Modules' attribute.

See Also:
  - Constant Field Values

### EXEC_ENV__MATCHES

static final int EXEC_ENV__MATCHES
The feature id for the 'Matches' reference.

See Also:
  - Constant Field Values

### EXEC_ENV__TRACES

static final int EXEC_ENV__TRACES
The feature id for the 'Traces' reference.

See Also:
  - Constant Field Values

### EXEC_ENV__UNIQUE_RESULTS

static final int EXEC_ENV__UNIQUE_RESULTS
The feature id for the 'Unique Results' attribute.

See Also:
  - Constant Field Values

### EXEC_ENV__JIT_DISABLED

static final int EXEC_ENV__JIT_DISABLED
The feature id for the 'Jit Disabled' attribute.

See Also:
  - Constant Field Values

### EXEC_ENV__CURRENT_PHASE

static final int EXEC_ENV__CURRENT_PHASE
The feature id for the 'Current Phase' attribute.

See Also:
  - Constant Field Values

### EXEC_ENV_FEATURE_COUNT

static final int EXEC_ENV_FEATURE_COUNT
The number of structural features of the 'Exec Env' class.

See Also:
  - Constant Field Values

### MODEL

static final int MODEL
The meta object id for the '`Model`' class.

See Also:
  - `ModelImpl`
  - `EmftvmPackageImpl.getModel()`
  - Constant Field Values

### MODEL__RESOURCE

static final int MODEL__RESOURCE
The feature id for the 'Resource' attribute.

See Also:
  - Constant Field Values

### MODEL__ALLOW_INTER_MODEL_REFERENCES

static final int MODEL__ALLOW_INTER_MODEL_REFERENCES
The feature id for the 'Allow Inter Model References' attribute.

See Also:
  - Constant Field Values

### MODEL_FEATURE_COUNT

static final int MODEL_FEATURE_COUNT
The number of structural features of the 'Model' class.

See Also:
  - Constant Field Values

### METAMODEL

static final int METAMODEL
The meta object id for the '`Metamodel`' class.

See Also:
  - `MetamodelImpl`
  - `EmftvmPackageImpl.getMetamodel()`
  - Constant Field Values

### METAMODEL__RESOURCE

static final int METAMODEL__RESOURCE
The feature id for the 'Resource' attribute.

See Also:
  - Constant Field Values

### METAMODEL__ALLOW_INTER_MODEL_REFERENCES

static final int METAMODEL__ALLOW_INTER_MODEL_REFERENCES
The feature id for the 'Allow Inter Model References' attribute.

See Also:
  - Constant Field Values

### METAMODEL_FEATURE_COUNT

static final int METAMODEL_FEATURE_COUNT
The number of structural features of the 'Metamodel' class.

See Also:
  - Constant Field Values

### NAMED_ELEMENT__NAME

static final int NAMED_ELEMENT__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### NAMED_ELEMENT_FEATURE_COUNT

static final int NAMED_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Named Element' class.

See Also:
  - Constant Field Values

### MODULE__NAME

static final int MODULE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### MODULE__SOURCE_NAME

static final int MODULE__SOURCE_NAME
The feature id for the 'Source Name' attribute.

See Also:
  - Constant Field Values

### MODULE__FEATURES

static final int MODULE__FEATURES
The feature id for the 'Features' containment reference list.

See Also:
  - Constant Field Values

### MODULE__RULES

static final int MODULE__RULES
The feature id for the 'Rules' containment reference list.

See Also:
  - Constant Field Values

### MODULE__EIMPORTS

static final int MODULE__EIMPORTS
The feature id for the 'EImports' reference list.

See Also:
  - Constant Field Values

### MODULE__IMPORTS

static final int MODULE__IMPORTS
The feature id for the 'Imports' attribute list.

See Also:
  - Constant Field Values

### MODULE__INPUT_MODELS

static final int MODULE__INPUT_MODELS
The feature id for the 'Input Models' containment reference list.

See Also:
  - Constant Field Values

### MODULE__INOUT_MODELS

static final int MODULE__INOUT_MODELS
The feature id for the 'Inout Models' containment reference list.

See Also:
  - Constant Field Values

### MODULE__OUTPUT_MODELS

static final int MODULE__OUTPUT_MODELS
The feature id for the 'Output Models' containment reference list.

See Also:
  - Constant Field Values

### MODULE_FEATURE_COUNT

static final int MODULE_FEATURE_COUNT
The number of structural features of the 'Module' class.

See Also:
  - Constant Field Values

### MODEL_DECLARATION

static final int MODEL_DECLARATION
The meta object id for the '`Model Declaration`' class.

See Also:
  - `ModelDeclarationImpl`
  - `EmftvmPackageImpl.getModelDeclaration()`
  - Constant Field Values

### MODEL_DECLARATION__MODEL_NAME

static final int MODEL_DECLARATION__MODEL_NAME
The feature id for the 'Model Name' attribute.

See Also:
  - Constant Field Values

### MODEL_DECLARATION__META_MODEL_NAME

static final int MODEL_DECLARATION__META_MODEL_NAME
The feature id for the 'Meta Model Name' attribute.

See Also:
  - Constant Field Values

### MODEL_DECLARATION__INPUT_MODEL_FOR

static final int MODEL_DECLARATION__INPUT_MODEL_FOR
The feature id for the 'Input Model For' container reference.

See Also:
  - Constant Field Values

### MODEL_DECLARATION__INOUT_MODEL_FOR

static final int MODEL_DECLARATION__INOUT_MODEL_FOR
The feature id for the 'Inout Model For' container reference.

See Also:
  - Constant Field Values

### MODEL_DECLARATION__OUTPUT_MODEL_FOR

static final int MODEL_DECLARATION__OUTPUT_MODEL_FOR
The feature id for the 'Output Model For' container reference.

See Also:
  - Constant Field Values

### MODEL_DECLARATION_FEATURE_COUNT

static final int MODEL_DECLARATION_FEATURE_COUNT
The number of structural features of the 'Model Declaration' class.

See Also:
  - Constant Field Values

### TYPED_ELEMENT__NAME

static final int TYPED_ELEMENT__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### TYPED_ELEMENT__ETYPE

static final int TYPED_ELEMENT__ETYPE
The feature id for the 'EType' reference.

See Also:
  - Constant Field Values

### TYPED_ELEMENT__TYPE

static final int TYPED_ELEMENT__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### TYPED_ELEMENT__TYPE_MODEL

static final int TYPED_ELEMENT__TYPE_MODEL
The feature id for the 'Type Model' attribute.

See Also:
  - Constant Field Values

### TYPED_ELEMENT_FEATURE_COUNT

static final int TYPED_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Typed Element' class.

See Also:
  - Constant Field Values

### FEATURE__NAME

static final int FEATURE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### FEATURE__ETYPE

static final int FEATURE__ETYPE
The feature id for the 'EType' reference.

See Also:
  - Constant Field Values

### FEATURE__TYPE

static final int FEATURE__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### FEATURE__TYPE_MODEL

static final int FEATURE__TYPE_MODEL
The feature id for the 'Type Model' attribute.

See Also:
  - Constant Field Values

### FEATURE__STATIC

static final int FEATURE__STATIC
The feature id for the 'Static' attribute.

See Also:
  - Constant Field Values

### FEATURE__ECONTEXT

static final int FEATURE__ECONTEXT
The feature id for the 'EContext' reference.

See Also:
  - Constant Field Values

### FEATURE__MODULE

static final int FEATURE__MODULE
The feature id for the 'Module' container reference.

See Also:
  - Constant Field Values

### FEATURE__CONTEXT

static final int FEATURE__CONTEXT
The feature id for the 'Context' attribute.

See Also:
  - Constant Field Values

### FEATURE__CONTEXT_MODEL

static final int FEATURE__CONTEXT_MODEL
The feature id for the 'Context Model' attribute.

See Also:
  - Constant Field Values

### FEATURE_FEATURE_COUNT

static final int FEATURE_FEATURE_COUNT
The number of structural features of the 'Feature' class.

See Also:
  - Constant Field Values

### FIELD__NAME

static final int FIELD__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### FIELD__ETYPE

static final int FIELD__ETYPE
The feature id for the 'EType' reference.

See Also:
  - Constant Field Values

### FIELD__TYPE

static final int FIELD__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### FIELD__TYPE_MODEL

static final int FIELD__TYPE_MODEL
The feature id for the 'Type Model' attribute.

See Also:
  - Constant Field Values

### FIELD__STATIC

static final int FIELD__STATIC
The feature id for the 'Static' attribute.

See Also:
  - Constant Field Values

### FIELD__ECONTEXT

static final int FIELD__ECONTEXT
The feature id for the 'EContext' reference.

See Also:
  - Constant Field Values

### FIELD__MODULE

static final int FIELD__MODULE
The feature id for the 'Module' container reference.

See Also:
  - Constant Field Values

### FIELD__CONTEXT

static final int FIELD__CONTEXT
The feature id for the 'Context' attribute.

See Also:
  - Constant Field Values

### FIELD__CONTEXT_MODEL

static final int FIELD__CONTEXT_MODEL
The feature id for the 'Context Model' attribute.

See Also:
  - Constant Field Values

### FIELD__STATIC_VALUE

static final int FIELD__STATIC_VALUE
The feature id for the 'Static Value' attribute.

See Also:
  - Constant Field Values

### FIELD__INITIALISER

static final int FIELD__INITIALISER
The feature id for the 'Initialiser' containment reference.

See Also:
  - Constant Field Values

### FIELD__RULE

static final int FIELD__RULE
The feature id for the 'Rule' container reference.

See Also:
  - Constant Field Values

### FIELD_FEATURE_COUNT

static final int FIELD_FEATURE_COUNT
The number of structural features of the 'Field' class.

See Also:
  - Constant Field Values

### OPERATION__NAME

static final int OPERATION__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### OPERATION__ETYPE

static final int OPERATION__ETYPE
The feature id for the 'EType' reference.

See Also:
  - Constant Field Values

### OPERATION__TYPE

static final int OPERATION__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### OPERATION__TYPE_MODEL

static final int OPERATION__TYPE_MODEL
The feature id for the 'Type Model' attribute.

See Also:
  - Constant Field Values

### OPERATION__STATIC

static final int OPERATION__STATIC
The feature id for the 'Static' attribute.

See Also:
  - Constant Field Values

### OPERATION__ECONTEXT

static final int OPERATION__ECONTEXT
The feature id for the 'EContext' reference.

See Also:
  - Constant Field Values

### OPERATION__MODULE

static final int OPERATION__MODULE
The feature id for the 'Module' container reference.

See Also:
  - Constant Field Values

### OPERATION__CONTEXT

static final int OPERATION__CONTEXT
The feature id for the 'Context' attribute.

See Also:
  - Constant Field Values

### OPERATION__CONTEXT_MODEL

static final int OPERATION__CONTEXT_MODEL
The feature id for the 'Context Model' attribute.

See Also:
  - Constant Field Values

### OPERATION__PARAMETERS

static final int OPERATION__PARAMETERS
The feature id for the 'Parameters' containment reference list.

See Also:
  - Constant Field Values

### OPERATION__QUERY

static final int OPERATION__QUERY
The feature id for the 'Query' attribute.

See Also:
  - Constant Field Values

### OPERATION__BODY

static final int OPERATION__BODY
The feature id for the 'Body' containment reference.

See Also:
  - Constant Field Values

### OPERATION_FEATURE_COUNT

static final int OPERATION_FEATURE_COUNT
The number of structural features of the 'Operation' class.

See Also:
  - Constant Field Values

### PARAMETER__NAME

static final int PARAMETER__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### PARAMETER__ETYPE

static final int PARAMETER__ETYPE
The feature id for the 'EType' reference.

See Also:
  - Constant Field Values

### PARAMETER__TYPE

static final int PARAMETER__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### PARAMETER__TYPE_MODEL

static final int PARAMETER__TYPE_MODEL
The feature id for the 'Type Model' attribute.

See Also:
  - Constant Field Values

### PARAMETER__OPERATION

static final int PARAMETER__OPERATION
The feature id for the 'Operation' container reference.

See Also:
  - Constant Field Values

### PARAMETER_FEATURE_COUNT

static final int PARAMETER_FEATURE_COUNT
The number of structural features of the 'Parameter' class.

See Also:
  - Constant Field Values

### INSTRUCTION__OWNING_BLOCK

static final int INSTRUCTION__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### INSTRUCTION__OPCODE

static final int INSTRUCTION__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### INSTRUCTION__STACK_PRODUCTION

static final int INSTRUCTION__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### INSTRUCTION__STACK_CONSUMPTION

static final int INSTRUCTION__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### INSTRUCTION__STACK_LEVEL

static final int INSTRUCTION__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### INSTRUCTION__LINE_NUMBER

static final int INSTRUCTION__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### INSTRUCTION_FEATURE_COUNT

static final int INSTRUCTION_FEATURE_COUNT
The number of structural features of the 'Instruction' class.

See Also:
  - Constant Field Values

### LINE_NUMBER__START_LINE

static final int LINE_NUMBER__START_LINE
The feature id for the 'Start Line' attribute.

See Also:
  - Constant Field Values

### LINE_NUMBER__START_COLUMN

static final int LINE_NUMBER__START_COLUMN
The feature id for the 'Start Column' attribute.

See Also:
  - Constant Field Values

### LINE_NUMBER__END_LINE

static final int LINE_NUMBER__END_LINE
The feature id for the 'End Line' attribute.

See Also:
  - Constant Field Values

### LINE_NUMBER__END_COLUMN

static final int LINE_NUMBER__END_COLUMN
The feature id for the 'End Column' attribute.

See Also:
  - Constant Field Values

### LINE_NUMBER__START_CHAR

static final int LINE_NUMBER__START_CHAR
The feature id for the 'Start Char' attribute.

See Also:
  - Constant Field Values

### LINE_NUMBER__END_CHAR

static final int LINE_NUMBER__END_CHAR
The feature id for the 'End Char' attribute.

See Also:
  - Constant Field Values

### LINE_NUMBER__OWNING_BLOCK

static final int LINE_NUMBER__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### LINE_NUMBER__INSTRUCTIONS

static final int LINE_NUMBER__INSTRUCTIONS
The feature id for the 'Instructions' reference list.

See Also:
  - Constant Field Values

### LINE_NUMBER_FEATURE_COUNT

static final int LINE_NUMBER_FEATURE_COUNT
The number of structural features of the 'Line Number' class.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE__NAME

static final int LOCAL_VARIABLE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE__ETYPE

static final int LOCAL_VARIABLE__ETYPE
The feature id for the 'EType' reference.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE__TYPE

static final int LOCAL_VARIABLE__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE__TYPE_MODEL

static final int LOCAL_VARIABLE__TYPE_MODEL
The feature id for the 'Type Model' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE__SLOT

static final int LOCAL_VARIABLE__SLOT
The feature id for the 'Slot' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE__OWNING_BLOCK

static final int LOCAL_VARIABLE__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE__START_INSTRUCTION

static final int LOCAL_VARIABLE__START_INSTRUCTION
The feature id for the 'Start Instruction' reference.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE__END_INSTRUCTION

static final int LOCAL_VARIABLE__END_INSTRUCTION
The feature id for the 'End Instruction' reference.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE__START_INSTRUCTION_INDEX

static final int LOCAL_VARIABLE__START_INSTRUCTION_INDEX
The feature id for the 'Start Instruction Index' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE__END_INSTRUCTION_INDEX

static final int LOCAL_VARIABLE__END_INSTRUCTION_INDEX
The feature id for the 'End Instruction Index' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_FEATURE_COUNT

static final int LOCAL_VARIABLE_FEATURE_COUNT
The number of structural features of the 'Local Variable' class.

See Also:
  - Constant Field Values

### RULE__NAME

static final int RULE__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### RULE__MODULE

static final int RULE__MODULE
The feature id for the 'Module' container reference.

See Also:
  - Constant Field Values

### RULE__MODE

static final int RULE__MODE
The feature id for the 'Mode' attribute.

See Also:
  - Constant Field Values

### RULE__INPUT_ELEMENTS

static final int RULE__INPUT_ELEMENTS
The feature id for the 'Input Elements' containment reference list.

See Also:
  - Constant Field Values

### RULE__OUTPUT_ELEMENTS

static final int RULE__OUTPUT_ELEMENTS
The feature id for the 'Output Elements' containment reference list.

See Also:
  - Constant Field Values

### RULE__ESUPER_RULES

static final int RULE__ESUPER_RULES
The feature id for the 'ESuper Rules' reference list.

See Also:
  - Constant Field Values

### RULE__ESUB_RULES

static final int RULE__ESUB_RULES
The feature id for the 'ESub Rules' reference list.

See Also:
  - Constant Field Values

### RULE__MATCHER

static final int RULE__MATCHER
The feature id for the 'Matcher' containment reference.

See Also:
  - Constant Field Values

### RULE__APPLIER

static final int RULE__APPLIER
The feature id for the 'Applier' containment reference.

See Also:
  - Constant Field Values

### RULE__POST_APPLY

static final int RULE__POST_APPLY
The feature id for the 'Post Apply' containment reference.

See Also:
  - Constant Field Values

### RULE__SUPER_RULES

static final int RULE__SUPER_RULES
The feature id for the 'Super Rules' attribute list.

See Also:
  - Constant Field Values

### RULE__ABSTRACT

static final int RULE__ABSTRACT
The feature id for the 'Abstract' attribute.

See Also:
  - Constant Field Values

### RULE__FIELDS

static final int RULE__FIELDS
The feature id for the 'Fields' containment reference list.

See Also:
  - Constant Field Values

### RULE__DEFAULT

static final int RULE__DEFAULT
The feature id for the 'Default' attribute.

See Also:
  - Constant Field Values

### RULE__DISTINCT_ELEMENTS

static final int RULE__DISTINCT_ELEMENTS
The feature id for the 'Distinct Elements' attribute.

See Also:
  - Constant Field Values

### RULE__UNIQUE

static final int RULE__UNIQUE
The feature id for the 'Unique' attribute.

See Also:
  - Constant Field Values

### RULE__LEAF

static final int RULE__LEAF
The feature id for the 'Leaf' attribute.

See Also:
  - Constant Field Values

### RULE__WITH_LEAVES

static final int RULE__WITH_LEAVES
The feature id for the 'With Leaves' attribute.

See Also:
  - Constant Field Values

### RULE_FEATURE_COUNT

static final int RULE_FEATURE_COUNT
The number of structural features of the 'Rule' class.

See Also:
  - Constant Field Values

### RULE_ELEMENT__NAME

static final int RULE_ELEMENT__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### RULE_ELEMENT__ETYPE

static final int RULE_ELEMENT__ETYPE
The feature id for the 'EType' reference.

See Also:
  - Constant Field Values

### RULE_ELEMENT__TYPE

static final int RULE_ELEMENT__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### RULE_ELEMENT__TYPE_MODEL

static final int RULE_ELEMENT__TYPE_MODEL
The feature id for the 'Type Model' attribute.

See Also:
  - Constant Field Values

### RULE_ELEMENT__MODELS

static final int RULE_ELEMENT__MODELS
The feature id for the 'Models' attribute list.

See Also:
  - Constant Field Values

### RULE_ELEMENT__EMODELS

static final int RULE_ELEMENT__EMODELS
The feature id for the 'EModels' reference list.

See Also:
  - Constant Field Values

### RULE_ELEMENT_FEATURE_COUNT

static final int RULE_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Rule Element' class.

See Also:
  - Constant Field Values

### INPUT_RULE_ELEMENT

static final int INPUT_RULE_ELEMENT
The meta object id for the '`Input Rule Element`' class.

See Also:
  - `InputRuleElementImpl`
  - `EmftvmPackageImpl.getInputRuleElement()`
  - Constant Field Values

### INPUT_RULE_ELEMENT__NAME

static final int INPUT_RULE_ELEMENT__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### INPUT_RULE_ELEMENT__ETYPE

static final int INPUT_RULE_ELEMENT__ETYPE
The feature id for the 'EType' reference.

See Also:
  - Constant Field Values

### INPUT_RULE_ELEMENT__TYPE

static final int INPUT_RULE_ELEMENT__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### INPUT_RULE_ELEMENT__TYPE_MODEL

static final int INPUT_RULE_ELEMENT__TYPE_MODEL
The feature id for the 'Type Model' attribute.

See Also:
  - Constant Field Values

### INPUT_RULE_ELEMENT__MODELS

static final int INPUT_RULE_ELEMENT__MODELS
The feature id for the 'Models' attribute list.

See Also:
  - Constant Field Values

### INPUT_RULE_ELEMENT__EMODELS

static final int INPUT_RULE_ELEMENT__EMODELS
The feature id for the 'EModels' reference list.

See Also:
  - Constant Field Values

### INPUT_RULE_ELEMENT__BINDING

static final int INPUT_RULE_ELEMENT__BINDING
The feature id for the 'Binding' containment reference.

See Also:
  - Constant Field Values

### INPUT_RULE_ELEMENT__INPUT_FOR

static final int INPUT_RULE_ELEMENT__INPUT_FOR
The feature id for the 'Input For' container reference.

See Also:
  - Constant Field Values

### INPUT_RULE_ELEMENT__MAPS_TO_SELF

static final int INPUT_RULE_ELEMENT__MAPS_TO_SELF
The feature id for the 'Maps To Self' attribute.

See Also:
  - Constant Field Values

### INPUT_RULE_ELEMENT_FEATURE_COUNT

static final int INPUT_RULE_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Input Rule Element' class.

See Also:
  - Constant Field Values

### OUTPUT_RULE_ELEMENT

static final int OUTPUT_RULE_ELEMENT
The meta object id for the '`Output Rule Element`' class.

See Also:
  - `OutputRuleElementImpl`
  - `EmftvmPackageImpl.getOutputRuleElement()`
  - Constant Field Values

### OUTPUT_RULE_ELEMENT__NAME

static final int OUTPUT_RULE_ELEMENT__NAME
The feature id for the 'Name' attribute.

See Also:
  - Constant Field Values

### OUTPUT_RULE_ELEMENT__ETYPE

static final int OUTPUT_RULE_ELEMENT__ETYPE
The feature id for the 'EType' reference.

See Also:
  - Constant Field Values

### OUTPUT_RULE_ELEMENT__TYPE

static final int OUTPUT_RULE_ELEMENT__TYPE
The feature id for the 'Type' attribute.

See Also:
  - Constant Field Values

### OUTPUT_RULE_ELEMENT__TYPE_MODEL

static final int OUTPUT_RULE_ELEMENT__TYPE_MODEL
The feature id for the 'Type Model' attribute.

See Also:
  - Constant Field Values

### OUTPUT_RULE_ELEMENT__MODELS

static final int OUTPUT_RULE_ELEMENT__MODELS
The feature id for the 'Models' attribute list.

See Also:
  - Constant Field Values

### OUTPUT_RULE_ELEMENT__EMODELS

static final int OUTPUT_RULE_ELEMENT__EMODELS
The feature id for the 'EModels' reference list.

See Also:
  - Constant Field Values

### OUTPUT_RULE_ELEMENT__MAPS_TO

static final int OUTPUT_RULE_ELEMENT__MAPS_TO
The feature id for the 'Maps To' reference list.

See Also:
  - Constant Field Values

### OUTPUT_RULE_ELEMENT__OUTPUT_FOR

static final int OUTPUT_RULE_ELEMENT__OUTPUT_FOR
The feature id for the 'Output For' container reference.

See Also:
  - Constant Field Values

### OUTPUT_RULE_ELEMENT_FEATURE_COUNT

static final int OUTPUT_RULE_ELEMENT_FEATURE_COUNT
The number of structural features of the 'Output Rule Element' class.

See Also:
  - Constant Field Values

### CODE_BLOCK__MAX_LOCALS

static final int CODE_BLOCK__MAX_LOCALS
The feature id for the 'Max Locals' attribute.

See Also:
  - Constant Field Values

### CODE_BLOCK__MAX_STACK

static final int CODE_BLOCK__MAX_STACK
The feature id for the 'Max Stack' attribute.

See Also:
  - Constant Field Values

### CODE_BLOCK__CODE

static final int CODE_BLOCK__CODE
The feature id for the 'Code' containment reference list.

See Also:
  - Constant Field Values

### CODE_BLOCK__LINE_NUMBERS

static final int CODE_BLOCK__LINE_NUMBERS
The feature id for the 'Line Numbers' containment reference list.

See Also:
  - Constant Field Values

### CODE_BLOCK__LOCAL_VARIABLES

static final int CODE_BLOCK__LOCAL_VARIABLES
The feature id for the 'Local Variables' containment reference list.

See Also:
  - Constant Field Values

### CODE_BLOCK__MATCHER_FOR

static final int CODE_BLOCK__MATCHER_FOR
The feature id for the 'Matcher For' container reference.

See Also:
  - Constant Field Values

### CODE_BLOCK__APPLIER_FOR

static final int CODE_BLOCK__APPLIER_FOR
The feature id for the 'Applier For' container reference.

See Also:
  - Constant Field Values

### CODE_BLOCK__POST_APPLY_FOR

static final int CODE_BLOCK__POST_APPLY_FOR
The feature id for the 'Post Apply For' container reference.

See Also:
  - Constant Field Values

### CODE_BLOCK__BODY_FOR

static final int CODE_BLOCK__BODY_FOR
The feature id for the 'Body For' container reference.

See Also:
  - Constant Field Values

### CODE_BLOCK__INITIALISER_FOR

static final int CODE_BLOCK__INITIALISER_FOR
The feature id for the 'Initialiser For' container reference.

See Also:
  - Constant Field Values

### CODE_BLOCK__NESTED

static final int CODE_BLOCK__NESTED
The feature id for the 'Nested' containment reference list.

See Also:
  - Constant Field Values

### CODE_BLOCK__NESTED_FOR

static final int CODE_BLOCK__NESTED_FOR
The feature id for the 'Nested For' container reference.

See Also:
  - Constant Field Values

### CODE_BLOCK__PARENT_FRAME

static final int CODE_BLOCK__PARENT_FRAME
The feature id for the 'Parent Frame' attribute.

See Also:
  - Constant Field Values

### CODE_BLOCK__BINDING_FOR

static final int CODE_BLOCK__BINDING_FOR
The feature id for the 'Binding For' container reference.

See Also:
  - Constant Field Values

### CODE_BLOCK_FEATURE_COUNT

static final int CODE_BLOCK_FEATURE_COUNT
The number of structural features of the 'Code Block' class.

See Also:
  - Constant Field Values

### PUSH__OWNING_BLOCK

static final int PUSH__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### PUSH__OPCODE

static final int PUSH__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### PUSH__STACK_PRODUCTION

static final int PUSH__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### PUSH__STACK_CONSUMPTION

static final int PUSH__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### PUSH__STACK_LEVEL

static final int PUSH__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### PUSH__LINE_NUMBER

static final int PUSH__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### PUSH__VALUE

static final int PUSH__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values

### PUSH__STRING_VALUE

static final int PUSH__STRING_VALUE
The feature id for the 'String Value' attribute.

See Also:
  - Constant Field Values

### PUSH__INT_VALUE

static final int PUSH__INT_VALUE
The feature id for the 'Int Value' attribute.

See Also:
  - Constant Field Values

### PUSH__DOUBLE_VALUE

static final int PUSH__DOUBLE_VALUE
The feature id for the 'Double Value' attribute.

See Also:
  - Constant Field Values

### PUSH__BYTE_VALUE

static final int PUSH__BYTE_VALUE
The feature id for the 'Byte Value' attribute.

See Also:
  - Constant Field Values

### PUSH__CHAR_VALUE

static final int PUSH__CHAR_VALUE
The feature id for the 'Char Value' attribute.

See Also:
  - Constant Field Values

### PUSH__FLOAT_VALUE

static final int PUSH__FLOAT_VALUE
The feature id for the 'Float Value' attribute.

See Also:
  - Constant Field Values

### PUSH__SHORT_VALUE

static final int PUSH__SHORT_VALUE
The feature id for the 'Short Value' attribute.

See Also:
  - Constant Field Values

### PUSH__LONG_VALUE

static final int PUSH__LONG_VALUE
The feature id for the 'Long Value' attribute.

See Also:
  - Constant Field Values

### PUSH__ENUM_VALUE

static final int PUSH__ENUM_VALUE
The feature id for the 'Enum Value' attribute.

See Also:
  - Constant Field Values

### PUSH_FEATURE_COUNT

static final int PUSH_FEATURE_COUNT
The number of structural features of the 'Push' class.

See Also:
  - Constant Field Values

### PUSHT__OWNING_BLOCK

static final int PUSHT__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### PUSHT__OPCODE

static final int PUSHT__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### PUSHT__STACK_PRODUCTION

static final int PUSHT__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### PUSHT__STACK_CONSUMPTION

static final int PUSHT__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### PUSHT__STACK_LEVEL

static final int PUSHT__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### PUSHT__LINE_NUMBER

static final int PUSHT__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### PUSHT_FEATURE_COUNT

static final int PUSHT_FEATURE_COUNT
The number of structural features of the 'Pusht' class.

See Also:
  - Constant Field Values

### PUSHF__OWNING_BLOCK

static final int PUSHF__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### PUSHF__OPCODE

static final int PUSHF__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### PUSHF__STACK_PRODUCTION

static final int PUSHF__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### PUSHF__STACK_CONSUMPTION

static final int PUSHF__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### PUSHF__STACK_LEVEL

static final int PUSHF__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### PUSHF__LINE_NUMBER

static final int PUSHF__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### PUSHF_FEATURE_COUNT

static final int PUSHF_FEATURE_COUNT
The number of structural features of the 'Pushf' class.

See Also:
  - Constant Field Values

### POP__OWNING_BLOCK

static final int POP__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### POP__OPCODE

static final int POP__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### POP__STACK_PRODUCTION

static final int POP__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### POP__STACK_CONSUMPTION

static final int POP__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### POP__STACK_LEVEL

static final int POP__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### POP__LINE_NUMBER

static final int POP__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### POP_FEATURE_COUNT

static final int POP_FEATURE_COUNT
The number of structural features of the 'Pop' class.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION__OWNING_BLOCK

static final int LOCAL_VARIABLE_INSTRUCTION__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION__OPCODE

static final int LOCAL_VARIABLE_INSTRUCTION__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION__STACK_PRODUCTION

static final int LOCAL_VARIABLE_INSTRUCTION__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION__STACK_CONSUMPTION

static final int LOCAL_VARIABLE_INSTRUCTION__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION__STACK_LEVEL

static final int LOCAL_VARIABLE_INSTRUCTION__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION__LINE_NUMBER

static final int LOCAL_VARIABLE_INSTRUCTION__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION__CB_OFFSET

static final int LOCAL_VARIABLE_INSTRUCTION__CB_OFFSET
The feature id for the 'Cb Offset' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION__SLOT

static final int LOCAL_VARIABLE_INSTRUCTION__SLOT
The feature id for the 'Slot' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE_INDEX

static final int LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE_INDEX
The feature id for the 'Local Variable Index' attribute.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE

static final int LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE
The feature id for the 'Local Variable' reference.

See Also:
  - Constant Field Values

### LOCAL_VARIABLE_INSTRUCTION_FEATURE_COUNT

static final int LOCAL_VARIABLE_INSTRUCTION_FEATURE_COUNT
The number of structural features of the 'Local Variable Instruction' class.

See Also:
  - Constant Field Values

### LOAD__OWNING_BLOCK

static final int LOAD__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### LOAD__OPCODE

static final int LOAD__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### LOAD__STACK_PRODUCTION

static final int LOAD__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### LOAD__STACK_CONSUMPTION

static final int LOAD__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### LOAD__STACK_LEVEL

static final int LOAD__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### LOAD__LINE_NUMBER

static final int LOAD__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### LOAD__CB_OFFSET

static final int LOAD__CB_OFFSET
The feature id for the 'Cb Offset' attribute.

See Also:
  - Constant Field Values

### LOAD__SLOT

static final int LOAD__SLOT
The feature id for the 'Slot' attribute.

See Also:
  - Constant Field Values

### LOAD__LOCAL_VARIABLE_INDEX

static final int LOAD__LOCAL_VARIABLE_INDEX
The feature id for the 'Local Variable Index' attribute.

See Also:
  - Constant Field Values

### LOAD__LOCAL_VARIABLE

static final int LOAD__LOCAL_VARIABLE
The feature id for the 'Local Variable' reference.

See Also:
  - Constant Field Values

### LOAD_FEATURE_COUNT

static final int LOAD_FEATURE_COUNT
The number of structural features of the 'Load' class.

See Also:
  - Constant Field Values

### STORE__OWNING_BLOCK

static final int STORE__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### STORE__OPCODE

static final int STORE__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### STORE__STACK_PRODUCTION

static final int STORE__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### STORE__STACK_CONSUMPTION

static final int STORE__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### STORE__STACK_LEVEL

static final int STORE__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### STORE__LINE_NUMBER

static final int STORE__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### STORE__CB_OFFSET

static final int STORE__CB_OFFSET
The feature id for the 'Cb Offset' attribute.

See Also:
  - Constant Field Values

### STORE__SLOT

static final int STORE__SLOT
The feature id for the 'Slot' attribute.

See Also:
  - Constant Field Values

### STORE__LOCAL_VARIABLE_INDEX

static final int STORE__LOCAL_VARIABLE_INDEX
The feature id for the 'Local Variable Index' attribute.

See Also:
  - Constant Field Values

### STORE__LOCAL_VARIABLE

static final int STORE__LOCAL_VARIABLE
The feature id for the 'Local Variable' reference.

See Also:
  - Constant Field Values

### STORE_FEATURE_COUNT

static final int STORE_FEATURE_COUNT
The number of structural features of the 'Store' class.

See Also:
  - Constant Field Values

### FIELD_INSTRUCTION__OWNING_BLOCK

static final int FIELD_INSTRUCTION__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### FIELD_INSTRUCTION__OPCODE

static final int FIELD_INSTRUCTION__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### FIELD_INSTRUCTION__STACK_PRODUCTION

static final int FIELD_INSTRUCTION__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### FIELD_INSTRUCTION__STACK_CONSUMPTION

static final int FIELD_INSTRUCTION__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### FIELD_INSTRUCTION__STACK_LEVEL

static final int FIELD_INSTRUCTION__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### FIELD_INSTRUCTION__LINE_NUMBER

static final int FIELD_INSTRUCTION__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### FIELD_INSTRUCTION__FIELDNAME

static final int FIELD_INSTRUCTION__FIELDNAME
The feature id for the 'Fieldname' attribute.

See Also:
  - Constant Field Values

### FIELD_INSTRUCTION_FEATURE_COUNT

static final int FIELD_INSTRUCTION_FEATURE_COUNT
The number of structural features of the 'Field Instruction' class.

See Also:
  - Constant Field Values

### SET__OWNING_BLOCK

static final int SET__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### SET__OPCODE

static final int SET__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### SET__STACK_PRODUCTION

static final int SET__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### SET__STACK_CONSUMPTION

static final int SET__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### SET__STACK_LEVEL

static final int SET__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### SET__LINE_NUMBER

static final int SET__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### SET__FIELDNAME

static final int SET__FIELDNAME
The feature id for the 'Fieldname' attribute.

See Also:
  - Constant Field Values

### SET_FEATURE_COUNT

static final int SET_FEATURE_COUNT
The number of structural features of the 'Set' class.

See Also:
  - Constant Field Values

### GET__OWNING_BLOCK

static final int GET__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### GET__OPCODE

static final int GET__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### GET__STACK_PRODUCTION

static final int GET__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### GET__STACK_CONSUMPTION

static final int GET__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### GET__STACK_LEVEL

static final int GET__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### GET__LINE_NUMBER

static final int GET__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### GET__FIELDNAME

static final int GET__FIELDNAME
The feature id for the 'Fieldname' attribute.

See Also:
  - Constant Field Values

### GET_FEATURE_COUNT

static final int GET_FEATURE_COUNT
The number of structural features of the 'Get' class.

See Also:
  - Constant Field Values

### GET_TRANS__OWNING_BLOCK

static final int GET_TRANS__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### GET_TRANS__OPCODE

static final int GET_TRANS__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### GET_TRANS__STACK_PRODUCTION

static final int GET_TRANS__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### GET_TRANS__STACK_CONSUMPTION

static final int GET_TRANS__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### GET_TRANS__STACK_LEVEL

static final int GET_TRANS__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### GET_TRANS__LINE_NUMBER

static final int GET_TRANS__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### GET_TRANS__FIELDNAME

static final int GET_TRANS__FIELDNAME
The feature id for the 'Fieldname' attribute.

See Also:
  - Constant Field Values

### GET_TRANS_FEATURE_COUNT

static final int GET_TRANS_FEATURE_COUNT
The number of structural features of the 'Get Trans' class.

See Also:
  - Constant Field Values

### SET_STATIC__OWNING_BLOCK

static final int SET_STATIC__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### SET_STATIC__OPCODE

static final int SET_STATIC__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### SET_STATIC__STACK_PRODUCTION

static final int SET_STATIC__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### SET_STATIC__STACK_CONSUMPTION

static final int SET_STATIC__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### SET_STATIC__STACK_LEVEL

static final int SET_STATIC__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### SET_STATIC__LINE_NUMBER

static final int SET_STATIC__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### SET_STATIC__FIELDNAME

static final int SET_STATIC__FIELDNAME
The feature id for the 'Fieldname' attribute.

See Also:
  - Constant Field Values

### SET_STATIC_FEATURE_COUNT

static final int SET_STATIC_FEATURE_COUNT
The number of structural features of the 'Set Static' class.

See Also:
  - Constant Field Values

### GET_STATIC__OWNING_BLOCK

static final int GET_STATIC__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### GET_STATIC__OPCODE

static final int GET_STATIC__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### GET_STATIC__STACK_PRODUCTION

static final int GET_STATIC__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### GET_STATIC__STACK_CONSUMPTION

static final int GET_STATIC__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### GET_STATIC__STACK_LEVEL

static final int GET_STATIC__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### GET_STATIC__LINE_NUMBER

static final int GET_STATIC__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### GET_STATIC__FIELDNAME

static final int GET_STATIC__FIELDNAME
The feature id for the 'Fieldname' attribute.

See Also:
  - Constant Field Values

### GET_STATIC_FEATURE_COUNT

static final int GET_STATIC_FEATURE_COUNT
The number of structural features of the 'Get Static' class.

See Also:
  - Constant Field Values

### FINDTYPE__OWNING_BLOCK

static final int FINDTYPE__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### FINDTYPE__OPCODE

static final int FINDTYPE__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### FINDTYPE__STACK_PRODUCTION

static final int FINDTYPE__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### FINDTYPE__STACK_CONSUMPTION

static final int FINDTYPE__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### FINDTYPE__STACK_LEVEL

static final int FINDTYPE__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### FINDTYPE__LINE_NUMBER

static final int FINDTYPE__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### FINDTYPE__MODELNAME

static final int FINDTYPE__MODELNAME
The feature id for the 'Modelname' attribute.

See Also:
  - Constant Field Values

### FINDTYPE__TYPENAME

static final int FINDTYPE__TYPENAME
The feature id for the 'Typename' attribute.

See Also:
  - Constant Field Values

### FINDTYPE_FEATURE_COUNT

static final int FINDTYPE_FEATURE_COUNT
The number of structural features of the 'Findtype' class.

See Also:
  - Constant Field Values

### FINDTYPE_S__OWNING_BLOCK

static final int FINDTYPE_S__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### FINDTYPE_S__OPCODE

static final int FINDTYPE_S__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### FINDTYPE_S__STACK_PRODUCTION

static final int FINDTYPE_S__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### FINDTYPE_S__STACK_CONSUMPTION

static final int FINDTYPE_S__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### FINDTYPE_S__STACK_LEVEL

static final int FINDTYPE_S__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### FINDTYPE_S__LINE_NUMBER

static final int FINDTYPE_S__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### FINDTYPE_S_FEATURE_COUNT

static final int FINDTYPE_S_FEATURE_COUNT
The number of structural features of the 'Findtype S' class.

See Also:
  - Constant Field Values

### NEW__OWNING_BLOCK

static final int NEW__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### NEW__OPCODE

static final int NEW__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### NEW__STACK_PRODUCTION

static final int NEW__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### NEW__STACK_CONSUMPTION

static final int NEW__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### NEW__STACK_LEVEL

static final int NEW__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### NEW__LINE_NUMBER

static final int NEW__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### NEW__MODELNAME

static final int NEW__MODELNAME
The feature id for the 'Modelname' attribute.

See Also:
  - Constant Field Values

### NEW_FEATURE_COUNT

static final int NEW_FEATURE_COUNT
The number of structural features of the 'New' class.

See Also:
  - Constant Field Values

### NEW_S__OWNING_BLOCK

static final int NEW_S__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### NEW_S__OPCODE

static final int NEW_S__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### NEW_S__STACK_PRODUCTION

static final int NEW_S__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### NEW_S__STACK_CONSUMPTION

static final int NEW_S__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### NEW_S__STACK_LEVEL

static final int NEW_S__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### NEW_S__LINE_NUMBER

static final int NEW_S__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### NEW_S_FEATURE_COUNT

static final int NEW_S_FEATURE_COUNT
The number of structural features of the 'New S' class.

See Also:
  - Constant Field Values

### DELETE__OWNING_BLOCK

static final int DELETE__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### DELETE__OPCODE

static final int DELETE__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### DELETE__STACK_PRODUCTION

static final int DELETE__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### DELETE__STACK_CONSUMPTION

static final int DELETE__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### DELETE__STACK_LEVEL

static final int DELETE__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### DELETE__LINE_NUMBER

static final int DELETE__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### DELETE_FEATURE_COUNT

static final int DELETE_FEATURE_COUNT
The number of structural features of the 'Delete' class.

See Also:
  - Constant Field Values

### DUP__OWNING_BLOCK

static final int DUP__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### DUP__OPCODE

static final int DUP__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### DUP__STACK_PRODUCTION

static final int DUP__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### DUP__STACK_CONSUMPTION

static final int DUP__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### DUP__STACK_LEVEL

static final int DUP__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### DUP__LINE_NUMBER

static final int DUP__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### DUP_FEATURE_COUNT

static final int DUP_FEATURE_COUNT
The number of structural features of the 'Dup' class.

See Also:
  - Constant Field Values

### DUP_X1__OWNING_BLOCK

static final int DUP_X1__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### DUP_X1__OPCODE

static final int DUP_X1__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### DUP_X1__STACK_PRODUCTION

static final int DUP_X1__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### DUP_X1__STACK_CONSUMPTION

static final int DUP_X1__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### DUP_X1__STACK_LEVEL

static final int DUP_X1__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### DUP_X1__LINE_NUMBER

static final int DUP_X1__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### DUP_X1_FEATURE_COUNT

static final int DUP_X1_FEATURE_COUNT
The number of structural features of the 'Dup X1' class.

See Also:
  - Constant Field Values

### SWAP__OWNING_BLOCK

static final int SWAP__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### SWAP__OPCODE

static final int SWAP__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### SWAP__STACK_PRODUCTION

static final int SWAP__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### SWAP__STACK_CONSUMPTION

static final int SWAP__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### SWAP__STACK_LEVEL

static final int SWAP__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### SWAP__LINE_NUMBER

static final int SWAP__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### SWAP_FEATURE_COUNT

static final int SWAP_FEATURE_COUNT
The number of structural features of the 'Swap' class.

See Also:
  - Constant Field Values

### SWAP_X1

static final int SWAP_X1
The meta object id for the '`Swap X1`' class.

See Also:
  - `SwapX1Impl`
  - `EmftvmPackageImpl.getSwapX1()`
  - Constant Field Values

### SWAP_X1__OWNING_BLOCK

static final int SWAP_X1__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### SWAP_X1__OPCODE

static final int SWAP_X1__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### SWAP_X1__STACK_PRODUCTION

static final int SWAP_X1__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### SWAP_X1__STACK_CONSUMPTION

static final int SWAP_X1__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### SWAP_X1__STACK_LEVEL

static final int SWAP_X1__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### SWAP_X1__LINE_NUMBER

static final int SWAP_X1__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### SWAP_X1_FEATURE_COUNT

static final int SWAP_X1_FEATURE_COUNT
The number of structural features of the 'Swap X1' class.

See Also:
  - Constant Field Values

### BRANCH_INSTRUCTION__OWNING_BLOCK

static final int BRANCH_INSTRUCTION__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### BRANCH_INSTRUCTION__OPCODE

static final int BRANCH_INSTRUCTION__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### BRANCH_INSTRUCTION__STACK_PRODUCTION

static final int BRANCH_INSTRUCTION__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### BRANCH_INSTRUCTION__STACK_CONSUMPTION

static final int BRANCH_INSTRUCTION__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### BRANCH_INSTRUCTION__STACK_LEVEL

static final int BRANCH_INSTRUCTION__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### BRANCH_INSTRUCTION__LINE_NUMBER

static final int BRANCH_INSTRUCTION__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### BRANCH_INSTRUCTION__OFFSET

static final int BRANCH_INSTRUCTION__OFFSET
The feature id for the 'Offset' attribute.

See Also:
  - Constant Field Values

### BRANCH_INSTRUCTION__TARGET

static final int BRANCH_INSTRUCTION__TARGET
The feature id for the 'Target' reference.

See Also:
  - Constant Field Values

### BRANCH_INSTRUCTION_FEATURE_COUNT

static final int BRANCH_INSTRUCTION_FEATURE_COUNT
The number of structural features of the 'Branch Instruction' class.

See Also:
  - Constant Field Values

### IF__OWNING_BLOCK

static final int IF__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### IF__OPCODE

static final int IF__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### IF__STACK_PRODUCTION

static final int IF__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### IF__STACK_CONSUMPTION

static final int IF__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### IF__STACK_LEVEL

static final int IF__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### IF__LINE_NUMBER

static final int IF__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### IF__OFFSET

static final int IF__OFFSET
The feature id for the 'Offset' attribute.

See Also:
  - Constant Field Values

### IF__TARGET

static final int IF__TARGET
The feature id for the 'Target' reference.

See Also:
  - Constant Field Values

### IF_FEATURE_COUNT

static final int IF_FEATURE_COUNT
The number of structural features of the 'If' class.

See Also:
  - Constant Field Values

### IFN__OWNING_BLOCK

static final int IFN__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### IFN__OPCODE

static final int IFN__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### IFN__STACK_PRODUCTION

static final int IFN__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### IFN__STACK_CONSUMPTION

static final int IFN__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### IFN__STACK_LEVEL

static final int IFN__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### IFN__LINE_NUMBER

static final int IFN__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### IFN__OFFSET

static final int IFN__OFFSET
The feature id for the 'Offset' attribute.

See Also:
  - Constant Field Values

### IFN__TARGET

static final int IFN__TARGET
The feature id for the 'Target' reference.

See Also:
  - Constant Field Values

### IFN_FEATURE_COUNT

static final int IFN_FEATURE_COUNT
The number of structural features of the 'Ifn' class.

See Also:
  - Constant Field Values

### GOTO__OWNING_BLOCK

static final int GOTO__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### GOTO__OPCODE

static final int GOTO__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### GOTO__STACK_PRODUCTION

static final int GOTO__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### GOTO__STACK_CONSUMPTION

static final int GOTO__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### GOTO__STACK_LEVEL

static final int GOTO__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### GOTO__LINE_NUMBER

static final int GOTO__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### GOTO__OFFSET

static final int GOTO__OFFSET
The feature id for the 'Offset' attribute.

See Also:
  - Constant Field Values

### GOTO__TARGET

static final int GOTO__TARGET
The feature id for the 'Target' reference.

See Also:
  - Constant Field Values

### GOTO_FEATURE_COUNT

static final int GOTO_FEATURE_COUNT
The number of structural features of the 'Goto' class.

See Also:
  - Constant Field Values

### ITERATE__OWNING_BLOCK

static final int ITERATE__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### ITERATE__OPCODE

static final int ITERATE__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### ITERATE__STACK_PRODUCTION

static final int ITERATE__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### ITERATE__STACK_CONSUMPTION

static final int ITERATE__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### ITERATE__STACK_LEVEL

static final int ITERATE__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### ITERATE__LINE_NUMBER

static final int ITERATE__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### ITERATE__OFFSET

static final int ITERATE__OFFSET
The feature id for the 'Offset' attribute.

See Also:
  - Constant Field Values

### ITERATE__TARGET

static final int ITERATE__TARGET
The feature id for the 'Target' reference.

See Also:
  - Constant Field Values

### ITERATE_FEATURE_COUNT

static final int ITERATE_FEATURE_COUNT
The number of structural features of the 'Iterate' class.

See Also:
  - Constant Field Values

### ENDITERATE__OWNING_BLOCK

static final int ENDITERATE__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### ENDITERATE__OPCODE

static final int ENDITERATE__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### ENDITERATE__STACK_PRODUCTION

static final int ENDITERATE__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### ENDITERATE__STACK_CONSUMPTION

static final int ENDITERATE__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### ENDITERATE__STACK_LEVEL

static final int ENDITERATE__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### ENDITERATE__LINE_NUMBER

static final int ENDITERATE__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### ENDITERATE__OFFSET

static final int ENDITERATE__OFFSET
The feature id for the 'Offset' attribute.

See Also:
  - Constant Field Values

### ENDITERATE__TARGET

static final int ENDITERATE__TARGET
The feature id for the 'Target' reference.

See Also:
  - Constant Field Values

### ENDITERATE_FEATURE_COUNT

static final int ENDITERATE_FEATURE_COUNT
The number of structural features of the 'Enditerate' class.

See Also:
  - Constant Field Values

### INVOKE_INSTRUCTION__OWNING_BLOCK

static final int INVOKE_INSTRUCTION__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### INVOKE_INSTRUCTION__OPCODE

static final int INVOKE_INSTRUCTION__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### INVOKE_INSTRUCTION__STACK_PRODUCTION

static final int INVOKE_INSTRUCTION__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### INVOKE_INSTRUCTION__STACK_CONSUMPTION

static final int INVOKE_INSTRUCTION__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### INVOKE_INSTRUCTION__STACK_LEVEL

static final int INVOKE_INSTRUCTION__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### INVOKE_INSTRUCTION__LINE_NUMBER

static final int INVOKE_INSTRUCTION__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### INVOKE_INSTRUCTION__ARGCOUNT

static final int INVOKE_INSTRUCTION__ARGCOUNT
The feature id for the 'Argcount' attribute.

See Also:
  - Constant Field Values

### INVOKE_INSTRUCTION_FEATURE_COUNT

static final int INVOKE_INSTRUCTION_FEATURE_COUNT
The number of structural features of the 'Invoke Instruction' class.

See Also:
  - Constant Field Values

### INVOKE_OPERATION_INSTRUCTION

static final int INVOKE_OPERATION_INSTRUCTION
The meta object id for the '`Invoke Operation Instruction`' class.

See Also:
  - `InvokeOperationInstructionImpl`
  - `EmftvmPackageImpl.getInvokeOperationInstruction()`
  - Constant Field Values

### INVOKE_OPERATION_INSTRUCTION__OWNING_BLOCK

static final int INVOKE_OPERATION_INSTRUCTION__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### INVOKE_OPERATION_INSTRUCTION__OPCODE

static final int INVOKE_OPERATION_INSTRUCTION__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### INVOKE_OPERATION_INSTRUCTION__STACK_PRODUCTION

static final int INVOKE_OPERATION_INSTRUCTION__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### INVOKE_OPERATION_INSTRUCTION__STACK_CONSUMPTION

static final int INVOKE_OPERATION_INSTRUCTION__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### INVOKE_OPERATION_INSTRUCTION__STACK_LEVEL

static final int INVOKE_OPERATION_INSTRUCTION__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### INVOKE_OPERATION_INSTRUCTION__LINE_NUMBER

static final int INVOKE_OPERATION_INSTRUCTION__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### INVOKE_OPERATION_INSTRUCTION__ARGCOUNT

static final int INVOKE_OPERATION_INSTRUCTION__ARGCOUNT
The feature id for the 'Argcount' attribute.

See Also:
  - Constant Field Values

### INVOKE_OPERATION_INSTRUCTION__OPNAME

static final int INVOKE_OPERATION_INSTRUCTION__OPNAME
The feature id for the 'Opname' attribute.

See Also:
  - Constant Field Values

### INVOKE_OPERATION_INSTRUCTION_FEATURE_COUNT

static final int INVOKE_OPERATION_INSTRUCTION_FEATURE_COUNT
The number of structural features of the 'Invoke Operation Instruction' class.

See Also:
  - Constant Field Values

### INVOKE__OWNING_BLOCK

static final int INVOKE__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### INVOKE__OPCODE

static final int INVOKE__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### INVOKE__STACK_PRODUCTION

static final int INVOKE__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### INVOKE__STACK_CONSUMPTION

static final int INVOKE__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### INVOKE__STACK_LEVEL

static final int INVOKE__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### INVOKE__LINE_NUMBER

static final int INVOKE__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### INVOKE__ARGCOUNT

static final int INVOKE__ARGCOUNT
The feature id for the 'Argcount' attribute.

See Also:
  - Constant Field Values

### INVOKE__OPNAME

static final int INVOKE__OPNAME
The feature id for the 'Opname' attribute.

See Also:
  - Constant Field Values

### INVOKE_FEATURE_COUNT

static final int INVOKE_FEATURE_COUNT
The number of structural features of the 'Invoke' class.

See Also:
  - Constant Field Values

### INVOKE_SUPER__OWNING_BLOCK

static final int INVOKE_SUPER__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### INVOKE_SUPER__OPCODE

static final int INVOKE_SUPER__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### INVOKE_SUPER__STACK_PRODUCTION

static final int INVOKE_SUPER__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### INVOKE_SUPER__STACK_CONSUMPTION

static final int INVOKE_SUPER__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### INVOKE_SUPER__STACK_LEVEL

static final int INVOKE_SUPER__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### INVOKE_SUPER__LINE_NUMBER

static final int INVOKE_SUPER__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### INVOKE_SUPER__ARGCOUNT

static final int INVOKE_SUPER__ARGCOUNT
The feature id for the 'Argcount' attribute.

See Also:
  - Constant Field Values

### INVOKE_SUPER__OPNAME

static final int INVOKE_SUPER__OPNAME
The feature id for the 'Opname' attribute.

See Also:
  - Constant Field Values

### INVOKE_SUPER_FEATURE_COUNT

static final int INVOKE_SUPER_FEATURE_COUNT
The number of structural features of the 'Invoke Super' class.

See Also:
  - Constant Field Values

### INVOKE_STATIC__OWNING_BLOCK

static final int INVOKE_STATIC__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### INVOKE_STATIC__OPCODE

static final int INVOKE_STATIC__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### INVOKE_STATIC__STACK_PRODUCTION

static final int INVOKE_STATIC__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### INVOKE_STATIC__STACK_CONSUMPTION

static final int INVOKE_STATIC__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### INVOKE_STATIC__STACK_LEVEL

static final int INVOKE_STATIC__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### INVOKE_STATIC__LINE_NUMBER

static final int INVOKE_STATIC__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### INVOKE_STATIC__ARGCOUNT

static final int INVOKE_STATIC__ARGCOUNT
The feature id for the 'Argcount' attribute.

See Also:
  - Constant Field Values

### INVOKE_STATIC__OPNAME

static final int INVOKE_STATIC__OPNAME
The feature id for the 'Opname' attribute.

See Also:
  - Constant Field Values

### INVOKE_STATIC_FEATURE_COUNT

static final int INVOKE_STATIC_FEATURE_COUNT
The number of structural features of the 'Invoke Static' class.

See Also:
  - Constant Field Values

### ALLINST__OWNING_BLOCK

static final int ALLINST__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### ALLINST__OPCODE

static final int ALLINST__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### ALLINST__STACK_PRODUCTION

static final int ALLINST__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### ALLINST__STACK_CONSUMPTION

static final int ALLINST__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### ALLINST__STACK_LEVEL

static final int ALLINST__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### ALLINST__LINE_NUMBER

static final int ALLINST__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### ALLINST_FEATURE_COUNT

static final int ALLINST_FEATURE_COUNT
The number of structural features of the 'Allinst' class.

See Also:
  - Constant Field Values

### ALLINST_IN__OWNING_BLOCK

static final int ALLINST_IN__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### ALLINST_IN__OPCODE

static final int ALLINST_IN__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### ALLINST_IN__STACK_PRODUCTION

static final int ALLINST_IN__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### ALLINST_IN__STACK_CONSUMPTION

static final int ALLINST_IN__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### ALLINST_IN__STACK_LEVEL

static final int ALLINST_IN__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### ALLINST_IN__LINE_NUMBER

static final int ALLINST_IN__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### ALLINST_IN_FEATURE_COUNT

static final int ALLINST_IN_FEATURE_COUNT
The number of structural features of the 'Allinst In' class.

See Also:
  - Constant Field Values

### ISNULL__OWNING_BLOCK

static final int ISNULL__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### MATCH_S

static final int MATCH_S
The meta object id for the '`Match S`' class.

See Also:
  - `MatchSImpl`
  - `EmftvmPackageImpl.getMatchS()`
  - Constant Field Values

### ISNULL__OPCODE

static final int ISNULL__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### ISNULL__STACK_PRODUCTION

static final int ISNULL__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### ISNULL__STACK_CONSUMPTION

static final int ISNULL__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### ISNULL__STACK_LEVEL

static final int ISNULL__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### ISNULL__LINE_NUMBER

static final int ISNULL__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### ISNULL_FEATURE_COUNT

static final int ISNULL_FEATURE_COUNT
The number of structural features of the 'Isnull' class.

See Also:
  - Constant Field Values

### GETENVTYPE

static final int GETENVTYPE
The meta object id for the '`Getenvtype`' class.

See Also:
  - `GetenvtypeImpl`
  - `EmftvmPackageImpl.getGetenvtype()`
  - Constant Field Values

### GETENVTYPE__OWNING_BLOCK

static final int GETENVTYPE__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### GETENVTYPE__OPCODE

static final int GETENVTYPE__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### GETENVTYPE__STACK_PRODUCTION

static final int GETENVTYPE__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### GETENVTYPE__STACK_CONSUMPTION

static final int GETENVTYPE__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### GETENVTYPE__STACK_LEVEL

static final int GETENVTYPE__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### GETENVTYPE__LINE_NUMBER

static final int GETENVTYPE__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### GETENVTYPE_FEATURE_COUNT

static final int GETENVTYPE_FEATURE_COUNT
The number of structural features of the 'Getenvtype' class.

See Also:
  - Constant Field Values

### NOT__OWNING_BLOCK

static final int NOT__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### NOT__OPCODE

static final int NOT__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### NOT__STACK_PRODUCTION

static final int NOT__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### NOT__STACK_CONSUMPTION

static final int NOT__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### NOT__STACK_LEVEL

static final int NOT__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### NOT__LINE_NUMBER

static final int NOT__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### NOT_FEATURE_COUNT

static final int NOT_FEATURE_COUNT
The number of structural features of the 'Not' class.

See Also:
  - Constant Field Values

### AND

static final int AND
The meta object id for the '`And`' class.

See Also:
  - `AndImpl`
  - `EmftvmPackageImpl.getAnd()`
  - Constant Field Values

### OR

static final int OR
The meta object id for the '`Or`' class.

See Also:
  - `OrImpl`
  - `EmftvmPackageImpl.getOr()`
  - Constant Field Values

### XOR

static final int XOR
The meta object id for the '`Xor`' class.

See Also:
  - `XorImpl`
  - `EmftvmPackageImpl.getXor()`
  - Constant Field Values

### IMPLIES

static final int IMPLIES
The meta object id for the '`Implies`' class.

See Also:
  - `ImpliesImpl`
  - `EmftvmPackageImpl.getImplies()`
  - Constant Field Values

### IFTE

static final int IFTE
The meta object id for the '`Ifte`' class.

See Also:
  - `IfteImpl`
  - `EmftvmPackageImpl.getIfte()`
  - Constant Field Values

### RETURN

static final int RETURN
The meta object id for the '`Return`' class.

See Also:
  - `ReturnImpl`
  - `EmftvmPackageImpl.getReturn()`
  - Constant Field Values

### CODE_BLOCK_INSTRUCTION

static final int CODE_BLOCK_INSTRUCTION
The meta object id for the '`Code Block Instruction`' class.

See Also:
  - `CodeBlockInstructionImpl`
  - `EmftvmPackageImpl.getCodeBlockInstruction()`
  - Constant Field Values

### CODE_BLOCK_INSTRUCTION__OWNING_BLOCK

static final int CODE_BLOCK_INSTRUCTION__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### CODE_BLOCK_INSTRUCTION__OPCODE

static final int CODE_BLOCK_INSTRUCTION__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### CODE_BLOCK_INSTRUCTION__STACK_PRODUCTION

static final int CODE_BLOCK_INSTRUCTION__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### CODE_BLOCK_INSTRUCTION__STACK_CONSUMPTION

static final int CODE_BLOCK_INSTRUCTION__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### CODE_BLOCK_INSTRUCTION__STACK_LEVEL

static final int CODE_BLOCK_INSTRUCTION__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### CODE_BLOCK_INSTRUCTION__LINE_NUMBER

static final int CODE_BLOCK_INSTRUCTION__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### CODE_BLOCK_INSTRUCTION__CB_INDEX

static final int CODE_BLOCK_INSTRUCTION__CB_INDEX
The feature id for the 'Cb Index' attribute.

See Also:
  - Constant Field Values

### CODE_BLOCK_INSTRUCTION__CODE_BLOCK

static final int CODE_BLOCK_INSTRUCTION__CODE_BLOCK
The feature id for the 'Code Block' reference.

See Also:
  - Constant Field Values

### CODE_BLOCK_INSTRUCTION_FEATURE_COUNT

static final int CODE_BLOCK_INSTRUCTION_FEATURE_COUNT
The number of structural features of the 'Code Block Instruction' class.

See Also:
  - Constant Field Values

### AND__OWNING_BLOCK

static final int AND__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### AND__OPCODE

static final int AND__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### AND__STACK_PRODUCTION

static final int AND__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### AND__STACK_CONSUMPTION

static final int AND__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### AND__STACK_LEVEL

static final int AND__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### AND__LINE_NUMBER

static final int AND__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### AND__CB_INDEX

static final int AND__CB_INDEX
The feature id for the 'Cb Index' attribute.

See Also:
  - Constant Field Values

### AND__CODE_BLOCK

static final int AND__CODE_BLOCK
The feature id for the 'Code Block' reference.

See Also:
  - Constant Field Values

### AND_FEATURE_COUNT

static final int AND_FEATURE_COUNT
The number of structural features of the 'And' class.

See Also:
  - Constant Field Values

### OR__OWNING_BLOCK

static final int OR__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### OR__OPCODE

static final int OR__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### OR__STACK_PRODUCTION

static final int OR__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### OR__STACK_CONSUMPTION

static final int OR__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### OR__STACK_LEVEL

static final int OR__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### OR__LINE_NUMBER

static final int OR__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### OR__CB_INDEX

static final int OR__CB_INDEX
The feature id for the 'Cb Index' attribute.

See Also:
  - Constant Field Values

### OR__CODE_BLOCK

static final int OR__CODE_BLOCK
The feature id for the 'Code Block' reference.

See Also:
  - Constant Field Values

### OR_FEATURE_COUNT

static final int OR_FEATURE_COUNT
The number of structural features of the 'Or' class.

See Also:
  - Constant Field Values

### XOR__OWNING_BLOCK

static final int XOR__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### XOR__OPCODE

static final int XOR__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### XOR__STACK_PRODUCTION

static final int XOR__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### XOR__STACK_CONSUMPTION

static final int XOR__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### XOR__STACK_LEVEL

static final int XOR__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### XOR__LINE_NUMBER

static final int XOR__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### XOR_FEATURE_COUNT

static final int XOR_FEATURE_COUNT
The number of structural features of the 'Xor' class.

See Also:
  - Constant Field Values

### IMPLIES__OWNING_BLOCK

static final int IMPLIES__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### IMPLIES__OPCODE

static final int IMPLIES__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### IMPLIES__STACK_PRODUCTION

static final int IMPLIES__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### IMPLIES__STACK_CONSUMPTION

static final int IMPLIES__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### IMPLIES__STACK_LEVEL

static final int IMPLIES__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### IMPLIES__LINE_NUMBER

static final int IMPLIES__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### IMPLIES__CB_INDEX

static final int IMPLIES__CB_INDEX
The feature id for the 'Cb Index' attribute.

See Also:
  - Constant Field Values

### IMPLIES__CODE_BLOCK

static final int IMPLIES__CODE_BLOCK
The feature id for the 'Code Block' reference.

See Also:
  - Constant Field Values

### IMPLIES_FEATURE_COUNT

static final int IMPLIES_FEATURE_COUNT
The number of structural features of the 'Implies' class.

See Also:
  - Constant Field Values

### IFTE__OWNING_BLOCK

static final int IFTE__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### IFTE__OPCODE

static final int IFTE__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### IFTE__STACK_PRODUCTION

static final int IFTE__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### IFTE__STACK_CONSUMPTION

static final int IFTE__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### IFTE__STACK_LEVEL

static final int IFTE__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### IFTE__LINE_NUMBER

static final int IFTE__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### IFTE__THEN_CB_INDEX

static final int IFTE__THEN_CB_INDEX
The feature id for the 'Then Cb Index' attribute.

See Also:
  - Constant Field Values

### IFTE__ELSE_CB_INDEX

static final int IFTE__ELSE_CB_INDEX
The feature id for the 'Else Cb Index' attribute.

See Also:
  - Constant Field Values

### IFTE__THEN_CB

static final int IFTE__THEN_CB
The feature id for the 'Then Cb' reference.

See Also:
  - Constant Field Values

### IFTE__ELSE_CB

static final int IFTE__ELSE_CB
The feature id for the 'Else Cb' reference.

See Also:
  - Constant Field Values

### IFTE_FEATURE_COUNT

static final int IFTE_FEATURE_COUNT
The number of structural features of the 'Ifte' class.

See Also:
  - Constant Field Values

### RETURN__OWNING_BLOCK

static final int RETURN__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### RETURN__OPCODE

static final int RETURN__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### RETURN__STACK_PRODUCTION

static final int RETURN__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### RETURN__STACK_CONSUMPTION

static final int RETURN__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### RETURN__STACK_LEVEL

static final int RETURN__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### RETURN__LINE_NUMBER

static final int RETURN__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### RETURN_FEATURE_COUNT

static final int RETURN_FEATURE_COUNT
The number of structural features of the 'Return' class.

See Also:
  - Constant Field Values

### GETCB

static final int GETCB
The meta object id for the '`Getcb`' class.

See Also:
  - `GetcbImpl`
  - `EmftvmPackageImpl.getGetcb()`
  - Constant Field Values

### GETCB__OWNING_BLOCK

static final int GETCB__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### GETCB__OPCODE

static final int GETCB__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### GETCB__STACK_PRODUCTION

static final int GETCB__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### GETCB__STACK_CONSUMPTION

static final int GETCB__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### GETCB__STACK_LEVEL

static final int GETCB__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### GETCB__LINE_NUMBER

static final int GETCB__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### GETCB__CB_INDEX

static final int GETCB__CB_INDEX
The feature id for the 'Cb Index' attribute.

See Also:
  - Constant Field Values

### GETCB__CODE_BLOCK

static final int GETCB__CODE_BLOCK
The feature id for the 'Code Block' reference.

See Also:
  - Constant Field Values

### GETCB_FEATURE_COUNT

static final int GETCB_FEATURE_COUNT
The number of structural features of the 'Getcb' class.

See Also:
  - Constant Field Values

### INVOKE_CB

static final int INVOKE_CB
The meta object id for the '`Invoke Cb`' class.

See Also:
  - `InvokeCbImpl`
  - `EmftvmPackageImpl.getInvokeCb()`
  - Constant Field Values

### INVOKE_CB_S

static final int INVOKE_CB_S
The meta object id for the '`Invoke Cb S`' class.

See Also:
  - `InvokeCbSImpl`
  - `EmftvmPackageImpl.getInvokeCbS()`
  - Constant Field Values

### INVOKE_ALL_CBS

static final int INVOKE_ALL_CBS
The meta object id for the '`Invoke All Cbs`' class.

See Also:
  - `InvokeAllCbsImpl`
  - `EmftvmPackageImpl.getInvokeAllCbs()`
  - Constant Field Values

### INVOKE_ALL_CBS__OWNING_BLOCK

static final int INVOKE_ALL_CBS__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### INVOKE_ALL_CBS__OPCODE

static final int INVOKE_ALL_CBS__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### INVOKE_ALL_CBS__STACK_PRODUCTION

static final int INVOKE_ALL_CBS__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### INVOKE_ALL_CBS__STACK_CONSUMPTION

static final int INVOKE_ALL_CBS__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### INVOKE_ALL_CBS__STACK_LEVEL

static final int INVOKE_ALL_CBS__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### INVOKE_ALL_CBS__LINE_NUMBER

static final int INVOKE_ALL_CBS__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### INVOKE_ALL_CBS__ARGCOUNT

static final int INVOKE_ALL_CBS__ARGCOUNT
The feature id for the 'Argcount' attribute.

See Also:
  - Constant Field Values

### INVOKE_ALL_CBS_FEATURE_COUNT

static final int INVOKE_ALL_CBS_FEATURE_COUNT
The number of structural features of the 'Invoke All Cbs' class.

See Also:
  - Constant Field Values

### INVOKE_CB__OWNING_BLOCK

static final int INVOKE_CB__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### INVOKE_CB__OPCODE

static final int INVOKE_CB__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB__STACK_PRODUCTION

static final int INVOKE_CB__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB__STACK_CONSUMPTION

static final int INVOKE_CB__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB__STACK_LEVEL

static final int INVOKE_CB__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB__LINE_NUMBER

static final int INVOKE_CB__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### INVOKE_CB__CB_INDEX

static final int INVOKE_CB__CB_INDEX
The feature id for the 'Cb Index' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB__CODE_BLOCK

static final int INVOKE_CB__CODE_BLOCK
The feature id for the 'Code Block' reference.

See Also:
  - Constant Field Values

### INVOKE_CB__ARGCOUNT

static final int INVOKE_CB__ARGCOUNT
The feature id for the 'Argcount' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB_FEATURE_COUNT

static final int INVOKE_CB_FEATURE_COUNT
The number of structural features of the 'Invoke Cb' class.

See Also:
  - Constant Field Values

### INVOKE_CB_S__OWNING_BLOCK

static final int INVOKE_CB_S__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### INVOKE_CB_S__OPCODE

static final int INVOKE_CB_S__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB_S__STACK_PRODUCTION

static final int INVOKE_CB_S__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB_S__STACK_CONSUMPTION

static final int INVOKE_CB_S__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB_S__STACK_LEVEL

static final int INVOKE_CB_S__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB_S__LINE_NUMBER

static final int INVOKE_CB_S__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### INVOKE_CB_S__ARGCOUNT

static final int INVOKE_CB_S__ARGCOUNT
The feature id for the 'Argcount' attribute.

See Also:
  - Constant Field Values

### INVOKE_CB_S_FEATURE_COUNT

static final int INVOKE_CB_S_FEATURE_COUNT
The number of structural features of the 'Invoke Cb S' class.

See Also:
  - Constant Field Values

### MATCH__OWNING_BLOCK

static final int MATCH__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### MATCH__OPCODE

static final int MATCH__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### MATCH__STACK_PRODUCTION

static final int MATCH__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### MATCH__STACK_CONSUMPTION

static final int MATCH__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### MATCH__STACK_LEVEL

static final int MATCH__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### MATCH__LINE_NUMBER

static final int MATCH__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### MATCH__ARGCOUNT

static final int MATCH__ARGCOUNT
The feature id for the 'Argcount' attribute.

See Also:
  - Constant Field Values

### MATCH__RULENAME

static final int MATCH__RULENAME
The feature id for the 'Rulename' attribute.

See Also:
  - Constant Field Values

### MATCH_FEATURE_COUNT

static final int MATCH_FEATURE_COUNT
The number of structural features of the 'Match' class.

See Also:
  - Constant Field Values

### MATCH_S__OWNING_BLOCK

static final int MATCH_S__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### MATCH_S__OPCODE

static final int MATCH_S__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### MATCH_S__STACK_PRODUCTION

static final int MATCH_S__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### MATCH_S__STACK_CONSUMPTION

static final int MATCH_S__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### MATCH_S__STACK_LEVEL

static final int MATCH_S__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### MATCH_S__LINE_NUMBER

static final int MATCH_S__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### MATCH_S__ARGCOUNT

static final int MATCH_S__ARGCOUNT
The feature id for the 'Argcount' attribute.

See Also:
  - Constant Field Values

### MATCH_S_FEATURE_COUNT

static final int MATCH_S_FEATURE_COUNT
The number of structural features of the 'Match S' class.

See Also:
  - Constant Field Values

### ADD

static final int ADD
The meta object id for the '`Add`' class.

See Also:
  - `AddImpl`
  - `EmftvmPackageImpl.getAdd()`
  - Constant Field Values

### ADD__OWNING_BLOCK

static final int ADD__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### ADD__OPCODE

static final int ADD__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### ADD__STACK_PRODUCTION

static final int ADD__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### ADD__STACK_CONSUMPTION

static final int ADD__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### ADD__STACK_LEVEL

static final int ADD__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### ADD__LINE_NUMBER

static final int ADD__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### ADD__FIELDNAME

static final int ADD__FIELDNAME
The feature id for the 'Fieldname' attribute.

See Also:
  - Constant Field Values

### ADD_FEATURE_COUNT

static final int ADD_FEATURE_COUNT
The number of structural features of the 'Add' class.

See Also:
  - Constant Field Values

### REMOVE

static final int REMOVE
The meta object id for the '`Remove`' class.

See Also:
  - `RemoveImpl`
  - `EmftvmPackageImpl.getRemove()`
  - Constant Field Values

### REMOVE__OWNING_BLOCK

static final int REMOVE__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### REMOVE__OPCODE

static final int REMOVE__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### REMOVE__STACK_PRODUCTION

static final int REMOVE__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### REMOVE__STACK_CONSUMPTION

static final int REMOVE__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### REMOVE__STACK_LEVEL

static final int REMOVE__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### REMOVE__LINE_NUMBER

static final int REMOVE__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### REMOVE__FIELDNAME

static final int REMOVE__FIELDNAME
The feature id for the 'Fieldname' attribute.

See Also:
  - Constant Field Values

### REMOVE_FEATURE_COUNT

static final int REMOVE_FEATURE_COUNT
The number of structural features of the 'Remove' class.

See Also:
  - Constant Field Values

### INSERT

static final int INSERT
The meta object id for the '`Insert`' class.

See Also:
  - `InsertImpl`
  - `EmftvmPackageImpl.getInsert()`
  - Constant Field Values

### INSERT__OWNING_BLOCK

static final int INSERT__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### INSERT__OPCODE

static final int INSERT__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### INSERT__STACK_PRODUCTION

static final int INSERT__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### INSERT__STACK_CONSUMPTION

static final int INSERT__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### INSERT__STACK_LEVEL

static final int INSERT__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### INSERT__LINE_NUMBER

static final int INSERT__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### INSERT__FIELDNAME

static final int INSERT__FIELDNAME
The feature id for the 'Fieldname' attribute.

See Also:
  - Constant Field Values

### INSERT_FEATURE_COUNT

static final int INSERT_FEATURE_COUNT
The number of structural features of the 'Insert' class.

See Also:
  - Constant Field Values

### GET_SUPER

static final int GET_SUPER
The meta object id for the '`Get Super`' class.

See Also:
  - `GetSuperImpl`
  - `EmftvmPackageImpl.getGetSuper()`
  - Constant Field Values

### GET_SUPER__OWNING_BLOCK

static final int GET_SUPER__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### GET_SUPER__OPCODE

static final int GET_SUPER__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### GET_SUPER__STACK_PRODUCTION

static final int GET_SUPER__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### GET_SUPER__STACK_CONSUMPTION

static final int GET_SUPER__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### GET_SUPER__STACK_LEVEL

static final int GET_SUPER__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### GET_SUPER__LINE_NUMBER

static final int GET_SUPER__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### GET_SUPER__FIELDNAME

static final int GET_SUPER__FIELDNAME
The feature id for the 'Fieldname' attribute.

See Also:
  - Constant Field Values

### GET_SUPER_FEATURE_COUNT

static final int GET_SUPER_FEATURE_COUNT
The number of structural features of the 'Get Super' class.

See Also:
  - Constant Field Values

### GETENV

static final int GETENV
The meta object id for the '`Getenv`' class.

See Also:
  - `GetenvImpl`
  - `EmftvmPackageImpl.getGetenv()`
  - Constant Field Values

### GETENV__OWNING_BLOCK

static final int GETENV__OWNING_BLOCK
The feature id for the 'Owning Block' container reference.

See Also:
  - Constant Field Values

### GETENV__OPCODE

static final int GETENV__OPCODE
The feature id for the 'Opcode' attribute.

See Also:
  - Constant Field Values

### GETENV__STACK_PRODUCTION

static final int GETENV__STACK_PRODUCTION
The feature id for the 'Stack Production' attribute.

See Also:
  - Constant Field Values

### GETENV__STACK_CONSUMPTION

static final int GETENV__STACK_CONSUMPTION
The feature id for the 'Stack Consumption' attribute.

See Also:
  - Constant Field Values

### GETENV__STACK_LEVEL

static final int GETENV__STACK_LEVEL
The feature id for the 'Stack Level' attribute.

See Also:
  - Constant Field Values

### GETENV__LINE_NUMBER

static final int GETENV__LINE_NUMBER
The feature id for the 'Line Number' reference.

See Also:
  - Constant Field Values

### GETENV_FEATURE_COUNT

static final int GETENV_FEATURE_COUNT
The number of structural features of the 'Getenv' class.

See Also:
  - Constant Field Values

### MODEL_DECLARATION_TAG

static final int MODEL_DECLARATION_TAG
The meta object id for the '`Model Declaration Tag`' enum.

See Also:
  - `ModelDeclarationTag`
  - `EmftvmPackageImpl.getModelDeclarationTag()`
  - Constant Field Values

### FEATURE_TAG

static final int FEATURE_TAG
The meta object id for the '`Feature Tag`' enum.

See Also:
  - `FeatureTag`
  - `EmftvmPackageImpl.getFeatureTag()`
  - Constant Field Values

### OPCODE

static final int OPCODE
The meta object id for the '`Opcode`' enum.

See Also:
  - `Opcode`
  - `EmftvmPackageImpl.getOpcode()`
  - Constant Field Values

### RULE_MODE

static final int RULE_MODE
The meta object id for the '`Rule Mode`' enum.

See Also:
  - `RuleMode`
  - `EmftvmPackageImpl.getRuleMode()`
  - Constant Field Values

### CONSTANT_TAG

static final int CONSTANT_TAG
The meta object id for the '`Constant Tag`' enum.

See Also:
  - `ConstantTag`
  - `EmftvmPackageImpl.getConstantTag()`
  - Constant Field Values

### STACK_FRAME

static final int STACK_FRAME
The meta object id for the 'Stack Frame' data type.

See Also:
  - `StackFrame`
  - `EmftvmPackageImpl.getStackFrame()`
  - Constant Field Values

### METHOD

static final int METHOD
The meta object id for the 'Method' data type.

See Also:
  - `Method`
  - `EmftvmPackageImpl.getMethod()`
  - Constant Field Values

### TIMING_DATA

static final int TIMING_DATA
The meta object id for the 'Timing Data' data type.

See Also:
  - `TimingData`
  - `EmftvmPackageImpl.getTimingData()`
  - Constant Field Values

### VM_MONITOR

static final int VM_MONITOR
The meta object id for the 'VM Monitor' data type.

See Also:
  - `VMMonitor`
  - `EmftvmPackageImpl.getVMMonitor()`
  - Constant Field Values

### LAZY_COLLECTION

static final int LAZY_COLLECTION
The meta object id for the 'Lazy Collection' data type.

See Also:
  - `LazyCollection`
  - `EmftvmPackageImpl.getLazyCollection()`
  - Constant Field Values

### LAZY_BAG

static final int LAZY_BAG
The meta object id for the 'Lazy Bag' data type.

See Also:
  - `LazyBag`
  - `EmftvmPackageImpl.getLazyBag()`
  - Constant Field Values

### LAZY_LIST

static final int LAZY_LIST
The meta object id for the 'Lazy List' data type.

See Also:
  - `LazyList`
  - `EmftvmPackageImpl.getLazyList()`
  - Constant Field Values

### LAZY_ORDERED_SET

static final int LAZY_ORDERED_SET
The meta object id for the 'Lazy Ordered Set' data type.

See Also:
  - `LazyOrderedSet`
  - `EmftvmPackageImpl.getLazyOrderedSet()`
  - Constant Field Values

### LAZY_SET

static final int LAZY_SET
The meta object id for the 'Lazy Set' data type.

See Also:
  - `LazySet`
  - `EmftvmPackageImpl.getLazySet()`
  - Constant Field Values

### EJAVA_OBJECT_ARRAY

static final int EJAVA_OBJECT_ARRAY
The meta object id for the 'EJava Object Array' data type.

See Also:
  - `EmftvmPackageImpl.getEJavaObjectArray()`
  - Constant Field Values

### EOBJECT_ARRAY

static final int EOBJECT_ARRAY
The meta object id for the 'EObject Array' data type.

See Also:
  - `EmftvmPackageImpl.getEObjectArray()`
  - Constant Field Values

### EBOOLEAN_ARRAY

static final int EBOOLEAN_ARRAY
The meta object id for the 'EBoolean Array' data type.

See Also:
  - `EmftvmPackageImpl.getEBooleanArray()`
  - Constant Field Values

### EJAVA_SET

static final int EJAVA_SET
The meta object id for the 'EJava Set' data type.

See Also:
  - `Set`
  - `EmftvmPackageImpl.getEJavaSet()`
  - Constant Field Values

### EJAVA_ITERABLE

static final int EJAVA_ITERABLE
The meta object id for the 'EJava Iterable' data type.

See Also:
  - `Iterable`
  - `EmftvmPackageImpl.getEJavaIterable()`
  - Constant Field Values

### CLASS_NOT_FOUND_EXCEPTION

static final int CLASS_NOT_FOUND_EXCEPTION
The meta object id for the 'Class Not Found Exception' data type.

See Also:
  - `ClassNotFoundException`
  - `EmftvmPackageImpl.getClassNotFoundException()`
  - Constant Field Values

### MODULE_RESOLVER

static final int MODULE_RESOLVER
The meta object id for the 'Module Resolver' data type.

See Also:
  - `ModuleResolver`
  - `EmftvmPackageImpl.getModuleResolver()`
  - Constant Field Values

### ENUM_LITERAL

static final int ENUM_LITERAL
The meta object id for the 'Enum Literal' data type.

See Also:
  - `EnumLiteral`
  - `EmftvmPackageImpl.getEnumLiteral()`
  - Constant Field Values

## Method Details

### getModule

org.eclipse.emf.ecore.EClass getModule()
Returns the meta object for class '`Module`'.

Returns:
  the meta object for class 'Module'.
See Also:
  - `Module`

### getModule_SourceName

org.eclipse.emf.ecore.EAttribute getModule_SourceName()
Returns the meta object for the attribute '`Source Name`'.

Returns:
  the meta object for the attribute 'Source Name'.
See Also:
  - `Module.getSourceName()`
  - `getModule()`

### getModule_Features

org.eclipse.emf.ecore.EReference getModule_Features()
Returns the meta object for the containment reference list '`Features`'.

Returns:
  the meta object for the containment reference list 'Features'.
See Also:
  - `Module.getFeatures()`
  - `getModule()`

### getModule_Rules

org.eclipse.emf.ecore.EReference getModule_Rules()
Returns the meta object for the containment reference list '`Rules`'.

Returns:
  the meta object for the containment reference list 'Rules'.
See Also:
  - `Module.getRules()`
  - `getModule()`

### getModule_EImports

org.eclipse.emf.ecore.EReference getModule_EImports()
Returns the meta object for the reference list '`EImports`'.

Returns:
  the meta object for the reference list 'EImports'.
See Also:
  - `Module.getEImports()`
  - `getModule()`

### getModule_Imports

org.eclipse.emf.ecore.EAttribute getModule_Imports()
Returns the meta object for the attribute list '`Imports`'.

Returns:
  the meta object for the attribute list 'Imports'.
See Also:
  - `Module.getImports()`
  - `getModule()`

### getModule_InputModels

org.eclipse.emf.ecore.EReference getModule_InputModels()
Returns the meta object for the containment reference list '`Input Models`'.

Returns:
  the meta object for the containment reference list 'Input Models'.
See Also:
  - `Module.getInputModels()`
  - `getModule()`

### getModule_InoutModels

org.eclipse.emf.ecore.EReference getModule_InoutModels()
Returns the meta object for the containment reference list '`Inout Models`'.

Returns:
  the meta object for the containment reference list 'Inout Models'.
See Also:
  - `Module.getInoutModels()`
  - `getModule()`

### getModule_OutputModels

org.eclipse.emf.ecore.EReference getModule_OutputModels()
Returns the meta object for the containment reference list '`Output Models`'.

Returns:
  the meta object for the containment reference list 'Output Models'.
See Also:
  - `Module.getOutputModels()`
  - `getModule()`

### getModelDeclaration

org.eclipse.emf.ecore.EClass getModelDeclaration()
Returns the meta object for class '`Model Declaration`'.

Returns:
  the meta object for class 'Model Declaration'.
See Also:
  - `ModelDeclaration`

### getModelDeclaration_ModelName

org.eclipse.emf.ecore.EAttribute getModelDeclaration_ModelName()
Returns the meta object for the attribute '`Model Name`'.

Returns:
  the meta object for the attribute 'Model Name'.
See Also:
  - `ModelDeclaration.getModelName()`
  - `getModelDeclaration()`

### getModelDeclaration_MetaModelName

org.eclipse.emf.ecore.EAttribute getModelDeclaration_MetaModelName()
Returns the meta object for the attribute '`Meta Model Name`'.

Returns:
  the meta object for the attribute 'Meta Model Name'.
See Also:
  - `ModelDeclaration.getMetaModelName()`
  - `getModelDeclaration()`

### getModelDeclaration_InputModelFor

org.eclipse.emf.ecore.EReference getModelDeclaration_InputModelFor()
Returns the meta object for the container reference '`Input Model For`'.

Returns:
  the meta object for the container reference 'Input Model For'.
See Also:
  - `ModelDeclaration.getInputModelFor()`
  - `getModelDeclaration()`

### getModelDeclaration_InoutModelFor

org.eclipse.emf.ecore.EReference getModelDeclaration_InoutModelFor()
Returns the meta object for the container reference '`Inout Model For`'.

Returns:
  the meta object for the container reference 'Inout Model For'.
See Also:
  - `ModelDeclaration.getInoutModelFor()`
  - `getModelDeclaration()`

### getModelDeclaration_OutputModelFor

org.eclipse.emf.ecore.EReference getModelDeclaration_OutputModelFor()
Returns the meta object for the container reference '`Output Model For`'.

Returns:
  the meta object for the container reference 'Output Model For'.
See Also:
  - `ModelDeclaration.getOutputModelFor()`
  - `getModelDeclaration()`

### getFeature

org.eclipse.emf.ecore.EClass getFeature()
Returns the meta object for class '`Feature`'.

Returns:
  the meta object for class 'Feature'.
See Also:
  - `Feature`

### getFeature_Static

org.eclipse.emf.ecore.EAttribute getFeature_Static()
Returns the meta object for the attribute '`Static`'.

Returns:
  the meta object for the attribute 'Static'.
See Also:
  - `Feature.isStatic()`
  - `getFeature()`

### getFeature_EContext

org.eclipse.emf.ecore.EReference getFeature_EContext()
Returns the meta object for the reference '`EContext`'.

Returns:
  the meta object for the reference 'EContext'.
See Also:
  - `Feature.getEContext()`
  - `getFeature()`

### getFeature_Context

org.eclipse.emf.ecore.EAttribute getFeature_Context()
Returns the meta object for the attribute '`Context`'.

Returns:
  the meta object for the attribute 'Context'.
See Also:
  - `Feature.getContext()`
  - `getFeature()`

### getFeature_ContextModel

org.eclipse.emf.ecore.EAttribute getFeature_ContextModel()
Returns the meta object for the attribute '`Context Model`'.

Returns:
  the meta object for the attribute 'Context Model'.
See Also:
  - `Feature.getContextModel()`
  - `getFeature()`

### getFeature_Module

org.eclipse.emf.ecore.EReference getFeature_Module()
Returns the meta object for the container reference '`Module`'.

Returns:
  the meta object for the container reference 'Module'.
See Also:
  - `Feature.getModule()`
  - `getFeature()`

### getField

org.eclipse.emf.ecore.EClass getField()
Returns the meta object for class '`Field`'.

Returns:
  the meta object for class 'Field'.
See Also:
  - `Field`

### getField_StaticValue

org.eclipse.emf.ecore.EAttribute getField_StaticValue()
Returns the meta object for the attribute '`Static Value`'.

Returns:
  the meta object for the attribute 'Static Value'.
See Also:
  - `Field.getStaticValue()`
  - `getField()`

### getField_Initialiser

org.eclipse.emf.ecore.EReference getField_Initialiser()
Returns the meta object for the containment reference '`Initialiser`'.

Returns:
  the meta object for the containment reference 'Initialiser'.
See Also:
  - `Field.getInitialiser()`
  - `getField()`

### getField_Rule

org.eclipse.emf.ecore.EReference getField_Rule()
Returns the meta object for the container reference '`Rule`'.

Returns:
  the meta object for the container reference 'Rule'.
See Also:
  - `Field.getRule()`
  - `getField()`

### getOperation

org.eclipse.emf.ecore.EClass getOperation()
Returns the meta object for class '`Operation`'.

Returns:
  the meta object for class 'Operation'.
See Also:
  - `Operation`

### getOperation_Parameters

org.eclipse.emf.ecore.EReference getOperation_Parameters()
Returns the meta object for the containment reference list '`Parameters`'.

Returns:
  the meta object for the containment reference list 'Parameters'.
See Also:
  - `Operation.getParameters()`
  - `getOperation()`

### getOperation_Query

org.eclipse.emf.ecore.EAttribute getOperation_Query()
Returns the meta object for the attribute '`Query`'.

Returns:
  the meta object for the attribute 'Query'.
See Also:
  - `Operation.isQuery()`
  - `getOperation()`

### getOperation_Body

org.eclipse.emf.ecore.EReference getOperation_Body()
Returns the meta object for the containment reference '`Body`'.

Returns:
  the meta object for the containment reference 'Body'.
See Also:
  - `Operation.getBody()`
  - `getOperation()`

### getNamedElement

org.eclipse.emf.ecore.EClass getNamedElement()
Returns the meta object for class '`Named Element`'.

Returns:
  the meta object for class 'Named Element'.
See Also:
  - `NamedElement`

### getNamedElement_Name

org.eclipse.emf.ecore.EAttribute getNamedElement_Name()
Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  - `NamedElement.getName()`
  - `getNamedElement()`

### getParameter

org.eclipse.emf.ecore.EClass getParameter()
Returns the meta object for class '`Parameter`'.

Returns:
  the meta object for class 'Parameter'.
See Also:
  - `Parameter`

### getParameter_Operation

org.eclipse.emf.ecore.EReference getParameter_Operation()
Returns the meta object for the container reference '`Operation`'.

Returns:
  the meta object for the container reference 'Operation'.
See Also:
  - `Parameter.getOperation()`
  - `getParameter()`

### getTypedElement

org.eclipse.emf.ecore.EClass getTypedElement()
Returns the meta object for class '`Typed Element`'.

Returns:
  the meta object for class 'Typed Element'.
See Also:
  - `TypedElement`

### getTypedElement_EType

org.eclipse.emf.ecore.EReference getTypedElement_EType()
Returns the meta object for the reference '`EType`'.

Returns:
  the meta object for the reference 'EType'.
See Also:
  - `TypedElement.getEType()`
  - `getTypedElement()`

### getTypedElement_Type

org.eclipse.emf.ecore.EAttribute getTypedElement_Type()
Returns the meta object for the attribute '`Type`'.

Returns:
  the meta object for the attribute 'Type'.
See Also:
  - `TypedElement.getType()`
  - `getTypedElement()`

### getTypedElement_TypeModel

org.eclipse.emf.ecore.EAttribute getTypedElement_TypeModel()
Returns the meta object for the attribute '`Type Model`'.

Returns:
  the meta object for the attribute 'Type Model'.
See Also:
  - `TypedElement.getTypeModel()`
  - `getTypedElement()`

### getInstruction

org.eclipse.emf.ecore.EClass getInstruction()
Returns the meta object for class '`Instruction`'.

Returns:
  the meta object for class 'Instruction'.
See Also:
  - `Instruction`

### getInstruction_OwningBlock

org.eclipse.emf.ecore.EReference getInstruction_OwningBlock()
Returns the meta object for the container reference '`Owning Block`'.

Returns:
  the meta object for the container reference 'Owning Block'.
See Also:
  - `Instruction.getOwningBlock()`
  - `getInstruction()`

### getInstruction_Opcode

org.eclipse.emf.ecore.EAttribute getInstruction_Opcode()
Returns the meta object for the attribute '`Opcode`'.

Returns:
  the meta object for the attribute 'Opcode'.
See Also:
  - `Instruction.getOpcode()`
  - `getInstruction()`

### getInstruction_StackProduction

org.eclipse.emf.ecore.EAttribute getInstruction_StackProduction()
Returns the meta object for the attribute '`Stack Production`'.

Returns:
  the meta object for the attribute 'Stack Production'.
See Also:
  - `Instruction.getStackProduction()`
  - `getInstruction()`

### getInstruction_StackConsumption

org.eclipse.emf.ecore.EAttribute getInstruction_StackConsumption()
Returns the meta object for the attribute '`Stack Consumption`'.

Returns:
  the meta object for the attribute 'Stack Consumption'.
See Also:
  - `Instruction.getStackConsumption()`
  - `getInstruction()`

### getInstruction_StackLevel

org.eclipse.emf.ecore.EAttribute getInstruction_StackLevel()
Returns the meta object for the attribute '`Stack Level`'.

Returns:
  the meta object for the attribute 'Stack Level'.
See Also:
  - `Instruction.getStackLevel()`
  - `getInstruction()`

### getInstruction_LineNumber

org.eclipse.emf.ecore.EReference getInstruction_LineNumber()
Returns the meta object for the reference '`Line Number`'.

Returns:
  the meta object for the reference 'Line Number'.
See Also:
  - `Instruction.getLineNumber()`
  - `getInstruction()`

### getLineNumber

org.eclipse.emf.ecore.EClass getLineNumber()
Returns the meta object for class '`Line Number`'.

Returns:
  the meta object for class 'Line Number'.
See Also:
  - `LineNumber`

### getLineNumber_StartLine

org.eclipse.emf.ecore.EAttribute getLineNumber_StartLine()
Returns the meta object for the attribute '`Start Line`'.

Returns:
  the meta object for the attribute 'Start Line'.
See Also:
  - `LineNumber.getStartLine()`
  - `getLineNumber()`

### getLineNumber_StartColumn

org.eclipse.emf.ecore.EAttribute getLineNumber_StartColumn()
Returns the meta object for the attribute '`Start Column`'.

Returns:
  the meta object for the attribute 'Start Column'.
See Also:
  - `LineNumber.getStartColumn()`
  - `getLineNumber()`

### getLineNumber_EndLine

org.eclipse.emf.ecore.EAttribute getLineNumber_EndLine()
Returns the meta object for the attribute '`End Line`'.

Returns:
  the meta object for the attribute 'End Line'.
See Also:
  - `LineNumber.getEndLine()`
  - `getLineNumber()`

### getLineNumber_EndColumn

org.eclipse.emf.ecore.EAttribute getLineNumber_EndColumn()
Returns the meta object for the attribute '`End Column`'.

Returns:
  the meta object for the attribute 'End Column'.
See Also:
  - `LineNumber.getEndColumn()`
  - `getLineNumber()`

### getLineNumber_StartChar

org.eclipse.emf.ecore.EAttribute getLineNumber_StartChar()
Returns the meta object for the attribute '`Start Char`'.

Returns:
  the meta object for the attribute 'Start Char'.
See Also:
  - `LineNumber.getStartChar()`
  - `getLineNumber()`

### getLineNumber_EndChar

org.eclipse.emf.ecore.EAttribute getLineNumber_EndChar()
Returns the meta object for the attribute '`End Char`'.

Returns:
  the meta object for the attribute 'End Char'.
See Also:
  - `LineNumber.getEndChar()`
  - `getLineNumber()`

### getLineNumber_OwningBlock

org.eclipse.emf.ecore.EReference getLineNumber_OwningBlock()
Returns the meta object for the container reference '`Owning Block`'.

Returns:
  the meta object for the container reference 'Owning Block'.
See Also:
  - `LineNumber.getOwningBlock()`
  - `getLineNumber()`

### getLineNumber_Instructions

org.eclipse.emf.ecore.EReference getLineNumber_Instructions()
Returns the meta object for the reference list '`Instructions`'.

Returns:
  the meta object for the reference list 'Instructions'.
See Also:
  - `LineNumber.getInstructions()`
  - `getLineNumber()`

### getLocalVariable

org.eclipse.emf.ecore.EClass getLocalVariable()
Returns the meta object for class '`Local Variable`'.

Returns:
  the meta object for class 'Local Variable'.
See Also:
  - `LocalVariable`

### getLocalVariable_Slot

org.eclipse.emf.ecore.EAttribute getLocalVariable_Slot()
Returns the meta object for the attribute '`Slot`'.

Returns:
  the meta object for the attribute 'Slot'.
See Also:
  - `LocalVariable.getSlot()`
  - `getLocalVariable()`

### getLocalVariable_StartInstruction

org.eclipse.emf.ecore.EReference getLocalVariable_StartInstruction()
Returns the meta object for the reference '`Start Instruction`'.

Returns:
  the meta object for the reference 'Start Instruction'.
See Also:
  - `LocalVariable.getStartInstruction()`
  - `getLocalVariable()`

### getLocalVariable_EndInstruction

org.eclipse.emf.ecore.EReference getLocalVariable_EndInstruction()
Returns the meta object for the reference '`End Instruction`'.

Returns:
  the meta object for the reference 'End Instruction'.
See Also:
  - `LocalVariable.getEndInstruction()`
  - `getLocalVariable()`

### getLocalVariable_StartInstructionIndex

org.eclipse.emf.ecore.EAttribute getLocalVariable_StartInstructionIndex()
Returns the meta object for the attribute '`Start Instruction Index`'.

Returns:
  the meta object for the attribute 'Start Instruction Index'.
See Also:
  - `LocalVariable.getStartInstructionIndex()`
  - `getLocalVariable()`

### getLocalVariable_EndInstructionIndex

org.eclipse.emf.ecore.EAttribute getLocalVariable_EndInstructionIndex()
Returns the meta object for the attribute '`End Instruction Index`'.

Returns:
  the meta object for the attribute 'End Instruction Index'.
See Also:
  - `LocalVariable.getEndInstructionIndex()`
  - `getLocalVariable()`

### getLocalVariable_OwningBlock

org.eclipse.emf.ecore.EReference getLocalVariable_OwningBlock()
Returns the meta object for the container reference '`Owning Block`'.

Returns:
  the meta object for the container reference 'Owning Block'.
See Also:
  - `LocalVariable.getOwningBlock()`
  - `getLocalVariable()`

### getRule

org.eclipse.emf.ecore.EClass getRule()
Returns the meta object for class '`Rule`'.

Returns:
  the meta object for class 'Rule'.
See Also:
  - `Rule`

### getRule_Module

org.eclipse.emf.ecore.EReference getRule_Module()
Returns the meta object for the container reference '`Module`'.

Returns:
  the meta object for the container reference 'Module'.
See Also:
  - `Rule.getModule()`
  - `getRule()`

### getRule_Mode

org.eclipse.emf.ecore.EAttribute getRule_Mode()
Returns the meta object for the attribute '`Mode`'.

Returns:
  the meta object for the attribute 'Mode'.
See Also:
  - `Rule.getMode()`
  - `getRule()`

### getRule_InputElements

org.eclipse.emf.ecore.EReference getRule_InputElements()
Returns the meta object for the containment reference list '`Input Elements`'.

Returns:
  the meta object for the containment reference list 'Input Elements'.
See Also:
  - `Rule.getInputElements()`
  - `getRule()`

### getRule_OutputElements

org.eclipse.emf.ecore.EReference getRule_OutputElements()
Returns the meta object for the containment reference list '`Output Elements`'.

Returns:
  the meta object for the containment reference list 'Output Elements'.
See Also:
  - `Rule.getOutputElements()`
  - `getRule()`

### getRule_ESuperRules

org.eclipse.emf.ecore.EReference getRule_ESuperRules()
Returns the meta object for the reference list '`ESuper Rules`'.

Returns:
  the meta object for the reference list 'ESuper Rules'.
See Also:
  - `Rule.getESuperRules()`
  - `getRule()`

### getRule_ESubRules

org.eclipse.emf.ecore.EReference getRule_ESubRules()
Returns the meta object for the reference list '`ESub Rules`'.

Returns:
  the meta object for the reference list 'ESub Rules'.
See Also:
  - `Rule.getESubRules()`
  - `getRule()`

### getRule_Matcher

org.eclipse.emf.ecore.EReference getRule_Matcher()
Returns the meta object for the containment reference '`Matcher`'.

Returns:
  the meta object for the containment reference 'Matcher'.
See Also:
  - `Rule.getMatcher()`
  - `getRule()`

### getRule_Applier

org.eclipse.emf.ecore.EReference getRule_Applier()
Returns the meta object for the containment reference '`Applier`'.

Returns:
  the meta object for the containment reference 'Applier'.
See Also:
  - `Rule.getApplier()`
  - `getRule()`

### getRule_PostApply

org.eclipse.emf.ecore.EReference getRule_PostApply()
Returns the meta object for the containment reference '`Post Apply`'.

Returns:
  the meta object for the containment reference 'Post Apply'.
See Also:
  - `Rule.getPostApply()`
  - `getRule()`

### getRule_SuperRules

org.eclipse.emf.ecore.EAttribute getRule_SuperRules()
Returns the meta object for the attribute list '`Super Rules`'.

Returns:
  the meta object for the attribute list 'Super Rules'.
See Also:
  - `Rule.getSuperRules()`
  - `getRule()`

### getRule_Abstract

org.eclipse.emf.ecore.EAttribute getRule_Abstract()
Returns the meta object for the attribute '`Abstract`'.

Returns:
  the meta object for the attribute 'Abstract'.
See Also:
  - `Rule.isAbstract()`
  - `getRule()`

### getRule_Fields

org.eclipse.emf.ecore.EReference getRule_Fields()
Returns the meta object for the containment reference list '`Fields`'.

Returns:
  the meta object for the containment reference list 'Fields'.
See Also:
  - `Rule.getFields()`
  - `getRule()`

### getRule_Default

org.eclipse.emf.ecore.EAttribute getRule_Default()
Returns the meta object for the attribute '`Default`'.

Returns:
  the meta object for the attribute 'Default'.
See Also:
  - `Rule.isDefault()`
  - `getRule()`

### getRule_DistinctElements

org.eclipse.emf.ecore.EAttribute getRule_DistinctElements()
Returns the meta object for the attribute '`Distinct Elements`'.

Returns:
  the meta object for the attribute 'Distinct Elements'.
See Also:
  - `Rule.isDistinctElements()`
  - `getRule()`

### getRule_Unique

org.eclipse.emf.ecore.EAttribute getRule_Unique()
Returns the meta object for the attribute '`Unique`'.

Returns:
  the meta object for the attribute 'Unique'.
See Also:
  - `Rule.isUnique()`
  - `getRule()`

### getRule_Leaf

org.eclipse.emf.ecore.EAttribute getRule_Leaf()
Returns the meta object for the attribute '`Leaf`'.

Returns:
  the meta object for the attribute 'Leaf'.
See Also:
  - `Rule.isLeaf()`
  - `getRule()`

### getRule_WithLeaves

org.eclipse.emf.ecore.EAttribute getRule_WithLeaves()
Returns the meta object for the attribute '`With Leaves`'.

Returns:
  the meta object for the attribute 'With Leaves'.
See Also:
  - `Rule.isWithLeaves()`
  - `getRule()`

### getRuleElement

org.eclipse.emf.ecore.EClass getRuleElement()
Returns the meta object for class '`Rule Element`'.

Returns:
  the meta object for class 'Rule Element'.
See Also:
  - `RuleElement`

### getCodeBlock

org.eclipse.emf.ecore.EClass getCodeBlock()
Returns the meta object for class '`Code Block`'.

Returns:
  the meta object for class 'Code Block'.
See Also:
  - `CodeBlock`

### getCodeBlock_MaxLocals

org.eclipse.emf.ecore.EAttribute getCodeBlock_MaxLocals()
Returns the meta object for the attribute '`Max Locals`'.

Returns:
  the meta object for the attribute 'Max Locals'.
See Also:
  - `CodeBlock.getMaxLocals()`
  - `getCodeBlock()`

### getCodeBlock_MaxStack

org.eclipse.emf.ecore.EAttribute getCodeBlock_MaxStack()
Returns the meta object for the attribute '`Max Stack`'.

Returns:
  the meta object for the attribute 'Max Stack'.
See Also:
  - `CodeBlock.getMaxStack()`
  - `getCodeBlock()`

### getCodeBlock_Code

org.eclipse.emf.ecore.EReference getCodeBlock_Code()
Returns the meta object for the containment reference list '`Code`'.

Returns:
  the meta object for the containment reference list 'Code'.
See Also:
  - `CodeBlock.getCode()`
  - `getCodeBlock()`

### getCodeBlock_LineNumbers

org.eclipse.emf.ecore.EReference getCodeBlock_LineNumbers()
Returns the meta object for the containment reference list '`Line Numbers`'.

Returns:
  the meta object for the containment reference list 'Line Numbers'.
See Also:
  - `CodeBlock.getLineNumbers()`
  - `getCodeBlock()`

### getCodeBlock_LocalVariables

org.eclipse.emf.ecore.EReference getCodeBlock_LocalVariables()
Returns the meta object for the containment reference list '`Local Variables`'.

Returns:
  the meta object for the containment reference list 'Local Variables'.
See Also:
  - `CodeBlock.getLocalVariables()`
  - `getCodeBlock()`

### getCodeBlock_MatcherFor

org.eclipse.emf.ecore.EReference getCodeBlock_MatcherFor()
Returns the meta object for the container reference '`Matcher For`'.

Returns:
  the meta object for the container reference 'Matcher For'.
See Also:
  - `CodeBlock.getMatcherFor()`
  - `getCodeBlock()`

### getCodeBlock_ApplierFor

org.eclipse.emf.ecore.EReference getCodeBlock_ApplierFor()
Returns the meta object for the container reference '`Applier For`'.

Returns:
  the meta object for the container reference 'Applier For'.
See Also:
  - `CodeBlock.getApplierFor()`
  - `getCodeBlock()`

### getCodeBlock_PostApplyFor

org.eclipse.emf.ecore.EReference getCodeBlock_PostApplyFor()
Returns the meta object for the container reference '`Post Apply For`'.

Returns:
  the meta object for the container reference 'Post Apply For'.
See Also:
  - `CodeBlock.getPostApplyFor()`
  - `getCodeBlock()`

### getCodeBlock_BodyFor

org.eclipse.emf.ecore.EReference getCodeBlock_BodyFor()
Returns the meta object for the container reference '`Body For`'.

Returns:
  the meta object for the container reference 'Body For'.
See Also:
  - `CodeBlock.getBodyFor()`
  - `getCodeBlock()`

### getCodeBlock_InitialiserFor

org.eclipse.emf.ecore.EReference getCodeBlock_InitialiserFor()
Returns the meta object for the container reference '`Initialiser For`'.

Returns:
  the meta object for the container reference 'Initialiser For'.
See Also:
  - `CodeBlock.getInitialiserFor()`
  - `getCodeBlock()`

### getCodeBlock_Nested

org.eclipse.emf.ecore.EReference getCodeBlock_Nested()
Returns the meta object for the containment reference list '`Nested`'.

Returns:
  the meta object for the containment reference list 'Nested'.
See Also:
  - `CodeBlock.getNested()`
  - `getCodeBlock()`

### getCodeBlock_NestedFor

org.eclipse.emf.ecore.EReference getCodeBlock_NestedFor()
Returns the meta object for the container reference '`Nested For`'.

Returns:
  the meta object for the container reference 'Nested For'.
See Also:
  - `CodeBlock.getNestedFor()`
  - `getCodeBlock()`

### getCodeBlock_ParentFrame

org.eclipse.emf.ecore.EAttribute getCodeBlock_ParentFrame()
Returns the meta object for the attribute '`Parent Frame`'.

Returns:
  the meta object for the attribute 'Parent Frame'.
See Also:
  - `CodeBlock.getParentFrame()`
  - `getCodeBlock()`

### getCodeBlock_BindingFor

org.eclipse.emf.ecore.EReference getCodeBlock_BindingFor()
Returns the meta object for the container reference '`Binding For`'.

Returns:
  the meta object for the container reference 'Binding For'.
See Also:
  - `CodeBlock.getBindingFor()`
  - `getCodeBlock()`

### getPush

org.eclipse.emf.ecore.EClass getPush()
Returns the meta object for class '`Push`'.

Returns:
  the meta object for class 'Push'.
See Also:
  - `Push`

### getPush_Value

org.eclipse.emf.ecore.EAttribute getPush_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `Push.getValue()`
  - `getPush()`

### getPush_StringValue

org.eclipse.emf.ecore.EAttribute getPush_StringValue()
Returns the meta object for the attribute '`String Value`'.

Returns:
  the meta object for the attribute 'String Value'.
See Also:
  - `Push.getStringValue()`
  - `getPush()`

### getPush_IntValue

org.eclipse.emf.ecore.EAttribute getPush_IntValue()
Returns the meta object for the attribute '`Int Value`'.

Returns:
  the meta object for the attribute 'Int Value'.
See Also:
  - `Push.getIntValue()`
  - `getPush()`

### getPush_DoubleValue

org.eclipse.emf.ecore.EAttribute getPush_DoubleValue()
Returns the meta object for the attribute '`Double Value`'.

Returns:
  the meta object for the attribute 'Double Value'.
See Also:
  - `Push.getDoubleValue()`
  - `getPush()`

### getPush_ByteValue

org.eclipse.emf.ecore.EAttribute getPush_ByteValue()
Returns the meta object for the attribute '`Byte Value`'.

Returns:
  the meta object for the attribute 'Byte Value'.
See Also:
  - `Push.getByteValue()`
  - `getPush()`

### getPush_CharValue

org.eclipse.emf.ecore.EAttribute getPush_CharValue()
Returns the meta object for the attribute '`Char Value`'.

Returns:
  the meta object for the attribute 'Char Value'.
See Also:
  - `Push.getCharValue()`
  - `getPush()`

### getPush_FloatValue

org.eclipse.emf.ecore.EAttribute getPush_FloatValue()
Returns the meta object for the attribute '`Float Value`'.

Returns:
  the meta object for the attribute 'Float Value'.
See Also:
  - `Push.getFloatValue()`
  - `getPush()`

### getPush_ShortValue

org.eclipse.emf.ecore.EAttribute getPush_ShortValue()
Returns the meta object for the attribute '`Short Value`'.

Returns:
  the meta object for the attribute 'Short Value'.
See Also:
  - `Push.getShortValue()`
  - `getPush()`

### getPush_LongValue

org.eclipse.emf.ecore.EAttribute getPush_LongValue()
Returns the meta object for the attribute '`Long Value`'.

Returns:
  the meta object for the attribute 'Long Value'.
See Also:
  - `Push.getLongValue()`
  - `getPush()`

### getPush_EnumValue

org.eclipse.emf.ecore.EAttribute getPush_EnumValue()
Returns the meta object for the attribute '`Enum Value`'.

Returns:
  the meta object for the attribute 'Enum Value'.
See Also:
  - `Push.getEnumValue()`
  - `getPush()`

### getPusht

org.eclipse.emf.ecore.EClass getPusht()
Returns the meta object for class '`Pusht`'.

Returns:
  the meta object for class 'Pusht'.
See Also:
  - `Pusht`

### getPushf

org.eclipse.emf.ecore.EClass getPushf()
Returns the meta object for class '`Pushf`'.

Returns:
  the meta object for class 'Pushf'.
See Also:
  - `Pushf`

### getPop

org.eclipse.emf.ecore.EClass getPop()
Returns the meta object for class '`Pop`'.

Returns:
  the meta object for class 'Pop'.
See Also:
  - `Pop`

### getLocalVariableInstruction

org.eclipse.emf.ecore.EClass getLocalVariableInstruction()
Returns the meta object for class '`Local Variable Instruction`'.

Returns:
  the meta object for class 'Local Variable Instruction'.
See Also:
  - `LocalVariableInstruction`

### getLocalVariableInstruction_CbOffset

org.eclipse.emf.ecore.EAttribute getLocalVariableInstruction_CbOffset()
Returns the meta object for the attribute '`Cb Offset`'.

Returns:
  the meta object for the attribute 'Cb Offset'.
See Also:
  - `LocalVariableInstruction.getCbOffset()`
  - `getLocalVariableInstruction()`

### getLocalVariableInstruction_Slot

org.eclipse.emf.ecore.EAttribute getLocalVariableInstruction_Slot()
Returns the meta object for the attribute '`Slot`'.

Returns:
  the meta object for the attribute 'Slot'.
See Also:
  - `LocalVariableInstruction.getSlot()`
  - `getLocalVariableInstruction()`

### getLocalVariableInstruction_LocalVariableIndex

org.eclipse.emf.ecore.EAttribute getLocalVariableInstruction_LocalVariableIndex()
Returns the meta object for the attribute '`Local Variable Index`'.

Returns:
  the meta object for the attribute 'Local Variable Index'.
See Also:
  - `LocalVariableInstruction.getLocalVariableIndex()`
  - `getLocalVariableInstruction()`

### getLocalVariableInstruction_LocalVariable

org.eclipse.emf.ecore.EReference getLocalVariableInstruction_LocalVariable()
Returns the meta object for the reference '`Local Variable`'.

Returns:
  the meta object for the reference 'Local Variable'.
See Also:
  - `LocalVariableInstruction.getLocalVariable()`
  - `getLocalVariableInstruction()`

### getLoad

org.eclipse.emf.ecore.EClass getLoad()
Returns the meta object for class '`Load`'.

Returns:
  the meta object for class 'Load'.
See Also:
  - `Load`

### getStore

org.eclipse.emf.ecore.EClass getStore()
Returns the meta object for class '`Store`'.

Returns:
  the meta object for class 'Store'.
See Also:
  - `Store`

### getFieldInstruction

org.eclipse.emf.ecore.EClass getFieldInstruction()
Returns the meta object for class '`Field Instruction`'.

Returns:
  the meta object for class 'Field Instruction'.
See Also:
  - `FieldInstruction`

### getFieldInstruction_Fieldname

org.eclipse.emf.ecore.EAttribute getFieldInstruction_Fieldname()
Returns the meta object for the attribute '`Fieldname`'.

Returns:
  the meta object for the attribute 'Fieldname'.
See Also:
  - `FieldInstruction.getFieldname()`
  - `getFieldInstruction()`

### getSet

org.eclipse.emf.ecore.EClass getSet()
Returns the meta object for class '`Set`'.

Returns:
  the meta object for class 'Set'.
See Also:
  - `Set`

### getGet

org.eclipse.emf.ecore.EClass getGet()
Returns the meta object for class '`Get`'.

Returns:
  the meta object for class 'Get'.
See Also:
  - `Get`

### getGetTrans

org.eclipse.emf.ecore.EClass getGetTrans()
Returns the meta object for class '`Get Trans`'.

Returns:
  the meta object for class 'Get Trans'.
See Also:
  - `GetTrans`

### getSetStatic

org.eclipse.emf.ecore.EClass getSetStatic()
Returns the meta object for class '`Set Static`'.

Returns:
  the meta object for class 'Set Static'.
See Also:
  - `SetStatic`

### getGetStatic

org.eclipse.emf.ecore.EClass getGetStatic()
Returns the meta object for class '`Get Static`'.

Returns:
  the meta object for class 'Get Static'.
See Also:
  - `GetStatic`

### getFindtype

org.eclipse.emf.ecore.EClass getFindtype()
Returns the meta object for class '`Findtype`'.

Returns:
  the meta object for class 'Findtype'.
See Also:
  - `Findtype`

### getFindtype_Modelname

org.eclipse.emf.ecore.EAttribute getFindtype_Modelname()
Returns the meta object for the attribute '`Modelname`'.

Returns:
  the meta object for the attribute 'Modelname'.
See Also:
  - `Findtype.getModelname()`
  - `getFindtype()`

### getFindtype_Typename

org.eclipse.emf.ecore.EAttribute getFindtype_Typename()
Returns the meta object for the attribute '`Typename`'.

Returns:
  the meta object for the attribute 'Typename'.
See Also:
  - `Findtype.getTypename()`
  - `getFindtype()`

### getFindtypeS

org.eclipse.emf.ecore.EClass getFindtypeS()
Returns the meta object for class '`Findtype S`'.

Returns:
  the meta object for class 'Findtype S'.
See Also:
  - `FindtypeS`

### getNew

org.eclipse.emf.ecore.EClass getNew()
Returns the meta object for class '`New`'.

Returns:
  the meta object for class 'New'.
See Also:
  - `New`

### getNew_Modelname

org.eclipse.emf.ecore.EAttribute getNew_Modelname()
Returns the meta object for the attribute '`Modelname`'.

Returns:
  the meta object for the attribute 'Modelname'.
See Also:
  - `New.getModelname()`
  - `getNew()`

### getNewS

org.eclipse.emf.ecore.EClass getNewS()
Returns the meta object for class '`New S`'.

Returns:
  the meta object for class 'New S'.
See Also:
  - `NewS`

### getDelete

org.eclipse.emf.ecore.EClass getDelete()
Returns the meta object for class '`Delete`'.

Returns:
  the meta object for class 'Delete'.
See Also:
  - `Delete`

### getDup

org.eclipse.emf.ecore.EClass getDup()
Returns the meta object for class '`Dup`'.

Returns:
  the meta object for class 'Dup'.
See Also:
  - `Dup`

### getDupX1

org.eclipse.emf.ecore.EClass getDupX1()
Returns the meta object for class '`Dup X1`'.

Returns:
  the meta object for class 'Dup X1'.
See Also:
  - `DupX1`

### getSwap

org.eclipse.emf.ecore.EClass getSwap()
Returns the meta object for class '`Swap`'.

Returns:
  the meta object for class 'Swap'.
See Also:
  - `Swap`

### getSwapX1

org.eclipse.emf.ecore.EClass getSwapX1()
Returns the meta object for class '`Swap X1`'.

Returns:
  the meta object for class 'Swap X1'.
See Also:
  - `SwapX1`

### getBranchInstruction

org.eclipse.emf.ecore.EClass getBranchInstruction()
Returns the meta object for class '`Branch Instruction`'.

Returns:
  the meta object for class 'Branch Instruction'.
See Also:
  - `BranchInstruction`

### getBranchInstruction_Offset

org.eclipse.emf.ecore.EAttribute getBranchInstruction_Offset()
Returns the meta object for the attribute '`Offset`'.

Returns:
  the meta object for the attribute 'Offset'.
See Also:
  - `BranchInstruction.getOffset()`
  - `getBranchInstruction()`

### getBranchInstruction_Target

org.eclipse.emf.ecore.EReference getBranchInstruction_Target()
Returns the meta object for the reference '`Target`'.

Returns:
  the meta object for the reference 'Target'.
See Also:
  - `BranchInstruction.getTarget()`
  - `getBranchInstruction()`

### getIf

org.eclipse.emf.ecore.EClass getIf()
Returns the meta object for class '`If`'.

Returns:
  the meta object for class 'If'.
See Also:
  - `If`

### getIfn

org.eclipse.emf.ecore.EClass getIfn()
Returns the meta object for class '`Ifn`'.

Returns:
  the meta object for class 'Ifn'.
See Also:
  - `Ifn`

### getGoto

org.eclipse.emf.ecore.EClass getGoto()
Returns the meta object for class '`Goto`'.

Returns:
  the meta object for class 'Goto'.
See Also:
  - `Goto`

### getIterate

org.eclipse.emf.ecore.EClass getIterate()
Returns the meta object for class '`Iterate`'.

Returns:
  the meta object for class 'Iterate'.
See Also:
  - `Iterate`

### getEnditerate

org.eclipse.emf.ecore.EClass getEnditerate()
Returns the meta object for class '`Enditerate`'.

Returns:
  the meta object for class 'Enditerate'.
See Also:
  - `Enditerate`

### getInvokeInstruction

org.eclipse.emf.ecore.EClass getInvokeInstruction()
Returns the meta object for class '`Invoke Instruction`'.

Returns:
  the meta object for class 'Invoke Instruction'.
See Also:
  - `InvokeInstruction`

### getInvokeInstruction_Argcount

org.eclipse.emf.ecore.EAttribute getInvokeInstruction_Argcount()
Returns the meta object for the attribute '`Argcount`'.

Returns:
  the meta object for the attribute 'Argcount'.
See Also:
  - `InvokeInstruction.getArgcount()`
  - `getInvokeInstruction()`

### getInvokeOperationInstruction

org.eclipse.emf.ecore.EClass getInvokeOperationInstruction()
Returns the meta object for class '`Invoke Operation Instruction`'.

Returns:
  the meta object for class 'Invoke Operation Instruction'.
See Also:
  - `InvokeOperationInstruction`

### getInvokeOperationInstruction_Opname

org.eclipse.emf.ecore.EAttribute getInvokeOperationInstruction_Opname()
Returns the meta object for the attribute '`Opname`'.

Returns:
  the meta object for the attribute 'Opname'.
See Also:
  - `InvokeOperationInstruction.getOpname()`
  - `getInvokeOperationInstruction()`

### getInvoke

org.eclipse.emf.ecore.EClass getInvoke()
Returns the meta object for class '`Invoke`'.

Returns:
  the meta object for class 'Invoke'.
See Also:
  - `Invoke`

### getInvokeSuper

org.eclipse.emf.ecore.EClass getInvokeSuper()
Returns the meta object for class '`Invoke Super`'.

Returns:
  the meta object for class 'Invoke Super'.
See Also:
  - `InvokeSuper`

### getInvokeStatic

org.eclipse.emf.ecore.EClass getInvokeStatic()
Returns the meta object for class '`Invoke Static`'.

Returns:
  the meta object for class 'Invoke Static'.
See Also:
  - `InvokeStatic`

### getAllinst

org.eclipse.emf.ecore.EClass getAllinst()
Returns the meta object for class '`Allinst`'.

Returns:
  the meta object for class 'Allinst'.
See Also:
  - `Allinst`

### getAllinstIn

org.eclipse.emf.ecore.EClass getAllinstIn()
Returns the meta object for class '`Allinst In`'.

Returns:
  the meta object for class 'Allinst In'.
See Also:
  - `AllinstIn`

### getMatch

org.eclipse.emf.ecore.EClass getMatch()
Returns the meta object for class '`Match`'.

Returns:
  the meta object for class 'Match'.
See Also:
  - `Match`

### getMatch_Rulename

org.eclipse.emf.ecore.EAttribute getMatch_Rulename()
Returns the meta object for the attribute '`Rulename`'.

Returns:
  the meta object for the attribute 'Rulename'.
See Also:
  - `Match.getRulename()`
  - `getMatch()`

### getMatchS

org.eclipse.emf.ecore.EClass getMatchS()
Returns the meta object for class '`Match S`'.

Returns:
  the meta object for class 'Match S'.
See Also:
  - `MatchS`

### getAdd

org.eclipse.emf.ecore.EClass getAdd()
Returns the meta object for class '`Add`'.

Returns:
  the meta object for class 'Add'.
See Also:
  - `Add`

### getRemove

org.eclipse.emf.ecore.EClass getRemove()
Returns the meta object for class '`Remove`'.

Returns:
  the meta object for class 'Remove'.
See Also:
  - `Remove`

### getInsert

org.eclipse.emf.ecore.EClass getInsert()
Returns the meta object for class '`Insert`'.

Returns:
  the meta object for class 'Insert'.
See Also:
  - `Insert`

### getGetSuper

org.eclipse.emf.ecore.EClass getGetSuper()
Returns the meta object for class '`Get Super`'.

Returns:
  the meta object for class 'Get Super'.
See Also:
  - `GetSuper`

### getGetenv

org.eclipse.emf.ecore.EClass getGetenv()
Returns the meta object for class '`Getenv`'.

Returns:
  the meta object for class 'Getenv'.
See Also:
  - `Getenv`

### getReturn

org.eclipse.emf.ecore.EClass getReturn()
Returns the meta object for class '`Return`'.

Returns:
  the meta object for class 'Return'.
See Also:
  - `Return`

### getCodeBlockInstruction

org.eclipse.emf.ecore.EClass getCodeBlockInstruction()
Returns the meta object for class '`Code Block Instruction`'.

Returns:
  the meta object for class 'Code Block Instruction'.
See Also:
  - `CodeBlockInstruction`

### getCodeBlockInstruction_CodeBlock

org.eclipse.emf.ecore.EReference getCodeBlockInstruction_CodeBlock()
Returns the meta object for the reference '`Code Block`'.

Returns:
  the meta object for the reference 'Code Block'.
See Also:
  - `CodeBlockInstruction.getCodeBlock()`
  - `getCodeBlockInstruction()`

### getCodeBlockInstruction_CbIndex

org.eclipse.emf.ecore.EAttribute getCodeBlockInstruction_CbIndex()
Returns the meta object for the attribute '`Cb Index`'.

Returns:
  the meta object for the attribute 'Cb Index'.
See Also:
  - `CodeBlockInstruction.getCbIndex()`
  - `getCodeBlockInstruction()`

### getGetcb

org.eclipse.emf.ecore.EClass getGetcb()
Returns the meta object for class '`Getcb`'.

Returns:
  the meta object for class 'Getcb'.
See Also:
  - `Getcb`

### getInvokeAllCbs

org.eclipse.emf.ecore.EClass getInvokeAllCbs()
Returns the meta object for class '`Invoke All Cbs`'.

Returns:
  the meta object for class 'Invoke All Cbs'.
See Also:
  - `InvokeAllCbs`

### getInvokeCb

org.eclipse.emf.ecore.EClass getInvokeCb()
Returns the meta object for class '`Invoke Cb`'.

Returns:
  the meta object for class 'Invoke Cb'.
See Also:
  - `InvokeCb`

### getInvokeCbS

org.eclipse.emf.ecore.EClass getInvokeCbS()
Returns the meta object for class '`Invoke Cb S`'.

Returns:
  the meta object for class 'Invoke Cb S'.
See Also:
  - `InvokeCbS`

### getModelDeclarationTag

org.eclipse.emf.ecore.EEnum getModelDeclarationTag()
Returns the meta object for enum '`Model Declaration Tag`'.

Returns:
  the meta object for enum 'Model Declaration Tag'.
See Also:
  - `ModelDeclarationTag`

### getNot

org.eclipse.emf.ecore.EClass getNot()
Returns the meta object for class '`Not`'.

Returns:
  the meta object for class 'Not'.
See Also:
  - `Not`

### getAnd

org.eclipse.emf.ecore.EClass getAnd()
Returns the meta object for class '`And`'.

Returns:
  the meta object for class 'And'.
See Also:
  - `And`

### getOr

org.eclipse.emf.ecore.EClass getOr()
Returns the meta object for class '`Or`'.

Returns:
  the meta object for class 'Or'.
See Also:
  - `Or`

### getXor

org.eclipse.emf.ecore.EClass getXor()
Returns the meta object for class '`Xor`'.

Returns:
  the meta object for class 'Xor'.
See Also:
  - `Xor`

### getImplies

org.eclipse.emf.ecore.EClass getImplies()
Returns the meta object for class '`Implies`'.

Returns:
  the meta object for class 'Implies'.
See Also:
  - `Implies`

### getIfte

org.eclipse.emf.ecore.EClass getIfte()
Returns the meta object for class '`Ifte`'.

Returns:
  the meta object for class 'Ifte'.
See Also:
  - `Ifte`

### getIfte_ThenCbIndex

org.eclipse.emf.ecore.EAttribute getIfte_ThenCbIndex()
Returns the meta object for the attribute '`Then Cb Index`'.

Returns:
  the meta object for the attribute 'Then Cb Index'.
See Also:
  - `Ifte.getThenCbIndex()`
  - `getIfte()`

### getIfte_ElseCbIndex

org.eclipse.emf.ecore.EAttribute getIfte_ElseCbIndex()
Returns the meta object for the attribute '`Else Cb Index`'.

Returns:
  the meta object for the attribute 'Else Cb Index'.
See Also:
  - `Ifte.getElseCbIndex()`
  - `getIfte()`

### getIfte_ThenCb

org.eclipse.emf.ecore.EReference getIfte_ThenCb()
Returns the meta object for the reference '`Then Cb`'.

Returns:
  the meta object for the reference 'Then Cb'.
See Also:
  - `Ifte.getThenCb()`
  - `getIfte()`

### getIfte_ElseCb

org.eclipse.emf.ecore.EReference getIfte_ElseCb()
Returns the meta object for the reference '`Else Cb`'.

Returns:
  the meta object for the reference 'Else Cb'.
See Also:
  - `Ifte.getElseCb()`
  - `getIfte()`

### getIsnull

org.eclipse.emf.ecore.EClass getIsnull()
Returns the meta object for class '`Isnull`'.

Returns:
  the meta object for class 'Isnull'.
See Also:
  - `Isnull`

### getGetenvtype

org.eclipse.emf.ecore.EClass getGetenvtype()
Returns the meta object for class '`Getenvtype`'.

Returns:
  the meta object for class 'Getenvtype'.
See Also:
  - `Getenvtype`

### getFeatureTag

org.eclipse.emf.ecore.EEnum getFeatureTag()
Returns the meta object for enum '`Feature Tag`'.

Returns:
  the meta object for enum 'Feature Tag'.
See Also:
  - `FeatureTag`

### getExecEnv

org.eclipse.emf.ecore.EClass getExecEnv()
Returns the meta object for class '`Exec Env`'.

Returns:
  the meta object for class 'Exec Env'.
See Also:
  - `ExecEnv`

### getExecEnv_Modules

org.eclipse.emf.ecore.EAttribute getExecEnv_Modules()
Returns the meta object for the attribute '`Modules`'.

Returns:
  the meta object for the attribute 'Modules'.
See Also:
  - `ExecEnv.getModules()`
  - `getExecEnv()`

### getExecEnv_Matches

org.eclipse.emf.ecore.EReference getExecEnv_Matches()
Returns the meta object for the reference '`Matches`'.

Returns:
  the meta object for the reference 'Matches'.
See Also:
  - `ExecEnv.getMatches()`
  - `getExecEnv()`

### getExecEnv_Traces

org.eclipse.emf.ecore.EReference getExecEnv_Traces()
Returns the meta object for the reference '`Traces`'.

Returns:
  the meta object for the reference 'Traces'.
See Also:
  - `ExecEnv.getTraces()`
  - `getExecEnv()`

### getExecEnv_UniqueResults

org.eclipse.emf.ecore.EAttribute getExecEnv_UniqueResults()
Returns the meta object for the attribute '`Unique Results`'.

Returns:
  the meta object for the attribute 'Unique Results'.
See Also:
  - `ExecEnv.getUniqueResults()`
  - `getExecEnv()`

### getExecEnv_JitDisabled

org.eclipse.emf.ecore.EAttribute getExecEnv_JitDisabled()
Returns the meta object for the attribute '`Jit Disabled`'.

Returns:
  the meta object for the attribute 'Jit Disabled'.
See Also:
  - `ExecEnv.isJitDisabled()`
  - `getExecEnv()`

### getExecEnv_CurrentPhase

org.eclipse.emf.ecore.EAttribute getExecEnv_CurrentPhase()
Returns the meta object for the attribute '`Current Phase`'.

Returns:
  the meta object for the attribute 'Current Phase'.
See Also:
  - `ExecEnv.getCurrentPhase()`
  - `getExecEnv()`

### getExecEnv_MetaModels

org.eclipse.emf.ecore.EAttribute getExecEnv_MetaModels()
Returns the meta object for the attribute '`Meta Models`'.

Returns:
  the meta object for the attribute 'Meta Models'.
See Also:
  - `ExecEnv.getMetaModels()`
  - `getExecEnv()`

### getExecEnv_InputModels

org.eclipse.emf.ecore.EAttribute getExecEnv_InputModels()
Returns the meta object for the attribute '`Input Models`'.

Returns:
  the meta object for the attribute 'Input Models'.
See Also:
  - `ExecEnv.getInputModels()`
  - `getExecEnv()`

### getExecEnv_InoutModels

org.eclipse.emf.ecore.EAttribute getExecEnv_InoutModels()
Returns the meta object for the attribute '`Inout Models`'.

Returns:
  the meta object for the attribute 'Inout Models'.
See Also:
  - `ExecEnv.getInoutModels()`
  - `getExecEnv()`

### getExecEnv_OutputModels

org.eclipse.emf.ecore.EAttribute getExecEnv_OutputModels()
Returns the meta object for the attribute '`Output Models`'.

Returns:
  the meta object for the attribute 'Output Models'.
See Also:
  - `ExecEnv.getOutputModels()`
  - `getExecEnv()`

### getModel

org.eclipse.emf.ecore.EClass getModel()
Returns the meta object for class '`Model`'.

Returns:
  the meta object for class 'Model'.
See Also:
  - `Model`

### getModel_Resource

org.eclipse.emf.ecore.EAttribute getModel_Resource()
Returns the meta object for the attribute '`Resource`'.

Returns:
  the meta object for the attribute 'Resource'.
See Also:
  - `Model.getResource()`
  - `getModel()`

### getModel_AllowInterModelReferences

org.eclipse.emf.ecore.EAttribute getModel_AllowInterModelReferences()
Returns the meta object for the attribute '`Allow Inter Model References`'.

Returns:
  the meta object for the attribute 'Allow Inter Model References'.
See Also:
  - `Model.isAllowInterModelReferences()`
  - `getModel()`

### getMetamodel

org.eclipse.emf.ecore.EClass getMetamodel()
Returns the meta object for class '`Metamodel`'.

Returns:
  the meta object for class 'Metamodel'.
See Also:
  - `Metamodel`

### getRuleElement_Models

org.eclipse.emf.ecore.EAttribute getRuleElement_Models()
Returns the meta object for the attribute list '`Models`'.

Returns:
  the meta object for the attribute list 'Models'.
See Also:
  - `RuleElement.getModels()`
  - `getRuleElement()`

### getRuleElement_EModels

org.eclipse.emf.ecore.EReference getRuleElement_EModels()
Returns the meta object for the reference list '`EModels`'.

Returns:
  the meta object for the reference list 'EModels'.
See Also:
  - `RuleElement.getEModels()`
  - `getRuleElement()`

### getInputRuleElement

org.eclipse.emf.ecore.EClass getInputRuleElement()
Returns the meta object for class '`Input Rule Element`'.

Returns:
  the meta object for class 'Input Rule Element'.
See Also:
  - `InputRuleElement`

### getInputRuleElement_Binding

org.eclipse.emf.ecore.EReference getInputRuleElement_Binding()
Returns the meta object for the containment reference '`Binding`'.

Returns:
  the meta object for the containment reference 'Binding'.
See Also:
  - `InputRuleElement.getBinding()`
  - `getInputRuleElement()`

### getInputRuleElement_InputFor

org.eclipse.emf.ecore.EReference getInputRuleElement_InputFor()
Returns the meta object for the container reference '`Input For`'.

Returns:
  the meta object for the container reference 'Input For'.
See Also:
  - `InputRuleElement.getInputFor()`
  - `getInputRuleElement()`

### getInputRuleElement_MapsToSelf

org.eclipse.emf.ecore.EAttribute getInputRuleElement_MapsToSelf()
Returns the meta object for the attribute '`Maps To Self`'.

Returns:
  the meta object for the attribute 'Maps To Self'.
See Also:
  - `InputRuleElement.isMapsToSelf()`
  - `getInputRuleElement()`

### getOutputRuleElement

org.eclipse.emf.ecore.EClass getOutputRuleElement()
Returns the meta object for class '`Output Rule Element`'.

Returns:
  the meta object for class 'Output Rule Element'.
See Also:
  - `OutputRuleElement`

### getOutputRuleElement_MapsTo

org.eclipse.emf.ecore.EReference getOutputRuleElement_MapsTo()
Returns the meta object for the reference list '`Maps To`'.

Returns:
  the meta object for the reference list 'Maps To'.
See Also:
  - `OutputRuleElement.getMapsTo()`
  - `getOutputRuleElement()`

### getOutputRuleElement_OutputFor

org.eclipse.emf.ecore.EReference getOutputRuleElement_OutputFor()
Returns the meta object for the container reference '`Output For`'.

Returns:
  the meta object for the container reference 'Output For'.
See Also:
  - `OutputRuleElement.getOutputFor()`
  - `getOutputRuleElement()`

### getOpcode

org.eclipse.emf.ecore.EEnum getOpcode()
Returns the meta object for enum '`Opcode`'.

Returns:
  the meta object for enum 'Opcode'.
See Also:
  - `Opcode`

### getRuleMode

org.eclipse.emf.ecore.EEnum getRuleMode()
Returns the meta object for enum '`Rule Mode`'.

Returns:
  the meta object for enum 'Rule Mode'.
See Also:
  - `RuleMode`

### getConstantTag

org.eclipse.emf.ecore.EEnum getConstantTag()
Returns the meta object for enum '`Constant Tag`'.

Returns:
  the meta object for enum 'Constant Tag'.
See Also:
  - `ConstantTag`

### getStackFrame

org.eclipse.emf.ecore.EDataType getStackFrame()
Returns the meta object for data type '`Stack Frame`'.

Returns:
  the meta object for data type 'Stack Frame'.
See Also:
  - `StackFrame`

### getMethod

org.eclipse.emf.ecore.EDataType getMethod()
Returns the meta object for data type '`Method`'.

Returns:
  the meta object for data type 'Method'.
See Also:
  - `Method`

### getTimingData

org.eclipse.emf.ecore.EDataType getTimingData()
Returns the meta object for data type '`Timing Data`'.

Returns:
  the meta object for data type 'Timing Data'.
See Also:
  - `TimingData`

### getVMMonitor

org.eclipse.emf.ecore.EDataType getVMMonitor()
Returns the meta object for data type '`VM Monitor`'.

Returns:
  the meta object for data type 'VM Monitor'.
See Also:
  - `VMMonitor`

### getLazyCollection

org.eclipse.emf.ecore.EDataType getLazyCollection()
Returns the meta object for data type '`Lazy Collection`'.

Returns:
  the meta object for data type 'Lazy Collection'.
See Also:
  - `LazyCollection`

### getLazyBag

org.eclipse.emf.ecore.EDataType getLazyBag()
Returns the meta object for data type '`Lazy Bag`'.

Returns:
  the meta object for data type 'Lazy Bag'.
See Also:
  - `LazyBag`

### getLazyList

org.eclipse.emf.ecore.EDataType getLazyList()
Returns the meta object for data type '`Lazy List`'.

Returns:
  the meta object for data type 'Lazy List'.
See Also:
  - `LazyList`

### getLazyOrderedSet

org.eclipse.emf.ecore.EDataType getLazyOrderedSet()
Returns the meta object for data type '`Lazy Ordered Set`'.

Returns:
  the meta object for data type 'Lazy Ordered Set'.
See Also:
  - `LazyOrderedSet`

### getLazySet

org.eclipse.emf.ecore.EDataType getLazySet()
Returns the meta object for data type '`Lazy Set`'.

Returns:
  the meta object for data type 'Lazy Set'.
See Also:
  - `LazySet`

### getEJavaObjectArray

org.eclipse.emf.ecore.EDataType getEJavaObjectArray()
Returns the meta object for data type 'EJava Object Array'.

Returns:
  the meta object for data type 'EJava Object Array'.

### getEObjectArray

org.eclipse.emf.ecore.EDataType getEObjectArray()
Returns the meta object for data type 'EObject Array'.

Returns:
  the meta object for data type 'EObject Array'.

### getEBooleanArray

org.eclipse.emf.ecore.EDataType getEBooleanArray()
Returns the meta object for data type 'EBoolean Array'.

Returns:
  the meta object for data type 'EBoolean Array'.

### getEJavaSet

org.eclipse.emf.ecore.EDataType getEJavaSet()
Returns the meta object for data type '`EJava Set`'.

Returns:
  the meta object for data type 'EJava Set'.
See Also:
  - `Set`

### getEJavaIterable

org.eclipse.emf.ecore.EDataType getEJavaIterable()
Returns the meta object for data type '`EJava Iterable`'.

Returns:
  the meta object for data type 'EJava Iterable'.
See Also:
  - `Iterable`

### getClassNotFoundException

org.eclipse.emf.ecore.EDataType getClassNotFoundException()
Returns the meta object for data type '`Class Not Found Exception`'.

Returns:
  the meta object for data type 'Class Not Found Exception'.
See Also:
  - `ClassNotFoundException`

### getModuleResolver

org.eclipse.emf.ecore.EDataType getModuleResolver()
Returns the meta object for data type '`Module Resolver`'.

Returns:
  the meta object for data type 'Module Resolver'.
See Also:
  - `ModuleResolver`

### getEnumLiteral

org.eclipse.emf.ecore.EDataType getEnumLiteral()
Returns the meta object for data type '`Enum Literal`'.

Returns:
  the meta object for data type 'Enum Literal'.
See Also:
  - `EnumLiteral`

### getEmftvmFactory

EmftvmFactory getEmftvmFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.